/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.biz.api.plan;

import com.abssqr.plat.biz.support.ServiceSupport;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanCapitalLogDO;
import com.abssqr.plat.common.dal.mysql.auto.paging.PlanCapitalLogListPage;
import com.abssqr.plat.common.facade.model.plan.PlanCapitalLog;
import com.abssqr.plat.common.facade.param.base.CommonPlanLogQryParam;
import com.abssqr.plat.common.facade.param.plan.log.PlanCapitalLogPageQryParam;
import com.abssqr.plat.common.facade.result.BasePage;
import com.abssqr.plat.common.facade.service.plan.PlanCapitalLogService;
import com.abssqr.plat.common.facade.validation.Valid;
import com.abssqr.plat.common.model.convertor.PlanCapitalLogConvertor;
import com.abssqr.plat.common.model.repo.plan.PlanCapitalLogRepo;
import com.google.common.collect.Lists;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.biz.api.plan: PlanCapitalLogServiceImpl.java, v 0.1 2019-05-28 17:40 zhenxuan.luo Exp $ 
 */
@Component
public class PlanCapitalLogServiceImpl extends ServiceSupport implements PlanCapitalLogService {
    
    @Autowired
    private PlanCapitalLogRepo planCapitalLogRepo;
    
    @Override
    public BasePage<PlanCapitalLog> queryLogList(@Valid PlanCapitalLogPageQryParam param) {
        return this.doQry(param, () -> {
            
            PlanCapitalLogListPage listPage = planCapitalLogRepo.getByPlanNo(param);
            
            List<PlanCapitalLog> capitalLogList = Lists.newArrayList();
            
            for (PlanCapitalLogDO planCapitalLogDO : listPage.getDatas()) {
                capitalLogList.add(PlanCapitalLogConvertor.convert2Domain(planCapitalLogDO));
            }
            
            BasePage<PlanCapitalLog> res = new BasePage<>();
            res.setCurrPageNo(listPage.getCurrPageNo());
            res.setTotal(listPage.getTotal());
            res.setLimit(listPage.getLimit());
            res.setDatas(capitalLogList);
            return res;
        });
    }
    
    @Override
    public PlanCapitalLog queryLogDtl(@Valid CommonPlanLogQryParam param) {
        return this.doQry(param, () -> planCapitalLogRepo.getBySeqNo(param.getSeqNo(), param.getPlanNo()));
    }
}