/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */
package com.abssqr.plat.biz.shared.dispatcher.buyBackMatch;

import com.abssqr.plat.biz.shared.dispatcher.DispatcherExecutor;
import com.abssqr.plat.biz.shared.dispatcher.DispatcherLoader;
import com.abssqr.plat.biz.shared.dispatcher.DispatcherStarter;
import com.abssqr.plat.common.model.domain.task.CommonTask;
import com.abssqr.plat.common.model.repo.task.CommonTaskRepository;
import com.abssqr.plat.core.service.host.HostManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.biz.shared.task.task: AstTrTaskDispatcherManager.java, v 0.1 2018-01-08 02:42 hongwei
 * .wang Exp $
 */
@Component
public class LoanAstBuyBackMatchStarter extends DispatcherStarter<CommonTask> {

    @Autowired
    private LoanAstBuyBackMatchExecutor loanAstBuyBackMatchExecutor;
    @Autowired
    private LoanAstBuyBackMatchLoader   loanAstBuyBackMatchLoader;
    @Autowired
    private HostManager                 hostManager;

    @Autowired
    private CommonTaskRepository     commonTaskRepository;

    public static String JOB_NAME = "LoanAstBuyBackMatchStarter";

    @Value("${dispatcher.buyBack.coreSize}")
    private int coreSize;

    @Value("${dispatcher.buyBack.maxSize}")
    private int maxSize;

    @Value("${dispatcher.buyBack.hungrySize}")
    private int hungrySize;

    @Value("${dispatcher.buyBack.queueSize}")
    private int queueSize = 200;

    @Override
    protected void recovery() {
        commonTaskRepository.updateHangTasksByIp(hostManager.getHostInfo().getHostName());
    }

    @Override
    public String getName() {
        return JOB_NAME;
    }

    @Override
    protected int getCoreSize() {
        return coreSize;
    }

    @Override
    protected int getMaxSize() {
        return maxSize;
    }

    @Override
    protected int getQueueSize() {
        return queueSize;
    }

    @Override
    protected int getHungrySize() {
        return hungrySize;
    }

    @Override
    protected DispatcherLoader<CommonTask> getLoader() {
        return loanAstBuyBackMatchLoader;
    }

    @Override
    protected DispatcherExecutor<CommonTask> getExecutor() {
        return loanAstBuyBackMatchExecutor;
    }

}
