package com.abssqr.plat.biz.shared.dispatcher.capitalAssetMatch;

import com.abssqr.plat.biz.shared.dispatcher.DispatcherExecutor;
import com.abssqr.plat.biz.shared.dispatcher.DispatcherLoader;
import com.abssqr.plat.biz.shared.dispatcher.DispatcherStarter;
import com.abssqr.plat.biz.shared.dispatcher.match.PlanAstMatchDispatcherExecutor;
import com.abssqr.plat.biz.shared.dispatcher.match.PlanAstMatchDispatcherLoader;
import com.abssqr.plat.common.model.domain.task.CommonTask;
import com.abssqr.plat.common.model.repo.task.AstSyncTaskCtrRepo;
import com.abssqr.plat.common.model.repo.task.CommonTaskRepository;
import com.abssqr.plat.core.service.host.HostManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

@Configuration
@Component
public class PlanCapitalAssertMatchStater extends DispatcherStarter<CommonTask> {
    @Autowired
    HostManager hostManager;
    @Autowired
    AstSyncTaskCtrRepo astSyncTaskCtrRepo;
    @Autowired
    CommonTaskRepository commonTaskRepository;
    @Autowired
    PlanCapitalAssertMatchLoader planCapitalAssertMatchLoader;
    @Autowired
    PlanCapitalAssertMatchExecutor planCapitalAssertMatchExecutor;

    public static String JOB_NAME = "PlanCapitalAssertMatchStater";

    private int coreSize = 2;

    private int maxSize = 2;

    private int hungrySize = 1;

    private int queueSize = 2;

    @Override
    protected void recovery() {
        commonTaskRepository.updateHangTasksByIp(hostManager.getHostInfo().getHostName());
    }

    @Override
    public String getName() {
        return JOB_NAME;
    }

    @Override
    protected int getCoreSize() {
        return coreSize;
    }

    @Override
    protected int getMaxSize() {
        return maxSize;
    }

    @Override
    protected int getQueueSize() {
        return queueSize;
    }

    @Override
    protected int getHungrySize() {
        return hungrySize;
    }

    @Override
    protected DispatcherLoader getLoader() {
        return planCapitalAssertMatchLoader;
    }

    @Override
    protected DispatcherExecutor getExecutor() {
        return planCapitalAssertMatchExecutor;
    }
}
