/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.biz.shared.report;

import com.abssqr.plat.common.dal.mysql.auto.resultmap.PlanAstReportStat;
import com.abssqr.plat.common.facade.model.report.ReportKey;

import java.util.HashMap;
import java.util.List;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.biz.shared.report: ReportStatMap.java, v 0.1 2019-06-28 02:54 zhenxuan.luo Exp $ 
 */
public class ReportStatMap extends HashMap<ReportKey, PlanAstReportStat> {
    private static final long serialVersionUID = -2765549625728233654L;
    
    public static ReportStatMap buildReportMap(List<PlanAstReportStat> planAstReportStatList) {
        
        ReportStatMap reportStatMap = new ReportStatMap();
        for (PlanAstReportStat planAstReportStat : planAstReportStatList) {
            ReportKey key = new ReportKey(planAstReportStat.getStatType(), planAstReportStat.getStatVal(),
                    planAstReportStat.getEventCode());
            reportStatMap.put(key, planAstReportStat);
        }
        
        return reportStatMap;
    }
}