package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.AstPoolDO;
import com.abssqr.plat.common.dal.mysql.auto.paging.PactsAstMatchPage;
import java.util.Date;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.AstPoolItem;
import java.util.List;
import com.abssqr.plat.common.dal.mysql.auto.mapper.AstPoolDOMapper;

/**
* The Table ABS_AST_POOL.
* 一月的资产池
*/
@Repository
public class AstPoolDAO{

    @Autowired
    private AstPoolDOMapper astPoolDOMapper;

    /**
     * desc:插入表:ABS_AST_POOL_JAN.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(AstPoolDO entity){
        return astPoolDOMapper.insert(entity);
    }
    /**
     * desc:根据主键删除数据:ABS_AST_POOL_JAN.<br/>
     * @param astNo astNo
     * @param termNo termNo
     * @return int
     */
    
    public int updateSlice(String astNo,Integer termNo){
        return astPoolDOMapper.updateSlice(astNo, termNo);
    }
    /**
     * desc:根据主键删除数据:ABS_AST_POOL_JAN.<br/>
     * @param astNo astNo
     * @param termNo termNo
     * @return int
     */
    
    public int deleteByPk(String astNo,Integer termNo){
        return astPoolDOMapper.deleteByPk(astNo, termNo);
    }
    /**
     * desc:更新是否一切片.<br/>
     * @param astNo astNo
     * @param slice slice
     * @param termNo termNo
     * @return int
     */
    
    public int updateSliceByPk(String astNo,Boolean slice,Integer termNo){
        return astPoolDOMapper.updateSliceByPk(astNo, slice, termNo);
    }
    /**
     * desc:资产筛选分页.<br/>
     * @param pactsAstMatch pactsAstMatch
     * @return PactsAstMatchPage
     */
    
    public PactsAstMatchPage queryForAstMatch(PactsAstMatchPage pactsAstMatch){
        int total = astPoolDOMapper.queryForAstMatchCount(pactsAstMatch);
        if(total>0){
            pactsAstMatch.setDatas(astPoolDOMapper.queryForAstMatchResult(pactsAstMatch));
        }else{
            pactsAstMatch.setDatas(new ArrayList());
        }
        pactsAstMatch.setTotal(total);
        return pactsAstMatch;
    }
    /**
     * desc:资产筛选分页.<br/>
     * @param sysDate sysDate
     * @param astNo astNo
     * @return List<AstPoolItem>
     */
    
    public List<AstPoolItem> getAstPoolItems(Date sysDate,String astNo){
        return astPoolDOMapper.getAstPoolItems(sysDate, astNo);
    }
    /**
     * desc:获取资产池资产.<br/>
     * @param astNo astNo
     * @param ownOrg ownOrg
     * @return AstPoolDO
     */
    
    public AstPoolDO getAstPoolItem(String astNo,String ownOrg){
        return astPoolDOMapper.getAstPoolItem(astNo, ownOrg);
    }
}
