package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.BizDataChangeDO;
import java.lang.Long;
import com.abssqr.plat.common.dal.mysql.auto.mapper.BizDataChangeDOMapper;

/**
* The Table abs_biz_data_change.
* 业务数据变更记录-审批
*/
@Repository
public class BizDataChangeDAO{

    @Autowired
    private BizDataChangeDOMapper bizDataChangeDOMapper;

    /**
     * desc:插入表:abs_biz_data_change.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(BizDataChangeDO entity){
        return bizDataChangeDOMapper.insert(entity);
    }
    /**
     * desc:根据唯一约束AbsBizDataChange0更新表:abs_biz_data_change.<br/>
     * @param changeNo changeNo
     * @param approveStatus approveStatus
     * @param oldApproveStatus oldApproveStatus
     * @return int
     */
    
    public int updateStatus(String changeNo,String approveStatus,String oldApproveStatus){
        return bizDataChangeDOMapper.updateStatus(changeNo, approveStatus, oldApproveStatus);
    }
    /**
     * desc:根据唯一约束AbsBizDataChange0获取数据:abs_biz_data_change.<br/>
     * @param changeNo changeNo
     * @return BizDataChangeDO
     */
    
    public BizDataChangeDO getByChangeNo(String changeNo){
        return bizDataChangeDOMapper.getByChangeNo(changeNo);
    }
    /**
     * desc:测试专用-根据bizNo与审批状态查询数据.<br/>
     * @param bizNo bizNo
     * @param approveStatus approveStatus
     * @return BizDataChangeDO
     */
    
    public BizDataChangeDO getByBizNoAndStatus(String bizNo,String approveStatus){
        return bizDataChangeDOMapper.getByBizNoAndStatus(bizNo, approveStatus);
    }
    /**
     * desc:根据bizNo、status和bizType查询审批数量.<br/>
     * @param bizType bizType
     * @param changeNo changeNo
     * @param approveStatus approveStatus
     * @return Long
     */
    
    public Long cntByBizNoAndStatusAndBizType(String bizType,String changeNo,String approveStatus){
        return bizDataChangeDOMapper.cntByBizNoAndStatusAndBizType(bizType, changeNo, approveStatus);
    }
}
