package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.LoanAstProfitDO;
import java.util.List;
import com.abssqr.plat.common.dal.mysql.auto.mapper.LoanAstProfitDOMapper;

/**
* The Table abs_loan_ast_profit.
* 机构资产收益
*/
@Repository
public class LoanAstProfitDAO{

    @Autowired
    private LoanAstProfitDOMapper loanAstProfitDOMapper;

    /**
     * desc:批量插入表:abs_loan_ast_profit.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(LoanAstProfitDO entity){
        return loanAstProfitDOMapper.insert(entity);
    }
    /**
     * desc:更新表:abs_loan_ast_profit.<br/>
     * @param entity entity
     * @return int
     */
    
    public int updateById(LoanAstProfitDO entity){
        return loanAstProfitDOMapper.updateById(entity);
    }
    /**
     * desc:根据普通索引AbsLoanAstProfitIdx获取数据:abs_loan_ast_profit.<br/>
     * @param astNo astNo
     * @return List<LoanAstProfitDO>
     */
    
    public List<LoanAstProfitDO> queryByAstNo(String astNo){
        return loanAstProfitDOMapper.queryByAstNo(astNo);
    }
}
