package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.LoanInstalLogDO;
import java.util.List;
import java.util.Date;
import java.lang.Long;
import com.abssqr.plat.common.dal.mysql.auto.mapper.LoanInstalLogDOMapper;

/**
* The Table abs_loan_instal_log.
* 分期变更流水
*/
@Repository
public class LoanInstalLogDAO{

    @Autowired
    private LoanInstalLogDOMapper loanInstalLogDOMapper;

    /**
     * desc:批量插入表:abs_loan_instal_log.<br/>
     * @param list list
     * @return int
     */
    
    public int insertBatch(List<LoanInstalLogDO> list){
        loanInstalLogDOMapper.insertBatch(list);
        return  list.size(); 
    }
    /**
     * desc:计算金融服务费.<br/>
     * @param accountDate accountDate
     * @param orgCode orgCode
     * @return Long
     */
    
    public Long calcOrgDistPftAmt(Date accountDate,String orgCode){
        return loanInstalLogDOMapper.calcOrgDistPftAmt(accountDate, orgCode);
    }
    /**
     * desc:计算金融服务费.<br/>
     * @param accountDate accountDate
     * @param orgCode orgCode
     * @return Long
     */
    
    public Long calcOrgDistPftApporAmt(Date accountDate,String orgCode){
        return loanInstalLogDOMapper.calcOrgDistPftApporAmt(accountDate, orgCode);
    }
}
