package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanAstDO;
import java.lang.Long;
import com.abssqr.plat.common.dal.mysql.auto.mapper.PlanAstDOMapper;

/**
* The Table abs_plan_ast.
* 计划资产水位表
*/
@Repository
public class PlanAstDAO{

    @Autowired
    private PlanAstDOMapper planAstDOMapper;

    /**
     * desc:插入表:abs_plan_ast.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(PlanAstDO entity){
        return planAstDOMapper.insert(entity);
    }
    /**
     * desc:根据唯一约束AbsPlanAstPlanNo更新表:ABS_PLAN_AST.<br/>
     * @param entity entity
     * @return int
     */
    
    public int updateByPlanNo(PlanAstDO entity){
        return planAstDOMapper.updateByPlanNo(entity);
    }
    /**
     * desc:根据 PLAN_NO 锁定计划资产水位表.<br/>
     * @param planNo planNo
     * @return PlanAstDO
     */
    
    public PlanAstDO lockByPlanNoForUpdate(String planNo){
        return planAstDOMapper.lockByPlanNoForUpdate(planNo);
    }
    /**
     * desc:根据 PLAN_NO 查询计划n资产水位表.<br/>
     * @param planNo planNo
     * @return PlanAstDO
     */
    
    public PlanAstDO getByPlanNo(String planNo){
        return planAstDOMapper.getByPlanNo(planNo);
    }
    /**
     * desc:查询累计投放金额合计.<br/>
     * @param planType planType
     * @return Long
     */
    
    public Long getAllAstAmt(String planType){
        return planAstDOMapper.getAllAstAmt(planType);
    }
}
