package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanClearingLogDO;
import java.util.List;
import java.util.Date;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.LoanClearingLogStat;
import com.abssqr.plat.common.dal.base.StatEntity;
import java.lang.Long;
import com.abssqr.plat.common.dal.mysql.auto.mapper.PlanClearingLogDOMapper;

/**
* The Table abs_plan_clearing_log.
* ABS_PLAN_CLEARING_LOG
*/
@Repository
public class PlanClearingLogDAO{

    @Autowired
    private PlanClearingLogDOMapper planClearingLogDOMapper;

    /**
     * desc:插入表:abs_plan_clearing_log.<br/>
     * @param list list
     * @return int
     */
    
    public int insertBatch(List<PlanClearingLogDO> list){
        planClearingLogDOMapper.insertBatch(list);
        return  list.size(); 
    }
    /**
     * desc:根据主键获取数据:abs_loan_instal_log.<br/>
     * @param accountDate accountDate
     * @param maxId maxId
     * @param minId minId
     * @param planNo planNo
     * @param execTms execTms
     * @return List<LoanClearingLogStat>
     */
    
    public List<LoanClearingLogStat> stat(Date accountDate,Long maxId,Long minId,String planNo,String execTms){
        return planClearingLogDOMapper.stat(accountDate, maxId, minId, planNo, execTms);
    }
    /**
     * desc:根据主键获取数据:abs_loan_instal_log.<br/>
     * @param accountDate accountDate
     * @param maxId maxId
     * @param minId minId
     * @param planNo planNo
     * @param execTms execTms
     * @return int
     */
    
    public int deleteStated(Date accountDate,Long maxId,Long minId,String planNo,String execTms){
        return planClearingLogDOMapper.deleteStated(accountDate, maxId, minId, planNo, execTms);
    }
    /**
     * desc:根据主键获取数据:abs_loan_instal_log.<br/>
     * @param accountDate accountDate
     * @param planNo planNo
     * @param execTms execTms
     * @return StatEntity
     */
    
    public StatEntity getStatInx(Date accountDate,String planNo,String execTms){
        return planClearingLogDOMapper.getStatInx(accountDate, planNo, execTms);
    }
    /**
     * desc:根据主键获取数据:abs_loan_instal_log.<br/>
     * @param planNo planNo
     * @param transCode transCode
     * @return Date
     */
    
    public Date getMinUnStateAccountDate(String planNo,String transCode){
        return planClearingLogDOMapper.getMinUnStateAccountDate(planNo, transCode);
    }
    /**
     * desc:查看清算流水是否都处理完.<br/>
     * @param planNo planNo
     * @return Long
     */
    
    public Long cntInitClearingLogByPlanNo(String planNo){
        return planClearingLogDOMapper.cntInitClearingLogByPlanNo(planNo);
    }
    /**
     * desc:查看清算流水是否都处理完.<br/>
     * @param transCode transCode
     * @return Long
     */
    
    public Long cntInitClearingLog(String transCode){
        return planClearingLogDOMapper.cntInitClearingLog(transCode);
    }
}
