package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanTranScreenRelDO;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.LinkedHashMap;
import java.util.ArrayList;
import java.util.HashSet;
import java.lang.String;
import com.abssqr.plat.common.dal.mysql.auto.mapper.PlanTranScreenRelDOMapper;

/**
* The Table abs_plan_tran_screen_rel.
* 产品转让筛选规则关联表
*/
@Repository
public class PlanTranScreenRelDAO{

    @Autowired
    private PlanTranScreenRelDOMapper planTranScreenRelDOMapper;

    /**
     * desc:插入表:abs_plan_tran_screen_rel.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(PlanTranScreenRelDO entity){
        return planTranScreenRelDOMapper.insert(entity);
    }
    /**
     * desc:批量插入表:abs_plan_tran_screen_rel.<br/>
     * @param list list
     * @return int
     */
    
    public int insertBatch(List<PlanTranScreenRelDO> list){
        planTranScreenRelDOMapper.insertBatch(list);
        return  list.size(); 
    }
    /**
     * desc:根据TransferNo删除数据:abs_plan_tran_screen_rel.<br/>
     * @param transferNo transferNo
     * @return int
     */
    
    public int deleteByTransferNo(String transferNo){
        return planTranScreenRelDOMapper.deleteByTransferNo(transferNo);
    }
    /**
     * desc:根据transferNo获取数据:abs_plan_tran_screen_rel.<br/>
     * @param transferNo transferNo
     * @return List<PlanTranScreenRelDO>
     */
    
    public List<PlanTranScreenRelDO> getByTransferNo(String transferNo){
        return planTranScreenRelDOMapper.getByTransferNo(transferNo);
    }
     /**
     * desc:根据prodCode获取数据:planNos.<br/>
     * @param list list
     * @return Map<String,List<String>>
     */
    
    public List<PlanTranScreenRelDO> getPlanNosByProdListList(List<String> list){
        return planTranScreenRelDOMapper.getPlanNosByProdList(list);
    }
    /**
     * desc:根据prodCode获取数据:planNos.<br/>
     * @param list list
     * @return Map<String,List<String>>
     */
    
    public Map<String,List<String>> getPlanNosByProdList(List<String> list){
    if(list!=null && list.size()>201){throw new RuntimeException("list 超出201长度限制");}
        Map<String,List<String>> result = new LinkedHashMap();
        List<PlanTranScreenRelDO> resultList = planTranScreenRelDOMapper.getPlanNosByProdList(list);
        if(resultList!=null && !resultList.isEmpty()){
            for(PlanTranScreenRelDO entity:resultList){
                List<String> vList =  result.get(entity.getProdCode());
                if(vList == null){
                    vList = new ArrayList();
                    result.put(entity.getProdCode(),vList);
                }
                vList.add(entity.getPlanNo());
            }
        }
        return result;
    }
    /**
     * desc:根据transferNo获取数据:abs_plan_tran_screen_rel.<br/>
     * @param managerOrgCode managerOrgCode
     * @return List<String>
     */
    
    public List<String> getPlanNosByManagerOrg(String managerOrgCode){
        return planTranScreenRelDOMapper.getPlanNosByManagerOrg(managerOrgCode);
    }
}
