package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.ProductRiskClDO;
import java.util.List;
import java.math.BigDecimal;
import com.abssqr.plat.common.dal.mysql.auto.mapper.ProductRiskClDOMapper;

/**
* The Table ABS_PRODUCT_RISK_CL.
* ABS_PRODUCT_RISK_CL
*/
@Repository
public class ProductRiskClDAO{

    @Autowired
    private ProductRiskClDOMapper productRiskClDOMapper;

    /**
     * desc:插入表:ABS_PRODUCT_RISK_CL.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(ProductRiskClDO entity){
        return productRiskClDOMapper.insert(entity);
    }
    /**
     * desc:批量插入表:ABS_PRODUCT_RISK_CL.<br/>
     * @param list list
     * @return int
     */
    
    public int insertBatch(List<ProductRiskClDO> list){
        productRiskClDOMapper.insertBatch(list);
        return  list.size(); 
    }
    /**
     * desc:根据主键删除数据:ABS_PRODUCT_RISK_CL.<br/>
     * @param id id
     * @return int
     */
    
    public int deleteById(Long id){
        return productRiskClDOMapper.deleteById(id);
    }
    /**
     * desc:根据主键获取数据:ABS_PRODUCT_RISK_CL.<br/>
     * @param id id
     * @return ProductRiskClDO
     */
    
    public ProductRiskClDO getById(Long id){
        return productRiskClDOMapper.getById(id);
    }
    /**
     * desc:根据唯一约束ProdCodeRislCl更新表:ABS_PRODUCT_RISK_CL.<br/>
     * @param entity entity
     * @return int
     */
    
    public int updateByProdCodeRislCl(ProductRiskClDO entity){
        return productRiskClDOMapper.updateByProdCodeRislCl(entity);
    }
    /**
     * desc:根据唯一约束ProdCodeRislCl删除数据:ABS_PRODUCT_RISK_CL.<br/>
     * @param abssqrProdCode abssqrProdCode
     * @param prov prov
     * @return int
     */
    
    public int deleteByProdCodeRislCl(String abssqrProdCode,BigDecimal prov){
        return productRiskClDOMapper.deleteByProdCodeRislCl(abssqrProdCode, prov);
    }
    /**
     * desc:根据唯一约束ProdCodeRislCl获取数据:ABS_PRODUCT_RISK_CL.<br/>
     * @param abssqrProdCode abssqrProdCode
     * @param prov prov
     * @return ProductRiskClDO
     */
    
    public ProductRiskClDO getByProdCodeRislCl(String abssqrProdCode,BigDecimal prov){
        return productRiskClDOMapper.getByProdCodeRislCl(abssqrProdCode, prov);
    }
    /**
     * desc:根据主键获取数据:ABS_PRODUCT_RISK_CL.<br/>
     * @param abssqrProdCode abssqrProdCode
     * @return List<ProductRiskClDO>
     */
    
    public List<ProductRiskClDO> queryByAbsProdCode(String abssqrProdCode){
        return productRiskClDOMapper.queryByAbsProdCode(abssqrProdCode);
    }
    /**
     * desc:根据普通索引AbssqrProdCode删除数据.<br/>
     * @param abssqrProdCode abssqrProdCode
     * @return int
     */
    
    public int deleteByAbssqrProdCode(String abssqrProdCode){
        return productRiskClDOMapper.deleteByAbssqrProdCode(abssqrProdCode);
    }
}
