package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;
import java.math.BigDecimal;

/**
 * The table 资产筛选规则
 */
public class AstScreenRuleDO{

    /**
     * id .
     */
    private Long id;
    /**
     * singleMaxAmount 单笔最大金额.
     */
    private Long singleMaxAmount;
    /**
     * singleMinAmount 单笔最小金额.
     */
    private Long singleMinAmount;
    /**
     * region 地区.
     */
    private String region;
    /**
     * prodCode 准入产品码.
     */
    private String prodCode;
    /**
     * prodName 准入产品名称.
     */
    private String prodName;
    /**
     * gmtCreator 创建人.
     */
    private String gmtCreator;
    /**
     * screenType 筛选类型 转让、回购.
     */
    private String screenType;
    /**
     * assetStatus 资产状态,|分割，对应五级分类.
     */
    private String assetStatus;
    /**
     * gmtModifier 修改人.
     */
    private String gmtModifier;
    /**
     * screenRuleNo 资产筛选规则编号.
     */
    private String screenRuleNo;
    /**
     * approveStatus 审批状态.
     */
    private String approveStatus;
    /**
     * lenderOrgCode 原始权益机构.
     */
    private String lenderOrgCode;
    /**
     * abssqrProdCode 内部产品码.
     */
    private String abssqrProdCode;
    /**
     * managerOrgCode .
     */
    private String managerOrgCode;
    /**
     * screenRuleName 资产筛选规则编号.
     */
    private String screenRuleName;
    /**
     * maxAge 最大年龄.
     */
    private Integer maxAge;
    /**
     * minAge 最小年龄.
     */
    private Integer minAge;
    /**
     * maxTerm 最大期次.
     */
    private Integer maxTerm;
    /**
     * minTerm 最小期次.
     */
    private Integer minTerm;
    /**
     * maxRemainDays 最大剩余天数.
     */
    private Integer maxRemainDays;
    /**
     * minRemainDays 最小剩余天数.
     */
    private Integer minRemainDays;
    /**
     * gmtCreate 创建时间.
     */
    private Date gmtCreate;
    /**
     * gmtModified 修改时间.
     */
    private Date gmtModified;
    /**
     * latestEndDate 最晚到期日.
     */
    private Date latestEndDate;
    /**
     * earliestEndDate 最早到期日.
     */
    private Date earliestEndDate;
    /**
     * singleMaxInterRate 单笔最高利率.
     */
    private BigDecimal singleMaxInterRate;
    /**
     * singleMinInterRate 单笔最单利率.
     */
    private BigDecimal singleMinInterRate;

    /**
     * Set id .
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id .
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set singleMaxAmount 单笔最大金额.
     */
    public void setSingleMaxAmount(Long singleMaxAmount){
        this.singleMaxAmount = singleMaxAmount;
    }

    /**
     * Get singleMaxAmount 单笔最大金额.
     *
     * @return the string
     */
    public Long getSingleMaxAmount(){
        return singleMaxAmount;
    }

    /**
     * Set singleMinAmount 单笔最小金额.
     */
    public void setSingleMinAmount(Long singleMinAmount){
        this.singleMinAmount = singleMinAmount;
    }

    /**
     * Get singleMinAmount 单笔最小金额.
     *
     * @return the string
     */
    public Long getSingleMinAmount(){
        return singleMinAmount;
    }

    /**
     * Set region 地区.
     */
    public void setRegion(String region){
        this.region = region;
    }

    /**
     * Get region 地区.
     *
     * @return the string
     */
    public String getRegion(){
        return region;
    }

    /**
     * Set prodCode 准入产品码.
     */
    public void setProdCode(String prodCode){
        this.prodCode = prodCode;
    }

    /**
     * Get prodCode 准入产品码.
     *
     * @return the string
     */
    public String getProdCode(){
        return prodCode;
    }

    /**
     * Set prodName 准入产品名称.
     */
    public void setProdName(String prodName){
        this.prodName = prodName;
    }

    /**
     * Get prodName 准入产品名称.
     *
     * @return the string
     */
    public String getProdName(){
        return prodName;
    }

    /**
     * Set gmtCreator 创建人.
     */
    public void setGmtCreator(String gmtCreator){
        this.gmtCreator = gmtCreator;
    }

    /**
     * Get gmtCreator 创建人.
     *
     * @return the string
     */
    public String getGmtCreator(){
        return gmtCreator;
    }

    /**
     * Set screenType 筛选类型 转让、回购.
     */
    public void setScreenType(String screenType){
        this.screenType = screenType;
    }

    /**
     * Get screenType 筛选类型 转让、回购.
     *
     * @return the string
     */
    public String getScreenType(){
        return screenType;
    }

    /**
     * Set assetStatus 资产状态,|分割，对应五级分类.
     */
    public void setAssetStatus(String assetStatus){
        this.assetStatus = assetStatus;
    }

    /**
     * Get assetStatus 资产状态,|分割，对应五级分类.
     *
     * @return the string
     */
    public String getAssetStatus(){
        return assetStatus;
    }

    /**
     * Set gmtModifier 修改人.
     */
    public void setGmtModifier(String gmtModifier){
        this.gmtModifier = gmtModifier;
    }

    /**
     * Get gmtModifier 修改人.
     *
     * @return the string
     */
    public String getGmtModifier(){
        return gmtModifier;
    }

    /**
     * Set screenRuleNo 资产筛选规则编号.
     */
    public void setScreenRuleNo(String screenRuleNo){
        this.screenRuleNo = screenRuleNo;
    }

    /**
     * Get screenRuleNo 资产筛选规则编号.
     *
     * @return the string
     */
    public String getScreenRuleNo(){
        return screenRuleNo;
    }

    /**
     * Set approveStatus 审批状态.
     */
    public void setApproveStatus(String approveStatus){
        this.approveStatus = approveStatus;
    }

    /**
     * Get approveStatus 审批状态.
     *
     * @return the string
     */
    public String getApproveStatus(){
        return approveStatus;
    }

    /**
     * Set lenderOrgCode 原始权益机构.
     */
    public void setLenderOrgCode(String lenderOrgCode){
        this.lenderOrgCode = lenderOrgCode;
    }

    /**
     * Get lenderOrgCode 原始权益机构.
     *
     * @return the string
     */
    public String getLenderOrgCode(){
        return lenderOrgCode;
    }

    /**
     * Set abssqrProdCode 内部产品码.
     */
    public void setAbssqrProdCode(String abssqrProdCode){
        this.abssqrProdCode = abssqrProdCode;
    }

    /**
     * Get abssqrProdCode 内部产品码.
     *
     * @return the string
     */
    public String getAbssqrProdCode(){
        return abssqrProdCode;
    }

    /**
     * Set managerOrgCode .
     */
    public void setManagerOrgCode(String managerOrgCode){
        this.managerOrgCode = managerOrgCode;
    }

    /**
     * Get managerOrgCode .
     *
     * @return the string
     */
    public String getManagerOrgCode(){
        return managerOrgCode;
    }

    /**
     * Set screenRuleName 资产筛选规则编号.
     */
    public void setScreenRuleName(String screenRuleName){
        this.screenRuleName = screenRuleName;
    }

    /**
     * Get screenRuleName 资产筛选规则编号.
     *
     * @return the string
     */
    public String getScreenRuleName(){
        return screenRuleName;
    }

    /**
     * Set maxAge 最大年龄.
     */
    public void setMaxAge(Integer maxAge){
        this.maxAge = maxAge;
    }

    /**
     * Get maxAge 最大年龄.
     *
     * @return the string
     */
    public Integer getMaxAge(){
        return maxAge;
    }

    /**
     * Set minAge 最小年龄.
     */
    public void setMinAge(Integer minAge){
        this.minAge = minAge;
    }

    /**
     * Get minAge 最小年龄.
     *
     * @return the string
     */
    public Integer getMinAge(){
        return minAge;
    }

    /**
     * Set maxTerm 最大期次.
     */
    public void setMaxTerm(Integer maxTerm){
        this.maxTerm = maxTerm;
    }

    /**
     * Get maxTerm 最大期次.
     *
     * @return the string
     */
    public Integer getMaxTerm(){
        return maxTerm;
    }

    /**
     * Set minTerm 最小期次.
     */
    public void setMinTerm(Integer minTerm){
        this.minTerm = minTerm;
    }

    /**
     * Get minTerm 最小期次.
     *
     * @return the string
     */
    public Integer getMinTerm(){
        return minTerm;
    }

    /**
     * Set maxRemainDays 最大剩余天数.
     */
    public void setMaxRemainDays(Integer maxRemainDays){
        this.maxRemainDays = maxRemainDays;
    }

    /**
     * Get maxRemainDays 最大剩余天数.
     *
     * @return the string
     */
    public Integer getMaxRemainDays(){
        return maxRemainDays;
    }

    /**
     * Set minRemainDays 最小剩余天数.
     */
    public void setMinRemainDays(Integer minRemainDays){
        this.minRemainDays = minRemainDays;
    }

    /**
     * Get minRemainDays 最小剩余天数.
     *
     * @return the string
     */
    public Integer getMinRemainDays(){
        return minRemainDays;
    }

    /**
     * Set gmtCreate 创建时间.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建时间.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set gmtModified 修改时间.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 修改时间.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }

    /**
     * Set latestEndDate 最晚到期日.
     */
    public void setLatestEndDate(Date latestEndDate){
        this.latestEndDate = latestEndDate;
    }

    /**
     * Get latestEndDate 最晚到期日.
     *
     * @return the string
     */
    public Date getLatestEndDate(){
        return latestEndDate;
    }

    /**
     * Set earliestEndDate 最早到期日.
     */
    public void setEarliestEndDate(Date earliestEndDate){
        this.earliestEndDate = earliestEndDate;
    }

    /**
     * Get earliestEndDate 最早到期日.
     *
     * @return the string
     */
    public Date getEarliestEndDate(){
        return earliestEndDate;
    }

    /**
     * Set singleMaxInterRate 单笔最高利率.
     */
    public void setSingleMaxInterRate(BigDecimal singleMaxInterRate){
        this.singleMaxInterRate = singleMaxInterRate;
    }

    /**
     * Get singleMaxInterRate 单笔最高利率.
     *
     * @return the string
     */
    public BigDecimal getSingleMaxInterRate(){
        return singleMaxInterRate;
    }

    /**
     * Set singleMinInterRate 单笔最单利率.
     */
    public void setSingleMinInterRate(BigDecimal singleMinInterRate){
        this.singleMinInterRate = singleMinInterRate;
    }

    /**
     * Get singleMinInterRate 单笔最单利率.
     *
     * @return the string
     */
    public BigDecimal getSingleMinInterRate(){
        return singleMinInterRate;
    }
}
