package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;
import java.math.BigDecimal;
import com.general.system.common.model.Money;

/**
 * The table 机构资产
 */
public class LoanAstDO{

    /**
     * astNo 资产编号.
     */
    private String astNo;
    /**
     * extInf 扩展信息.
     */
    private String extInf;
    /**
     * inRule 资产流入规则.
     */
    private String inRule;
    /**
     * ownOrg 所属机构.
     */
    private String ownOrg;
    /**
     * prodNo 产品编码.
     */
    private String prodNo;
    /**
     * userId 用户ID.
     */
    private String userId;
    /**
     * inAstNo 转入机构资产编号.
     */
    private String inAstNo;
    /**
     * ownPack 所属资产包.
     */
    private String ownPack;
    /**
     * outAstNo 外部资产编号.
     */
    private String outAstNo;
    /**
     * astStatus 资产状态：  NOR：正常所属  CLR：已清偿（转出或还款）.
     */
    private String astStatus;
    /**
     * clearEvnt 清偿事件.
     */
    private String clearEvnt;
    /**
     * loanAstNo 机构资产编号.
     */
    private String loanAstNo;
    /**
     * outProdNo 外部产品编码.
     */
    private String outProdNo;
    /**
     * astPriceType 定价类型.
     */
    private String astPriceType;
    /**
     * lenderOrgCode 放款机构.
     */
    private String lenderOrgCode;
    /**
     * termNo 期次编号.
     */
    private Integer termNo;
    /**
     * inDate 资产流入日期.
     */
    private Date inDate;
    /**
     * clearDate 清偿日期.
     */
    private Date clearDate;
    /**
     * gmtCreate 创建日期.
     */
    private Date gmtCreate;
    /**
     * gmtModified 修改日期.
     */
    private Date gmtModified;
    /**
     * lastUpdateDate 最近变更日期.
     */
    private Date lastUpdateDate;
    /**
     * astPrice 资产定价.
     */
    private BigDecimal astPrice;
    /**
     * costAmt 资产成本.
     */
    private Money costAmt;
    /**
     * prinBal 本金余额.
     */
    private Money prinBal;
    /**
     * paidPrinAmt 已还本金.
     */
    private Money paidPrinAmt;

    /**
     * Set astNo 资产编号.
     */
    public void setAstNo(String astNo){
        this.astNo = astNo;
    }

    /**
     * Get astNo 资产编号.
     *
     * @return the string
     */
    public String getAstNo(){
        return astNo;
    }

    /**
     * Set extInf 扩展信息.
     */
    public void setExtInf(String extInf){
        this.extInf = extInf;
    }

    /**
     * Get extInf 扩展信息.
     *
     * @return the string
     */
    public String getExtInf(){
        return extInf;
    }

    /**
     * Set inRule 资产流入规则.
     */
    public void setInRule(String inRule){
        this.inRule = inRule;
    }

    /**
     * Get inRule 资产流入规则.
     *
     * @return the string
     */
    public String getInRule(){
        return inRule;
    }

    /**
     * Set ownOrg 所属机构.
     */
    public void setOwnOrg(String ownOrg){
        this.ownOrg = ownOrg;
    }

    /**
     * Get ownOrg 所属机构.
     *
     * @return the string
     */
    public String getOwnOrg(){
        return ownOrg;
    }

    /**
     * Set prodNo 产品编码.
     */
    public void setProdNo(String prodNo){
        this.prodNo = prodNo;
    }

    /**
     * Get prodNo 产品编码.
     *
     * @return the string
     */
    public String getProdNo(){
        return prodNo;
    }

    /**
     * Set userId 用户ID.
     */
    public void setUserId(String userId){
        this.userId = userId;
    }

    /**
     * Get userId 用户ID.
     *
     * @return the string
     */
    public String getUserId(){
        return userId;
    }

    /**
     * Set inAstNo 转入机构资产编号.
     */
    public void setInAstNo(String inAstNo){
        this.inAstNo = inAstNo;
    }

    /**
     * Get inAstNo 转入机构资产编号.
     *
     * @return the string
     */
    public String getInAstNo(){
        return inAstNo;
    }

    /**
     * Set ownPack 所属资产包.
     */
    public void setOwnPack(String ownPack){
        this.ownPack = ownPack;
    }

    /**
     * Get ownPack 所属资产包.
     *
     * @return the string
     */
    public String getOwnPack(){
        return ownPack;
    }

    /**
     * Set outAstNo 外部资产编号.
     */
    public void setOutAstNo(String outAstNo){
        this.outAstNo = outAstNo;
    }

    /**
     * Get outAstNo 外部资产编号.
     *
     * @return the string
     */
    public String getOutAstNo(){
        return outAstNo;
    }

    /**
     * Set astStatus 资产状态：  NOR：正常所属  CLR：已清偿（转出或还款）.
     */
    public void setAstStatus(String astStatus){
        this.astStatus = astStatus;
    }

    /**
     * Get astStatus 资产状态：  NOR：正常所属  CLR：已清偿（转出或还款）.
     *
     * @return the string
     */
    public String getAstStatus(){
        return astStatus;
    }

    /**
     * Set clearEvnt 清偿事件.
     */
    public void setClearEvnt(String clearEvnt){
        this.clearEvnt = clearEvnt;
    }

    /**
     * Get clearEvnt 清偿事件.
     *
     * @return the string
     */
    public String getClearEvnt(){
        return clearEvnt;
    }

    /**
     * Set loanAstNo 机构资产编号.
     */
    public void setLoanAstNo(String loanAstNo){
        this.loanAstNo = loanAstNo;
    }

    /**
     * Get loanAstNo 机构资产编号.
     *
     * @return the string
     */
    public String getLoanAstNo(){
        return loanAstNo;
    }

    /**
     * Set outProdNo 外部产品编码.
     */
    public void setOutProdNo(String outProdNo){
        this.outProdNo = outProdNo;
    }

    /**
     * Get outProdNo 外部产品编码.
     *
     * @return the string
     */
    public String getOutProdNo(){
        return outProdNo;
    }

    /**
     * Set astPriceType 定价类型.
     */
    public void setAstPriceType(String astPriceType){
        this.astPriceType = astPriceType;
    }

    /**
     * Get astPriceType 定价类型.
     *
     * @return the string
     */
    public String getAstPriceType(){
        return astPriceType;
    }

    /**
     * Set lenderOrgCode 放款机构.
     */
    public void setLenderOrgCode(String lenderOrgCode){
        this.lenderOrgCode = lenderOrgCode;
    }

    /**
     * Get lenderOrgCode 放款机构.
     *
     * @return the string
     */
    public String getLenderOrgCode(){
        return lenderOrgCode;
    }

    /**
     * Set termNo 期次编号.
     */
    public void setTermNo(Integer termNo){
        this.termNo = termNo;
    }

    /**
     * Get termNo 期次编号.
     *
     * @return the string
     */
    public Integer getTermNo(){
        return termNo;
    }

    /**
     * Set inDate 资产流入日期.
     */
    public void setInDate(Date inDate){
        this.inDate = inDate;
    }

    /**
     * Get inDate 资产流入日期.
     *
     * @return the string
     */
    public Date getInDate(){
        return inDate;
    }

    /**
     * Set clearDate 清偿日期.
     */
    public void setClearDate(Date clearDate){
        this.clearDate = clearDate;
    }

    /**
     * Get clearDate 清偿日期.
     *
     * @return the string
     */
    public Date getClearDate(){
        return clearDate;
    }

    /**
     * Set gmtCreate 创建日期.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建日期.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set gmtModified 修改日期.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 修改日期.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }

    /**
     * Set lastUpdateDate 最近变更日期.
     */
    public void setLastUpdateDate(Date lastUpdateDate){
        this.lastUpdateDate = lastUpdateDate;
    }

    /**
     * Get lastUpdateDate 最近变更日期.
     *
     * @return the string
     */
    public Date getLastUpdateDate(){
        return lastUpdateDate;
    }

    /**
     * Set astPrice 资产定价.
     */
    public void setAstPrice(BigDecimal astPrice){
        this.astPrice = astPrice;
    }

    /**
     * Get astPrice 资产定价.
     *
     * @return the string
     */
    public BigDecimal getAstPrice(){
        return astPrice;
    }

    /**
     * Set costAmt 资产成本.
     */
    public void setCostAmt(Money costAmt){
        this.costAmt = costAmt;
    }

    /**
     * Get costAmt 资产成本.
     *
     * @return the string
     */
    public Money getCostAmt(){
        if(costAmt==null){
            return new Money();
        }
        return costAmt;
    }

    /**
     * Set prinBal 本金余额.
     */
    public void setPrinBal(Money prinBal){
        this.prinBal = prinBal;
    }

    /**
     * Get prinBal 本金余额.
     *
     * @return the string
     */
    public Money getPrinBal(){
        if(prinBal==null){
            return new Money();
        }
        return prinBal;
    }

    /**
     * Set paidPrinAmt 已还本金.
     */
    public void setPaidPrinAmt(Money paidPrinAmt){
        this.paidPrinAmt = paidPrinAmt;
    }

    /**
     * Get paidPrinAmt 已还本金.
     *
     * @return the string
     */
    public Money getPaidPrinAmt(){
        if(paidPrinAmt==null){
            return new Money();
        }
        return paidPrinAmt;
    }
}
