package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;
import java.math.BigDecimal;
import com.general.system.common.model.Money;

/**
 * The table 机构资产收益
 */
public class LoanAstProfitDO{

    /**
     * id .
     */
    private Long id;
    /**
     * astNo 资产编号.
     */
    private String astNo;
    /**
     * ownOrg 所属计划.
     */
    private String ownOrg;
    /**
     * extInfo 扩展信息.
     */
    private String extInfo;
    /**
     * outAstNo 外部资产编号.
     */
    private String outAstNo;
    /**
     * loanAstNo 机构资产编号  .
     */
    private String loanAstNo;
    /**
     * profitType 利息类型.
     */
    private String profitType;
    /**
     * astProfitNo .
     */
    private String astProfitNo;
    /**
     * splitOrgCode 交易分润机构.
     */
    private String splitOrgCode;
    /**
     * termNo 期次号.
     */
    private Integer termNo;
    /**
     * srcTermNo 原始期次号.
     */
    private Integer srcTermNo;
    /**
     * gmtCreate 创建时间.
     */
    private Date gmtCreate;
    /**
     * gmtModified 修改时间.
     */
    private Date gmtModified;
    /**
     * lastUpdateDate 最近变更会计日期.
     */
    private Date lastUpdateDate;
    /**
     * splitRate 交易分润比例.
     */
    private BigDecimal splitRate;
    /**
     * feeEntryDec .
     */
    private BigDecimal feeEntryDec;
    /**
     * intrEntryDec .
     */
    private BigDecimal intrEntryDec;
    /**
     * feePenalEntryDec .
     */
    private BigDecimal feePenalEntryDec;
    /**
     * otherFeeEntryDec .
     */
    private BigDecimal otherFeeEntryDec;
    /**
     * intrPenalEntryDec .
     */
    private BigDecimal intrPenalEntryDec;
    /**
     * prinPenalEntryDec .
     */
    private BigDecimal prinPenalEntryDec;
    /**
     * feeBal 费用余额.
     */
    private Money feeBal;
    /**
     * costAmt 资产收益成本.
     */
    private Money costAmt;
    /**
     * intrBal 利息余额.
     */
    private Money intrBal;
    /**
     * rmtFeeAmt .
     */
    private Money rmtFeeAmt;
    /**
     * fundFeeAmt .
     */
    private Money fundFeeAmt;
    /**
     * paidFeeAmt 已付费用.
     */
    private Money paidFeeAmt;
    /**
     * rmtIntrAmt .
     */
    private Money rmtIntrAmt;
    /**
     * feeEntryAmt .
     */
    private Money feeEntryAmt;
    /**
     * feePenalBal 费罚余额.
     */
    private Money feePenalBal;
    /**
     * fundIntrAmt .
     */
    private Money fundIntrAmt;
    /**
     * otherFeeBal 其他费用余额.
     */
    private Money otherFeeBal;
    /**
     * paidIntrAmt 已付利息.
     */
    private Money paidIntrAmt;
    /**
     * intrEntryAmt .
     */
    private Money intrEntryAmt;
    /**
     * intrPenalBal 利罚余额.
     */
    private Money intrPenalBal;
    /**
     * prinPenalBal 本罚余额.
     */
    private Money prinPenalBal;
    /**
     * managerOrgFee 管理服务费分润=已还-实还.
     */
    private Money managerOrgFee;
    /**
     * rmtFeePenalAmt .
     */
    private Money rmtFeePenalAmt;
    /**
     * fundFeePenalAmt .
     */
    private Money fundFeePenalAmt;
    /**
     * fundOtherFeeAmt 其他费用五矿实收.
     */
    private Money fundOtherFeeAmt;
    /**
     * paidFeePenalAmt 已付费罚.
     */
    private Money paidFeePenalAmt;
    /**
     * paidOtherFeeAmt 其他费用实还.
     */
    private Money paidOtherFeeAmt;
    /**
     * rmtIntrPenalAmt .
     */
    private Money rmtIntrPenalAmt;
    /**
     * rmtPrinPenalAmt .
     */
    private Money rmtPrinPenalAmt;
    /**
     * feePenalEntryAmt .
     */
    private Money feePenalEntryAmt;
    /**
     * fundIntrPenalAmt .
     */
    private Money fundIntrPenalAmt;
    /**
     * fundPrinPenalAmt .
     */
    private Money fundPrinPenalAmt;
    /**
     * otherFeeEntryAmt .
     */
    private Money otherFeeEntryAmt;
    /**
     * paidIntrPenalAmt 已付罚息.
     */
    private Money paidIntrPenalAmt;
    /**
     * paidPrinPenalAmt 已付本罚.
     */
    private Money paidPrinPenalAmt;
    /**
     * intrPenalEntryAmt .
     */
    private Money intrPenalEntryAmt;
    /**
     * prinPenalEntryAmt .
     */
    private Money prinPenalEntryAmt;

    /**
     * Set id .
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id .
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set astNo 资产编号.
     */
    public void setAstNo(String astNo){
        this.astNo = astNo;
    }

    /**
     * Get astNo 资产编号.
     *
     * @return the string
     */
    public String getAstNo(){
        return astNo;
    }

    /**
     * Set ownOrg 所属计划.
     */
    public void setOwnOrg(String ownOrg){
        this.ownOrg = ownOrg;
    }

    /**
     * Get ownOrg 所属计划.
     *
     * @return the string
     */
    public String getOwnOrg(){
        return ownOrg;
    }

    /**
     * Set extInfo 扩展信息.
     */
    public void setExtInfo(String extInfo){
        this.extInfo = extInfo;
    }

    /**
     * Get extInfo 扩展信息.
     *
     * @return the string
     */
    public String getExtInfo(){
        return extInfo;
    }

    /**
     * Set outAstNo 外部资产编号.
     */
    public void setOutAstNo(String outAstNo){
        this.outAstNo = outAstNo;
    }

    /**
     * Get outAstNo 外部资产编号.
     *
     * @return the string
     */
    public String getOutAstNo(){
        return outAstNo;
    }

    /**
     * Set loanAstNo 机构资产编号  .
     */
    public void setLoanAstNo(String loanAstNo){
        this.loanAstNo = loanAstNo;
    }

    /**
     * Get loanAstNo 机构资产编号  .
     *
     * @return the string
     */
    public String getLoanAstNo(){
        return loanAstNo;
    }

    /**
     * Set profitType 利息类型.
     */
    public void setProfitType(String profitType){
        this.profitType = profitType;
    }

    /**
     * Get profitType 利息类型.
     *
     * @return the string
     */
    public String getProfitType(){
        return profitType;
    }

    /**
     * Set astProfitNo .
     */
    public void setAstProfitNo(String astProfitNo){
        this.astProfitNo = astProfitNo;
    }

    /**
     * Get astProfitNo .
     *
     * @return the string
     */
    public String getAstProfitNo(){
        return astProfitNo;
    }

    /**
     * Set splitOrgCode 交易分润机构.
     */
    public void setSplitOrgCode(String splitOrgCode){
        this.splitOrgCode = splitOrgCode;
    }

    /**
     * Get splitOrgCode 交易分润机构.
     *
     * @return the string
     */
    public String getSplitOrgCode(){
        return splitOrgCode;
    }

    /**
     * Set termNo 期次号.
     */
    public void setTermNo(Integer termNo){
        this.termNo = termNo;
    }

    /**
     * Get termNo 期次号.
     *
     * @return the string
     */
    public Integer getTermNo(){
        return termNo;
    }

    /**
     * Set srcTermNo 原始期次号.
     */
    public void setSrcTermNo(Integer srcTermNo){
        this.srcTermNo = srcTermNo;
    }

    /**
     * Get srcTermNo 原始期次号.
     *
     * @return the string
     */
    public Integer getSrcTermNo(){
        return srcTermNo;
    }

    /**
     * Set gmtCreate 创建时间.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建时间.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set gmtModified 修改时间.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 修改时间.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }

    /**
     * Set lastUpdateDate 最近变更会计日期.
     */
    public void setLastUpdateDate(Date lastUpdateDate){
        this.lastUpdateDate = lastUpdateDate;
    }

    /**
     * Get lastUpdateDate 最近变更会计日期.
     *
     * @return the string
     */
    public Date getLastUpdateDate(){
        return lastUpdateDate;
    }

    /**
     * Set splitRate 交易分润比例.
     */
    public void setSplitRate(BigDecimal splitRate){
        this.splitRate = splitRate;
    }

    /**
     * Get splitRate 交易分润比例.
     *
     * @return the string
     */
    public BigDecimal getSplitRate(){
        return splitRate;
    }

    /**
     * Set feeEntryDec .
     */
    public void setFeeEntryDec(BigDecimal feeEntryDec){
        this.feeEntryDec = feeEntryDec;
    }

    /**
     * Get feeEntryDec .
     *
     * @return the string
     */
    public BigDecimal getFeeEntryDec(){
        return feeEntryDec;
    }

    /**
     * Set intrEntryDec .
     */
    public void setIntrEntryDec(BigDecimal intrEntryDec){
        this.intrEntryDec = intrEntryDec;
    }

    /**
     * Get intrEntryDec .
     *
     * @return the string
     */
    public BigDecimal getIntrEntryDec(){
        return intrEntryDec;
    }

    /**
     * Set feePenalEntryDec .
     */
    public void setFeePenalEntryDec(BigDecimal feePenalEntryDec){
        this.feePenalEntryDec = feePenalEntryDec;
    }

    /**
     * Get feePenalEntryDec .
     *
     * @return the string
     */
    public BigDecimal getFeePenalEntryDec(){
        return feePenalEntryDec;
    }

    /**
     * Set otherFeeEntryDec .
     */
    public void setOtherFeeEntryDec(BigDecimal otherFeeEntryDec){
        this.otherFeeEntryDec = otherFeeEntryDec;
    }

    /**
     * Get otherFeeEntryDec .
     *
     * @return the string
     */
    public BigDecimal getOtherFeeEntryDec(){
        return otherFeeEntryDec;
    }

    /**
     * Set intrPenalEntryDec .
     */
    public void setIntrPenalEntryDec(BigDecimal intrPenalEntryDec){
        this.intrPenalEntryDec = intrPenalEntryDec;
    }

    /**
     * Get intrPenalEntryDec .
     *
     * @return the string
     */
    public BigDecimal getIntrPenalEntryDec(){
        return intrPenalEntryDec;
    }

    /**
     * Set prinPenalEntryDec .
     */
    public void setPrinPenalEntryDec(BigDecimal prinPenalEntryDec){
        this.prinPenalEntryDec = prinPenalEntryDec;
    }

    /**
     * Get prinPenalEntryDec .
     *
     * @return the string
     */
    public BigDecimal getPrinPenalEntryDec(){
        return prinPenalEntryDec;
    }

    /**
     * Set feeBal 费用余额.
     */
    public void setFeeBal(Money feeBal){
        this.feeBal = feeBal;
    }

    /**
     * Get feeBal 费用余额.
     *
     * @return the string
     */
    public Money getFeeBal(){
        if(feeBal==null){
            return new Money();
        }
        return feeBal;
    }

    /**
     * Set costAmt 资产收益成本.
     */
    public void setCostAmt(Money costAmt){
        this.costAmt = costAmt;
    }

    /**
     * Get costAmt 资产收益成本.
     *
     * @return the string
     */
    public Money getCostAmt(){
        if(costAmt==null){
            return new Money();
        }
        return costAmt;
    }

    /**
     * Set intrBal 利息余额.
     */
    public void setIntrBal(Money intrBal){
        this.intrBal = intrBal;
    }

    /**
     * Get intrBal 利息余额.
     *
     * @return the string
     */
    public Money getIntrBal(){
        if(intrBal==null){
            return new Money();
        }
        return intrBal;
    }

    /**
     * Set rmtFeeAmt .
     */
    public void setRmtFeeAmt(Money rmtFeeAmt){
        this.rmtFeeAmt = rmtFeeAmt;
    }

    /**
     * Get rmtFeeAmt .
     *
     * @return the string
     */
    public Money getRmtFeeAmt(){
        if(rmtFeeAmt==null){
            return new Money();
        }
        return rmtFeeAmt;
    }

    /**
     * Set fundFeeAmt .
     */
    public void setFundFeeAmt(Money fundFeeAmt){
        this.fundFeeAmt = fundFeeAmt;
    }

    /**
     * Get fundFeeAmt .
     *
     * @return the string
     */
    public Money getFundFeeAmt(){
        if(fundFeeAmt==null){
            return new Money();
        }
        return fundFeeAmt;
    }

    /**
     * Set paidFeeAmt 已付费用.
     */
    public void setPaidFeeAmt(Money paidFeeAmt){
        this.paidFeeAmt = paidFeeAmt;
    }

    /**
     * Get paidFeeAmt 已付费用.
     *
     * @return the string
     */
    public Money getPaidFeeAmt(){
        if(paidFeeAmt==null){
            return new Money();
        }
        return paidFeeAmt;
    }

    /**
     * Set rmtIntrAmt .
     */
    public void setRmtIntrAmt(Money rmtIntrAmt){
        this.rmtIntrAmt = rmtIntrAmt;
    }

    /**
     * Get rmtIntrAmt .
     *
     * @return the string
     */
    public Money getRmtIntrAmt(){
        if(rmtIntrAmt==null){
            return new Money();
        }
        return rmtIntrAmt;
    }

    /**
     * Set feeEntryAmt .
     */
    public void setFeeEntryAmt(Money feeEntryAmt){
        this.feeEntryAmt = feeEntryAmt;
    }

    /**
     * Get feeEntryAmt .
     *
     * @return the string
     */
    public Money getFeeEntryAmt(){
        if(feeEntryAmt==null){
            return new Money();
        }
        return feeEntryAmt;
    }

    /**
     * Set feePenalBal 费罚余额.
     */
    public void setFeePenalBal(Money feePenalBal){
        this.feePenalBal = feePenalBal;
    }

    /**
     * Get feePenalBal 费罚余额.
     *
     * @return the string
     */
    public Money getFeePenalBal(){
        if(feePenalBal==null){
            return new Money();
        }
        return feePenalBal;
    }

    /**
     * Set fundIntrAmt .
     */
    public void setFundIntrAmt(Money fundIntrAmt){
        this.fundIntrAmt = fundIntrAmt;
    }

    /**
     * Get fundIntrAmt .
     *
     * @return the string
     */
    public Money getFundIntrAmt(){
        if(fundIntrAmt==null){
            return new Money();
        }
        return fundIntrAmt;
    }

    /**
     * Set otherFeeBal 其他费用余额.
     */
    public void setOtherFeeBal(Money otherFeeBal){
        this.otherFeeBal = otherFeeBal;
    }

    /**
     * Get otherFeeBal 其他费用余额.
     *
     * @return the string
     */
    public Money getOtherFeeBal(){
        if(otherFeeBal==null){
            return new Money();
        }
        return otherFeeBal;
    }

    /**
     * Set paidIntrAmt 已付利息.
     */
    public void setPaidIntrAmt(Money paidIntrAmt){
        this.paidIntrAmt = paidIntrAmt;
    }

    /**
     * Get paidIntrAmt 已付利息.
     *
     * @return the string
     */
    public Money getPaidIntrAmt(){
        if(paidIntrAmt==null){
            return new Money();
        }
        return paidIntrAmt;
    }

    /**
     * Set intrEntryAmt .
     */
    public void setIntrEntryAmt(Money intrEntryAmt){
        this.intrEntryAmt = intrEntryAmt;
    }

    /**
     * Get intrEntryAmt .
     *
     * @return the string
     */
    public Money getIntrEntryAmt(){
        if(intrEntryAmt==null){
            return new Money();
        }
        return intrEntryAmt;
    }

    /**
     * Set intrPenalBal 利罚余额.
     */
    public void setIntrPenalBal(Money intrPenalBal){
        this.intrPenalBal = intrPenalBal;
    }

    /**
     * Get intrPenalBal 利罚余额.
     *
     * @return the string
     */
    public Money getIntrPenalBal(){
        if(intrPenalBal==null){
            return new Money();
        }
        return intrPenalBal;
    }

    /**
     * Set prinPenalBal 本罚余额.
     */
    public void setPrinPenalBal(Money prinPenalBal){
        this.prinPenalBal = prinPenalBal;
    }

    /**
     * Get prinPenalBal 本罚余额.
     *
     * @return the string
     */
    public Money getPrinPenalBal(){
        if(prinPenalBal==null){
            return new Money();
        }
        return prinPenalBal;
    }

    /**
     * Set managerOrgFee 管理服务费分润=已还-实还.
     */
    public void setManagerOrgFee(Money managerOrgFee){
        this.managerOrgFee = managerOrgFee;
    }

    /**
     * Get managerOrgFee 管理服务费分润=已还-实还.
     *
     * @return the string
     */
    public Money getManagerOrgFee(){
        if(managerOrgFee==null){
            return new Money();
        }
        return managerOrgFee;
    }

    /**
     * Set rmtFeePenalAmt .
     */
    public void setRmtFeePenalAmt(Money rmtFeePenalAmt){
        this.rmtFeePenalAmt = rmtFeePenalAmt;
    }

    /**
     * Get rmtFeePenalAmt .
     *
     * @return the string
     */
    public Money getRmtFeePenalAmt(){
        if(rmtFeePenalAmt==null){
            return new Money();
        }
        return rmtFeePenalAmt;
    }

    /**
     * Set fundFeePenalAmt .
     */
    public void setFundFeePenalAmt(Money fundFeePenalAmt){
        this.fundFeePenalAmt = fundFeePenalAmt;
    }

    /**
     * Get fundFeePenalAmt .
     *
     * @return the string
     */
    public Money getFundFeePenalAmt(){
        if(fundFeePenalAmt==null){
            return new Money();
        }
        return fundFeePenalAmt;
    }

    /**
     * Set fundOtherFeeAmt 其他费用五矿实收.
     */
    public void setFundOtherFeeAmt(Money fundOtherFeeAmt){
        this.fundOtherFeeAmt = fundOtherFeeAmt;
    }

    /**
     * Get fundOtherFeeAmt 其他费用五矿实收.
     *
     * @return the string
     */
    public Money getFundOtherFeeAmt(){
        if(fundOtherFeeAmt==null){
            return new Money();
        }
        return fundOtherFeeAmt;
    }

    /**
     * Set paidFeePenalAmt 已付费罚.
     */
    public void setPaidFeePenalAmt(Money paidFeePenalAmt){
        this.paidFeePenalAmt = paidFeePenalAmt;
    }

    /**
     * Get paidFeePenalAmt 已付费罚.
     *
     * @return the string
     */
    public Money getPaidFeePenalAmt(){
        if(paidFeePenalAmt==null){
            return new Money();
        }
        return paidFeePenalAmt;
    }

    /**
     * Set paidOtherFeeAmt 其他费用实还.
     */
    public void setPaidOtherFeeAmt(Money paidOtherFeeAmt){
        this.paidOtherFeeAmt = paidOtherFeeAmt;
    }

    /**
     * Get paidOtherFeeAmt 其他费用实还.
     *
     * @return the string
     */
    public Money getPaidOtherFeeAmt(){
        if(paidOtherFeeAmt==null){
            return new Money();
        }
        return paidOtherFeeAmt;
    }

    /**
     * Set rmtIntrPenalAmt .
     */
    public void setRmtIntrPenalAmt(Money rmtIntrPenalAmt){
        this.rmtIntrPenalAmt = rmtIntrPenalAmt;
    }

    /**
     * Get rmtIntrPenalAmt .
     *
     * @return the string
     */
    public Money getRmtIntrPenalAmt(){
        if(rmtIntrPenalAmt==null){
            return new Money();
        }
        return rmtIntrPenalAmt;
    }

    /**
     * Set rmtPrinPenalAmt .
     */
    public void setRmtPrinPenalAmt(Money rmtPrinPenalAmt){
        this.rmtPrinPenalAmt = rmtPrinPenalAmt;
    }

    /**
     * Get rmtPrinPenalAmt .
     *
     * @return the string
     */
    public Money getRmtPrinPenalAmt(){
        if(rmtPrinPenalAmt==null){
            return new Money();
        }
        return rmtPrinPenalAmt;
    }

    /**
     * Set feePenalEntryAmt .
     */
    public void setFeePenalEntryAmt(Money feePenalEntryAmt){
        this.feePenalEntryAmt = feePenalEntryAmt;
    }

    /**
     * Get feePenalEntryAmt .
     *
     * @return the string
     */
    public Money getFeePenalEntryAmt(){
        if(feePenalEntryAmt==null){
            return new Money();
        }
        return feePenalEntryAmt;
    }

    /**
     * Set fundIntrPenalAmt .
     */
    public void setFundIntrPenalAmt(Money fundIntrPenalAmt){
        this.fundIntrPenalAmt = fundIntrPenalAmt;
    }

    /**
     * Get fundIntrPenalAmt .
     *
     * @return the string
     */
    public Money getFundIntrPenalAmt(){
        if(fundIntrPenalAmt==null){
            return new Money();
        }
        return fundIntrPenalAmt;
    }

    /**
     * Set fundPrinPenalAmt .
     */
    public void setFundPrinPenalAmt(Money fundPrinPenalAmt){
        this.fundPrinPenalAmt = fundPrinPenalAmt;
    }

    /**
     * Get fundPrinPenalAmt .
     *
     * @return the string
     */
    public Money getFundPrinPenalAmt(){
        if(fundPrinPenalAmt==null){
            return new Money();
        }
        return fundPrinPenalAmt;
    }

    /**
     * Set otherFeeEntryAmt .
     */
    public void setOtherFeeEntryAmt(Money otherFeeEntryAmt){
        this.otherFeeEntryAmt = otherFeeEntryAmt;
    }

    /**
     * Get otherFeeEntryAmt .
     *
     * @return the string
     */
    public Money getOtherFeeEntryAmt(){
        if(otherFeeEntryAmt==null){
            return new Money();
        }
        return otherFeeEntryAmt;
    }

    /**
     * Set paidIntrPenalAmt 已付罚息.
     */
    public void setPaidIntrPenalAmt(Money paidIntrPenalAmt){
        this.paidIntrPenalAmt = paidIntrPenalAmt;
    }

    /**
     * Get paidIntrPenalAmt 已付罚息.
     *
     * @return the string
     */
    public Money getPaidIntrPenalAmt(){
        if(paidIntrPenalAmt==null){
            return new Money();
        }
        return paidIntrPenalAmt;
    }

    /**
     * Set paidPrinPenalAmt 已付本罚.
     */
    public void setPaidPrinPenalAmt(Money paidPrinPenalAmt){
        this.paidPrinPenalAmt = paidPrinPenalAmt;
    }

    /**
     * Get paidPrinPenalAmt 已付本罚.
     *
     * @return the string
     */
    public Money getPaidPrinPenalAmt(){
        if(paidPrinPenalAmt==null){
            return new Money();
        }
        return paidPrinPenalAmt;
    }

    /**
     * Set intrPenalEntryAmt .
     */
    public void setIntrPenalEntryAmt(Money intrPenalEntryAmt){
        this.intrPenalEntryAmt = intrPenalEntryAmt;
    }

    /**
     * Get intrPenalEntryAmt .
     *
     * @return the string
     */
    public Money getIntrPenalEntryAmt(){
        if(intrPenalEntryAmt==null){
            return new Money();
        }
        return intrPenalEntryAmt;
    }

    /**
     * Set prinPenalEntryAmt .
     */
    public void setPrinPenalEntryAmt(Money prinPenalEntryAmt){
        this.prinPenalEntryAmt = prinPenalEntryAmt;
    }

    /**
     * Get prinPenalEntryAmt .
     *
     * @return the string
     */
    public Money getPrinPenalEntryAmt(){
        if(prinPenalEntryAmt==null){
            return new Money();
        }
        return prinPenalEntryAmt;
    }
}
