package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.AstPoolDO;
import com.abssqr.plat.common.dal.mysql.auto.paging.PactsAstMatchPage;
import java.util.List;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.AstPoolItem;
import java.util.Date;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table ABS_AST_POOL.
 * 一月的资产池
 */
public interface AstPoolDOMapper{

    /**
     * desc:插入表:ABS_AST_POOL_JAN.<br/>
     * @param entity entity
     * @return int
     */
    int insert(AstPoolDO entity);
    /**
     * desc:根据主键删除数据:ABS_AST_POOL_JAN.<br/>
     * @param astNo astNo
     * @param termNo termNo
     * @return int
     */
    int updateSlice(@Param("astNo")String astNo,@Param("termNo")Integer termNo);
    /**
     * desc:根据主键删除数据:ABS_AST_POOL_JAN.<br/>
     * @param astNo astNo
     * @param termNo termNo
     * @return int
     */
    int deleteByPk(@Param("astNo")String astNo,@Param("termNo")Integer termNo);
    /**
     * desc:更新是否一切片.<br/>
     * @param astNo astNo
     * @param slice slice
     * @param termNo termNo
     * @return int
     */
    int updateSliceByPk(@Param("astNo")String astNo,@Param("slice")Boolean slice,@Param("termNo")Integer termNo);
    /**
     * desc:资产筛选分页.<br/>
     * @param pactsAstMatch pactsAstMatch
     * @return int
     */
    int queryForAstMatchCount(PactsAstMatchPage pactsAstMatch);
    /**
     * desc:资产筛选分页.<br/>
     * @param pactsAstMatch pactsAstMatch
     * @return List<AstPoolItem>
     */
    List<AstPoolItem> queryForAstMatchResult(PactsAstMatchPage pactsAstMatch);
    /**
     * desc:资产筛选分页.<br/>
     * @param sysDate sysDate
     * @param astNo astNo
     * @return List<AstPoolItem>
     */
    List<AstPoolItem> getAstPoolItems(@Param("sysDate")Date sysDate,@Param("astNo")String astNo);
    /**
     * desc:获取资产池资产.<br/>
     * @param astNo astNo
     * @param ownOrg ownOrg
     * @return AstPoolDO
     */
    AstPoolDO getAstPoolItem(@Param("astNo")String astNo,@Param("ownOrg")String ownOrg);
}
