package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.AstScreenRuleDO;
import java.util.List;
import java.util.Map;
import com.abssqr.plat.common.dal.mysql.auto.paging.ScreenRulePage;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_ast_screen_rule.
 * 资产筛选规则
 */
public interface AstScreenRuleDOMapper{

    /**
     * desc:插入表:abs_ast_screen_rule.<br/>
     * @param entity entity
     * @return int
     */
    int insert(AstScreenRuleDO entity);
    /**
     * desc:批量插入表:abs_ast_screen_rule.<br/>
     * @param list list
     * @return int
     */
    int insertBatch(List<AstScreenRuleDO> list);
    /**
     * desc:根据唯一约束ScreenRuleNo更新表:abs_ast_screen_rule.<br/>
     * @param entity entity
     * @return int
     */
    int updateByScreenRuleNo(AstScreenRuleDO entity);
    /**
     * desc:根据唯一约束ScreenRuleNo获取数据:abs_ast_screen_rule.<br/>
     * @param screenRuleNo screenRuleNo
     * @return AstScreenRuleDO
     */
    AstScreenRuleDO getByScreenRuleNo(@Param("screenRuleNo")String screenRuleNo);
    /**
     * desc:根据唯一约束ScreenRuleNo获取数据:abs_ast_screen_rule.<br/>
     * @param screenRuleNos screenRuleNos
     * @return List<AstScreenRuleDO>
     */
    List<AstScreenRuleDO> getByScreenRuleNos(@Param("screenRuleNos")List<String> screenRuleNos);
    /**
     * desc:分页查询资产筛选规则.<br/>
     * @param screenRule screenRule
     * @return int
     */
    int getScreenRuleListCount(ScreenRulePage screenRule);
    /**
     * desc:分页查询资产筛选规则.<br/>
     * @param screenRule screenRule
     * @return List<AstScreenRuleDO>
     */
    List<AstScreenRuleDO> getScreenRuleListResult(ScreenRulePage screenRule);
    /**
     * desc:获取同名筛选规则数量，防止重名存在.<br/>
     * @param screenRuleNo screenRuleNo
     * @param screenRuleName screenRuleName
     * @return int
     */
    int getSameRuleCnt(@Param("screenRuleNo")String screenRuleNo,@Param("screenRuleName")String screenRuleName);
}
