package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.BizDataChangeDO;
import java.lang.Long;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_biz_data_change.
 * 业务数据变更记录-审批
 */
public interface BizDataChangeDOMapper{

    /**
     * desc:插入表:abs_biz_data_change.<br/>
     * @param entity entity
     * @return int
     */
    int insert(BizDataChangeDO entity);
    /**
     * desc:根据唯一约束AbsBizDataChange0更新表:abs_biz_data_change.<br/>
     * @param changeNo changeNo
     * @param approveStatus approveStatus
     * @param oldApproveStatus oldApproveStatus
     * @return int
     */
    int updateStatus(@Param("changeNo")String changeNo,@Param("approveStatus")String approveStatus,@Param("oldApproveStatus")String oldApproveStatus);
    /**
     * desc:根据唯一约束AbsBizDataChange0获取数据:abs_biz_data_change.<br/>
     * @param changeNo changeNo
     * @return BizDataChangeDO
     */
    BizDataChangeDO getByChangeNo(@Param("changeNo")String changeNo);
    /**
     * desc:测试专用-根据bizNo与审批状态查询数据.<br/>
     * @param bizNo bizNo
     * @param approveStatus approveStatus
     * @return BizDataChangeDO
     */
    BizDataChangeDO getByBizNoAndStatus(@Param("bizNo")String bizNo,@Param("approveStatus")String approveStatus);
    /**
     * desc:根据bizNo、status和bizType查询审批数量.<br/>
     * @param bizType bizType
     * @param changeNo changeNo
     * @param approveStatus approveStatus
     * @return Long
     */
    Long cntByBizNoAndStatusAndBizType(@Param("bizType")String bizType,@Param("changeNo")String changeNo,@Param("approveStatus")String approveStatus);
}
