package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanAstLogDO;
import java.util.List;
import java.util.Date;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.PlanStatItem;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.AstLogAmt;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_plan_ast_log.
 * 计划资产水位变更流水
 */
public interface PlanAstLogDOMapper{

    /**
     * desc:插入表:abs_plan_ast_log.<br/>
     * @param entity entity
     * @return int
     */
    int insert(PlanAstLogDO entity);
    /**
     * desc:批量插入表:abs_plan_ast_log.<br/>
     * @param list list
     * @return int
     */
    int insertBatch(List<PlanAstLogDO> list);
    /**
     * desc:根据主键获取数据:abs_loan_instal_log.<br/>
     * @param endDate endDate
     * @param startDate startDate
     * @param planNo planNo
     * @param transCode transCode
     * @param changeType changeType
     * @return List<PlanStatItem>
     */
    List<PlanStatItem> getStatByTransCode(@Param("endDate")Date endDate,@Param("startDate")Date startDate,@Param("planNo")String planNo,@Param("transCode")String transCode,@Param("changeType")String changeType);
    /**
     * desc:根据主键获取数据:abs_loan_instal_log.<br/>
     * @param accountDate accountDate
     * @param planNo planNo
     * @return List<PlanStatItem>
     */
    List<PlanStatItem> getAstLogStat(@Param("accountDate")Date accountDate,@Param("planNo")String planNo);
    /**
     * desc:获取水位变化总额.<br/>
     * @param accountDate accountDate
     * @param planNo planNo
     * @param transCode transCode
     * @return List<AstLogAmt>
     */
    List<AstLogAmt> getAmtByPlanNoAndActDateAndTransCode(@Param("accountDate")Date accountDate,@Param("planNo")String planNo,@Param("transCode")String transCode);
}
