package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.resultmap.LoanClearingLogStat;
import java.util.Date;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.ClearingLogCntAndId;
import com.general.system.common.model.Money;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_plan_clearing_log_his.
 * ABS_PLAN_CLEARING_LOG_HIS
 */
public interface PlanClearingLogHisDOMapper{

    /**
     * desc:插入表:abs_plan_clearing_log_his.<br/>
     * @param execTms execTms
     * @param clearingSeqNo clearingSeqNo
     * @param stat stat
     * @return int
     */
    int insertForBak(@Param("execTms")String execTms,@Param("clearingSeqNo")String clearingSeqNo,@Param("stat")LoanClearingLogStat stat);
    /**
     * desc:获取计划最大id和总数.<br/>
     * @param accountDate accountDate
     * @param planNo planNo
     * @param transCode transCode
     * @return ClearingLogCntAndId
     */
    ClearingLogCntAndId getCntAndMaxIdByPlanNoAndActDateAndTransCode(@Param("accountDate")Date accountDate,@Param("planNo")String planNo,@Param("transCode")String transCode);
    /**
     * desc:获取计划清算总额.<br/>
     * @param accountDate accountDate
     * @param planNo planNo
     * @param transCode transCode
     * @return Money
     */
    Money getClearAmtByPlanNoAndActDateAndTransCode(@Param("accountDate")Date accountDate,@Param("planNo")String planNo,@Param("transCode")String transCode);
    /**
     * desc:根据对手方编号获取计划清算总额.<br/>
     * @param accountDate accountDate
     * @param transCode transCode
     * @param cntPtyCode cntPtyCode
     * @return Money
     */
    Money getClearAmtByCntPtyCodeAndActDateAndTransCode(@Param("accountDate")Date accountDate,@Param("transCode")String transCode,@Param("cntPtyCode")String cntPtyCode);
}
