package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanFundFileDO;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_plan_fund_file.
 * 资金计划文件信息
 */
public interface PlanFundFileDOMapper{

    /**
     * desc:插入表:abs_plan_fund_file.<br/>
     * @param entity entity
     * @return int
     */
    int insert(PlanFundFileDO entity);
    /**
     * desc:根据主键删除数据:abs_plan_fund_file.<br/>
     * @param id id
     * @return int
     */
    int deleteById(@Param("id")Long id);
    /**
     * desc:根据文件id获取文件信息.<br/>
     * @param fileId fileId
     * @return PlanFundFileDO
     */
    PlanFundFileDO getByFileId(@Param("fileId")String fileId);
    /**
     * desc:获取最新文件信息.<br/>
     * @param planNo planNo
     * @return PlanFundFileDO
     */
    PlanFundFileDO queryFileInfo(@Param("planNo")String planNo);
}
