package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanInvestStructureDO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_plan_invest_structure.
 * 投资结构
 */
public interface PlanInvestStructureDOMapper{

    /**
     * desc:批量插入表:abs_plan_invest_structure.<br/>
     * @param list list
     * @return int
     */
    int insertBatch(List<PlanInvestStructureDO> list);
    /**
     * desc:根据计划编号删除.<br/>
     * @param planNo planNo
     * @return int
     */
    int deleteByPlanNo(@Param("planNo")String planNo);
    /**
     * desc:根据计划编号获取.<br/>
     * @param planNo planNo
     * @return List<PlanInvestStructureDO>
     */
    List<PlanInvestStructureDO> selectByPlanNo(@Param("planNo")String planNo);
}
