package com.abssqr.plat.common.dal.sync.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import java.util.List;
import com.abssqr.plat.common.dal.sync.auto.resultmap.DhccBatch;
import java.util.Map;
import java.util.Set;
import java.util.LinkedHashMap;
import java.util.ArrayList;
import java.util.HashSet;
import com.abssqr.plat.common.dal.sync.auto.mapper.WkDhccBatchDOMapper;

/**
* The Table WK_DHCC_BATCH.
* 五矿任务完成标记
*/
@Repository
public class WkDhccBatchDAO{

    @Autowired
    private WkDhccBatchDOMapper wkDhccBatchDOMapper;

     /**
     * desc:获取数据准备状态.<br/>
     * @param dbLink dbLink
     * @param curDate curDate
     * @param wkxwDbName wkxwDbName
     * @param brTypes brTypes
     * @return Map<String,String>
     */
    
    public List<DhccBatch> selectDataReadyStatusList(String dbLink,String curDate,String wkxwDbName,List<String> brTypes){
        return wkDhccBatchDOMapper.selectDataReadyStatus(dbLink, curDate, wkxwDbName, brTypes);
    }
    /**
     * desc:获取数据准备状态.<br/>
     * @param dbLink dbLink
     * @param curDate curDate
     * @param wkxwDbName wkxwDbName
     * @param brTypes brTypes
     * @return Map<String,String>
     */
    
    public Map<String,String> selectDataReadyStatus(String dbLink,String curDate,String wkxwDbName,List<String> brTypes){
    if(brTypes!=null && brTypes.size()>201){throw new RuntimeException("brTypes 超出201长度限制");}
        Map<String,String> result = new LinkedHashMap();
        List<DhccBatch> resultList = wkDhccBatchDOMapper.selectDataReadyStatus(dbLink, curDate, wkxwDbName, brTypes);
        if(resultList!=null && !resultList.isEmpty()){
            for(DhccBatch entity:resultList){
                result.put(entity.getBrType(),entity.getStepFlag());
            }
        }
        return result;
    }
    /**
     * desc:获取数据准备状态.<br/>
     * @param brType brType
     * @param dbLink dbLink
     * @param curDate curDate
     * @param wkxwDbName wkxwDbName
     * @return DhccBatch
     */
    
    public DhccBatch getDataReadyStatus(String brType,String dbLink,String curDate,String wkxwDbName){
        return wkDhccBatchDOMapper.getDataReadyStatus(brType, dbLink, curDate, wkxwDbName);
    }
}
