package com.abssqr.plat.common.dal.sync.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.sync.auto.dataobject.WkMfsDueBillDO;
import java.util.Date;
import java.util.List;
import com.abssqr.plat.common.dal.sync.auto.mapper.WkMfsDueBillDOMapper;

/**
* The Table wk_mfs_due_bill.
* 借据信息表_中间表
*/
@Repository
public class WkMfsDueBillDAO{

    @Autowired
    private WkMfsDueBillDOMapper wkMfsDueBillDOMapper;

    /**
     * desc:插入表:wk_mfs_due_bill.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(WkMfsDueBillDO entity){
        return wkMfsDueBillDOMapper.insert(entity);
    }
    /**
     * desc:updateData.<br/>
     * @return int
     */
    
    public int updateData(){
        return wkMfsDueBillDOMapper.updateData();
    }
    /**
     * desc:获取全量为结清的借据.<br/>
     * @param syncDate syncDate
     * @param dbLink dbLink
     * @param loanId loanId
     * @param wkxwDbName wkxwDbName
     * @param wkxwSynonymAft wkxwSynonymAft
     * @param wkxwSynonymPre wkxwSynonymPre
     * @return int
     */
    
    public int insertSyncOne(Date syncDate,String dbLink,String loanId,String wkxwDbName,String wkxwSynonymAft,String wkxwSynonymPre){
        return wkMfsDueBillDOMapper.insertSyncOne(syncDate, dbLink, loanId, wkxwDbName, wkxwSynonymAft, wkxwSynonymPre);
    }
    /**
     * desc:获取全量为结清的借据.<br/>
     * @param syncDate syncDate
     * @param orgNo orgNo
     * @param dbLink dbLink
     * @param wkxwDbName wkxwDbName
     * @param wkxwSynonymAft wkxwSynonymAft
     * @param wkxwSynonymPre wkxwSynonymPre
     * @param lists lists
     * @return int
     */
    
    public int insertSyncAll(Date syncDate,String orgNo,String dbLink,String wkxwDbName,String wkxwSynonymAft,String wkxwSynonymPre,List<String> lists){
        return wkMfsDueBillDOMapper.insertSyncAll(syncDate, orgNo, dbLink, wkxwDbName, wkxwSynonymAft, wkxwSynonymPre, lists);
    }
    /**
     * desc:查询待执行的任务.<br/>
     * @param syncDate syncDate
     * @param dbLink dbLink
     * @param loanId loanId
     * @param wkxwDbName wkxwDbName
     * @param wkxwSynonymAft wkxwSynonymAft
     * @param wkxwSynonymPre wkxwSynonymPre
     * @return WkMfsDueBillDO
     */
    
    public WkMfsDueBillDO getByLoanId(Date syncDate,String dbLink,String loanId,String wkxwDbName,String wkxwSynonymAft,String wkxwSynonymPre){
        return wkMfsDueBillDOMapper.getByLoanId(syncDate, dbLink, loanId, wkxwDbName, wkxwSynonymAft, wkxwSynonymPre);
    }
    /**
     * desc:查询待执行的任务.<br/>
     * @param syncDate syncDate
     * @param orgNo orgNo
     * @param loanId loanId
     * @return WkMfsDueBillDO
     */
    
    public WkMfsDueBillDO getSelfByLoanId(Date syncDate,String orgNo,String loanId){
        return wkMfsDueBillDOMapper.getSelfByLoanId(syncDate, orgNo, loanId);
    }
}
