package com.abssqr.plat.common.dal.sync.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.sync.auto.dataobject.WkMfsLnPactDO;
import java.util.Date;
import java.util.List;
import com.abssqr.plat.common.dal.sync.auto.mapper.WkMfsLnPactDOMapper;

/**
* The Table wk_mfs_ln_pact.
* 合同信息
*/
@Repository
public class WkMfsLnPactDAO{

    @Autowired
    private WkMfsLnPactDOMapper wkMfsLnPactDOMapper;

    /**
     * desc:插入表:wk_mfs_ln_pact.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(WkMfsLnPactDO entity){
        return wkMfsLnPactDOMapper.insert(entity);
    }
    /**
     * desc:updateData.<br/>
     * @return int
     */
    
    public int updateData(){
        return wkMfsLnPactDOMapper.updateData();
    }
    /**
     * desc:根据入库日期增量同步合同.<br/>
     * @param syncDate syncDate
     * @param dbLink dbLink
     * @param loanId loanId
     * @param wkxwDbName wkxwDbName
     * @param wkxwSynonymAft wkxwSynonymAft
     * @param wkxwSynonymPre wkxwSynonymPre
     * @return int
     */
    
    public int insertSyncOne(Date syncDate,String dbLink,String loanId,String wkxwDbName,String wkxwSynonymAft,String wkxwSynonymPre){
        return wkMfsLnPactDOMapper.insertSyncOne(syncDate, dbLink, loanId, wkxwDbName, wkxwSynonymAft, wkxwSynonymPre);
    }
    /**
     * desc:同步全量合同表.<br/>
     * @param syncDate syncDate
     * @param orgNo orgNo
     * @param dbLink dbLink
     * @param wkxwDbName wkxwDbName
     * @param wkxwSynonymAft wkxwSynonymAft
     * @param wkxwSynonymPre wkxwSynonymPre
     * @param lists lists
     * @return int
     */
    
    public int insertSyncAll(Date syncDate,String orgNo,String dbLink,String wkxwDbName,String wkxwSynonymAft,String wkxwSynonymPre,List<String> lists){
        return wkMfsLnPactDOMapper.insertSyncAll(syncDate, orgNo, dbLink, wkxwDbName, wkxwSynonymAft, wkxwSynonymPre, lists);
    }
    /**
     * desc:查询待执行的任务.<br/>
     * @param syncDate syncDate
     * @param dbLink dbLink
     * @param loanId loanId
     * @param wkxwDbName wkxwDbName
     * @param wkxwSynonymAft wkxwSynonymAft
     * @param wkxwSynonymPre wkxwSynonymPre
     * @return WkMfsLnPactDO
     */
    
    public WkMfsLnPactDO getByLoanId(Date syncDate,String dbLink,String loanId,String wkxwDbName,String wkxwSynonymAft,String wkxwSynonymPre){
        return wkMfsLnPactDOMapper.getByLoanId(syncDate, dbLink, loanId, wkxwDbName, wkxwSynonymAft, wkxwSynonymPre);
    }
    /**
     * desc:查询待执行的任务.<br/>
     * @param syncDate syncDate
     * @param brNo brNo
     * @param loanId loanId
     * @return WkMfsLnPactDO
     */
    
    public WkMfsLnPactDO getSelfByLoanId(Date syncDate,String brNo,String loanId){
        return wkMfsLnPactDOMapper.getSelfByLoanId(syncDate, brNo, loanId);
    }
}
