package com.abssqr.plat.common.dal.sync.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.sync.auto.dataobject.WkMfsOpenRepayDO;
import java.util.Date;
import java.util.List;
import com.abssqr.plat.common.dal.sync.auto.mapper.WkMfsOpenRepayDOMapper;

/**
* The Table wk_mfs_open_repay.
* 放款信息表表
*/
@Repository
public class WkMfsOpenRepayDAO{

    @Autowired
    private WkMfsOpenRepayDOMapper wkMfsOpenRepayDOMapper;

    /**
     * desc:插入表:wk_mfs_open_repay.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(WkMfsOpenRepayDO entity){
        return wkMfsOpenRepayDOMapper.insert(entity);
    }
    /**
     * desc:updateData.<br/>
     * @return int
     */
    
    public int updateData(){
        return wkMfsOpenRepayDOMapper.updateData();
    }
    /**
     * desc:根据会计时间同步放款信息表.<br/>
     * @param syncDate syncDate
     * @param dbLink dbLink
     * @param loanId loanId
     * @param wkxwDbName wkxwDbName
     * @param wkxwSynonymAft wkxwSynonymAft
     * @param wkxwSynonymPre wkxwSynonymPre
     * @return int
     */
    
    public int insertSyncOne(Date syncDate,String dbLink,String loanId,String wkxwDbName,String wkxwSynonymAft,String wkxwSynonymPre){
        return wkMfsOpenRepayDOMapper.insertSyncOne(syncDate, dbLink, loanId, wkxwDbName, wkxwSynonymAft, wkxwSynonymPre);
    }
    /**
     * desc:同步全量放款信息表.<br/>
     * @param syncDate syncDate
     * @param orgNo orgNo
     * @param dbLink dbLink
     * @param wkxwDbName wkxwDbName
     * @param wkxwSynonymAft wkxwSynonymAft
     * @param wkxwSynonymPre wkxwSynonymPre
     * @param lists lists
     * @return int
     */
    
    public int insertSyncAll(Date syncDate,String orgNo,String dbLink,String wkxwDbName,String wkxwSynonymAft,String wkxwSynonymPre,List<String> lists){
        return wkMfsOpenRepayDOMapper.insertSyncAll(syncDate, orgNo, dbLink, wkxwDbName, wkxwSynonymAft, wkxwSynonymPre, lists);
    }
    /**
     * desc:查询待执行的任务.<br/>
     * @param syncDate syncDate
     * @param dbLink dbLink
     * @param loanId loanId
     * @param wkxwDbName wkxwDbName
     * @param wkxwSynonymAft wkxwSynonymAft
     * @param wkxwSynonymPre wkxwSynonymPre
     * @return WkMfsOpenRepayDO
     */
    
    public WkMfsOpenRepayDO getByLoanId(Date syncDate,String dbLink,String loanId,String wkxwDbName,String wkxwSynonymAft,String wkxwSynonymPre){
        return wkMfsOpenRepayDOMapper.getByLoanId(syncDate, dbLink, loanId, wkxwDbName, wkxwSynonymAft, wkxwSynonymPre);
    }
    /**
     * desc:查询待执行的任务.<br/>
     * @param syncDate syncDate
     * @param orgNo orgNo
     * @param loanId loanId
     * @return WkMfsOpenRepayDO
     */
    
    public WkMfsOpenRepayDO getSelfByLoanId(Date syncDate,String orgNo,String loanId){
        return wkMfsOpenRepayDOMapper.getSelfByLoanId(syncDate, orgNo, loanId);
    }
}
