package com.abssqr.plat.common.dal.sync.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.sync.auto.dataobject.WkMfsRepayPlanDO;
import java.util.Date;
import java.util.List;
import com.abssqr.plat.common.dal.sync.auto.mapper.WkMfsRepayPlanDOMapper;

/**
* The Table wk_mfs_repay_plan.
* 还款计划表
*/
@Repository
public class WkMfsRepayPlanDAO{

    @Autowired
    private WkMfsRepayPlanDOMapper wkMfsRepayPlanDOMapper;

    /**
     * desc:插入表:wk_mfs_repay_plan.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(WkMfsRepayPlanDO entity){
        return wkMfsRepayPlanDOMapper.insert(entity);
    }
    /**
     * desc:updateData.<br/>
     * @return int
     */
    
    public int updateData(){
        return wkMfsRepayPlanDOMapper.updateData();
    }
    /**
     * desc:根据会计时间同步还款计划表.<br/>
     * @param syncDate syncDate
     * @param orgNo orgNo
     * @param dbLink dbLink
     * @param wkxwDbName wkxwDbName
     * @param wkxwSynonymAft wkxwSynonymAft
     * @param wkxwSynonymPre wkxwSynonymPre
     * @param lists lists
     * @return int
     */
    
    public int insertSyncAll(Date syncDate,String orgNo,String dbLink,String wkxwDbName,String wkxwSynonymAft,String wkxwSynonymPre,List<String> lists){
        return wkMfsRepayPlanDOMapper.insertSyncAll(syncDate, orgNo, dbLink, wkxwDbName, wkxwSynonymAft, wkxwSynonymPre, lists);
    }
    /**
     * desc:根据会计时间同步还款计划表.<br/>
     * @param syncDate syncDate
     * @param dbLink dbLink
     * @param loanId loanId
     * @param wkxwDbName wkxwDbName
     * @param wkxwSynonymAft wkxwSynonymAft
     * @param wkxwSynonymPre wkxwSynonymPre
     * @return int
     */
    
    public int insertSyncOne(Date syncDate,String dbLink,String loanId,String wkxwDbName,String wkxwSynonymAft,String wkxwSynonymPre){
        return wkMfsRepayPlanDOMapper.insertSyncOne(syncDate, dbLink, loanId, wkxwDbName, wkxwSynonymAft, wkxwSynonymPre);
    }
    /**
     * desc:查询待执行的任务.<br/>
     * @param syncDate syncDate
     * @param orgNo orgNo
     * @param dbLink dbLink
     * @param loanId loanId
     * @param wkxwDbName wkxwDbName
     * @param wkxwSynonymAft wkxwSynonymAft
     * @param wkxwSynonymPre wkxwSynonymPre
     * @return List<WkMfsRepayPlanDO>
     */
    
    public List<WkMfsRepayPlanDO> getByLoanId(Date syncDate,String orgNo,String dbLink,String loanId,String wkxwDbName,String wkxwSynonymAft,String wkxwSynonymPre){
        return wkMfsRepayPlanDOMapper.getByLoanId(syncDate, orgNo, dbLink, loanId, wkxwDbName, wkxwSynonymAft, wkxwSynonymPre);
    }
    /**
     * desc:查询待执行的任务.<br/>
     * @param syncDate syncDate
     * @param orgNo orgNo
     * @param loanId loanId
     * @return List<WkMfsRepayPlanDO>
     */
    
    public List<WkMfsRepayPlanDO> getSelfByLoanId(Date syncDate,String orgNo,String loanId){
        return wkMfsRepayPlanDOMapper.getSelfByLoanId(syncDate, orgNo, loanId);
    }
}
