package com.abssqr.plat.common.dal.sync.auto.dataobject;

import java.util.Date;
import java.math.BigDecimal;

/**
 * The table 借据信息表_中间表
 */
public class WkMfsDueBillDO{

    /**
     * graceDay 宽限期.
     */
    private Long graceDay;
    /**
     * repayDay 还款日.
     */
    private Long repayDay;
    /**
     * lnUse 申请用途.
     */
    private String lnUse;
    /**
     * orgNo 机构码.
     */
    private String orgNo;
    /**
     * dataId 主键.
     */
    private String dataId;
    /**
     * fundNo 资金编号.
     */
    private String fundNo;
    /**
     * loanId 借据号.
     */
    private String loanId;
    /**
     * projNo 项目编号.
     */
    private String projNo;
    /**
     * txDate 入库日期.
     */
    private String txDate;
    /**
     * applyId 预审批申请号.
     */
    private String applyId;
    /**
     * curDate 账务日期.
     */
    private String curDate;
    /**
     * dataSts 数据标志（01-新增 02-历史）.
     */
    private String dataSts;
    /**
     * endDate 到期日期.
     */
    private String endDate;
    /**
     * traceNo 三方支付流水/银行流水.
     */
    private String traceNo;
    /**
     * currency 币种.
     */
    private String currency;
    /**
     * loanForm 贷款形态 1-正常 2-逾期 5-核销.
     */
    private String loanForm;
    /**
     * rateType 利率类型 10-年利率 20-月利率 30-日利率.
     */
    private String rateType;
    /**
     * applyDate 申请日期.
     */
    private String applyDate;
    /**
     * clearDate 结清日期.
     */
    private String clearDate;
    /**
     * productId 产品编号.
     */
    private String productId;
    /**
     * repayMode 还款方式 01-等额本金 02-等额本息.
     */
    private String repayMode;
    /**
     * startDate 确认日期.
     */
    private String startDate;
    /**
     * loanStatus 贷款状态 1-放款中 2-已放款 3-已冲正 4-已撤销 5-已还款（借据已放款且客户已归还过一次款) 6-已结清.
     */
    private String loanStatus;
    /**
     * payoutDate 起息日期.
     */
    private String payoutDate;
    /**
     * repayCycle 还款周期.
     */
    private String repayCycle;
    /**
     * productName 产品名称.
     */
    private String productName;
    /**
     * accountState 对账状态 01-通过 02-未通过.
     */
    private String accountState;
    /**
     * curTerm 当前期数.
     */
    private Integer curTerm;
    /**
     * totalTerms 总期数.
     */
    private Integer totalTerms;
    /**
     * absSyncDate ABS数据日期.
     */
    private Date absSyncDate;
    /**
     * intBal 应收应计利息余额.
     */
    private BigDecimal intBal;
    /**
     * intRate 利率.
     */
    private BigDecimal intRate;
    /**
     * prinBal 正常本金余额.
     */
    private BigDecimal prinBal;
    /**
     * intRepay 已还利息.
     */
    private BigDecimal intRepay;
    /**
     * intTotal 应还利息.
     */
    private BigDecimal intTotal;
    /**
     * encashAmt 借据金额.
     */
    private BigDecimal encashAmt;
    /**
     * ovdIntBal 应收欠息余额.
     */
    private BigDecimal ovdIntBal;
    /**
     * prinRepay 已还本金.
     */
    private BigDecimal prinRepay;
    /**
     * prinTotal 应还本金.
     */
    private BigDecimal prinTotal;
    /**
     * ovdPrinBal 逾期本金余额.
     */
    private BigDecimal ovdPrinBal;
    /**
     * pnltIntBal 应收应计罚息余额.
     */
    private BigDecimal pnltIntBal;
    /**
     * fundFeeRepay 已还借款服务费.
     */
    private BigDecimal fundFeeRepay;
    /**
     * fundFeeTotal 应还借款服务费.
     */
    private BigDecimal fundFeeTotal;
    /**
     * pnltIntRepay 已还罚息.
     */
    private BigDecimal pnltIntRepay;
    /**
     * pnltIntTotal 应还罚息.
     */
    private BigDecimal pnltIntTotal;

    /**
     * Set graceDay 宽限期.
     */
    public void setGraceDay(Long graceDay){
        this.graceDay = graceDay;
    }

    /**
     * Get graceDay 宽限期.
     *
     * @return the string
     */
    public Long getGraceDay(){
        return graceDay;
    }

    /**
     * Set repayDay 还款日.
     */
    public void setRepayDay(Long repayDay){
        this.repayDay = repayDay;
    }

    /**
     * Get repayDay 还款日.
     *
     * @return the string
     */
    public Long getRepayDay(){
        return repayDay;
    }

    /**
     * Set lnUse 申请用途.
     */
    public void setLnUse(String lnUse){
        this.lnUse = lnUse;
    }

    /**
     * Get lnUse 申请用途.
     *
     * @return the string
     */
    public String getLnUse(){
        return lnUse;
    }

    /**
     * Set orgNo 机构码.
     */
    public void setOrgNo(String orgNo){
        this.orgNo = orgNo;
    }

    /**
     * Get orgNo 机构码.
     *
     * @return the string
     */
    public String getOrgNo(){
        return orgNo;
    }

    /**
     * Set dataId 主键.
     */
    public void setDataId(String dataId){
        this.dataId = dataId;
    }

    /**
     * Get dataId 主键.
     *
     * @return the string
     */
    public String getDataId(){
        return dataId;
    }

    /**
     * Set fundNo 资金编号.
     */
    public void setFundNo(String fundNo){
        this.fundNo = fundNo;
    }

    /**
     * Get fundNo 资金编号.
     *
     * @return the string
     */
    public String getFundNo(){
        return fundNo;
    }

    /**
     * Set loanId 借据号.
     */
    public void setLoanId(String loanId){
        this.loanId = loanId;
    }

    /**
     * Get loanId 借据号.
     *
     * @return the string
     */
    public String getLoanId(){
        return loanId;
    }

    /**
     * Set projNo 项目编号.
     */
    public void setProjNo(String projNo){
        this.projNo = projNo;
    }

    /**
     * Get projNo 项目编号.
     *
     * @return the string
     */
    public String getProjNo(){
        return projNo;
    }

    /**
     * Set txDate 入库日期.
     */
    public void setTxDate(String txDate){
        this.txDate = txDate;
    }

    /**
     * Get txDate 入库日期.
     *
     * @return the string
     */
    public String getTxDate(){
        return txDate;
    }

    /**
     * Set applyId 预审批申请号.
     */
    public void setApplyId(String applyId){
        this.applyId = applyId;
    }

    /**
     * Get applyId 预审批申请号.
     *
     * @return the string
     */
    public String getApplyId(){
        return applyId;
    }

    /**
     * Set curDate 账务日期.
     */
    public void setCurDate(String curDate){
        this.curDate = curDate;
    }

    /**
     * Get curDate 账务日期.
     *
     * @return the string
     */
    public String getCurDate(){
        return curDate;
    }

    /**
     * Set dataSts 数据标志（01-新增 02-历史）.
     */
    public void setDataSts(String dataSts){
        this.dataSts = dataSts;
    }

    /**
     * Get dataSts 数据标志（01-新增 02-历史）.
     *
     * @return the string
     */
    public String getDataSts(){
        return dataSts;
    }

    /**
     * Set endDate 到期日期.
     */
    public void setEndDate(String endDate){
        this.endDate = endDate;
    }

    /**
     * Get endDate 到期日期.
     *
     * @return the string
     */
    public String getEndDate(){
        return endDate;
    }

    /**
     * Set traceNo 三方支付流水/银行流水.
     */
    public void setTraceNo(String traceNo){
        this.traceNo = traceNo;
    }

    /**
     * Get traceNo 三方支付流水/银行流水.
     *
     * @return the string
     */
    public String getTraceNo(){
        return traceNo;
    }

    /**
     * Set currency 币种.
     */
    public void setCurrency(String currency){
        this.currency = currency;
    }

    /**
     * Get currency 币种.
     *
     * @return the string
     */
    public String getCurrency(){
        return currency;
    }

    /**
     * Set loanForm 贷款形态 1-正常 2-逾期 5-核销.
     */
    public void setLoanForm(String loanForm){
        this.loanForm = loanForm;
    }

    /**
     * Get loanForm 贷款形态 1-正常 2-逾期 5-核销.
     *
     * @return the string
     */
    public String getLoanForm(){
        return loanForm;
    }

    /**
     * Set rateType 利率类型 10-年利率 20-月利率 30-日利率.
     */
    public void setRateType(String rateType){
        this.rateType = rateType;
    }

    /**
     * Get rateType 利率类型 10-年利率 20-月利率 30-日利率.
     *
     * @return the string
     */
    public String getRateType(){
        return rateType;
    }

    /**
     * Set applyDate 申请日期.
     */
    public void setApplyDate(String applyDate){
        this.applyDate = applyDate;
    }

    /**
     * Get applyDate 申请日期.
     *
     * @return the string
     */
    public String getApplyDate(){
        return applyDate;
    }

    /**
     * Set clearDate 结清日期.
     */
    public void setClearDate(String clearDate){
        this.clearDate = clearDate;
    }

    /**
     * Get clearDate 结清日期.
     *
     * @return the string
     */
    public String getClearDate(){
        return clearDate;
    }

    /**
     * Set productId 产品编号.
     */
    public void setProductId(String productId){
        this.productId = productId;
    }

    /**
     * Get productId 产品编号.
     *
     * @return the string
     */
    public String getProductId(){
        return productId;
    }

    /**
     * Set repayMode 还款方式 01-等额本金 02-等额本息.
     */
    public void setRepayMode(String repayMode){
        this.repayMode = repayMode;
    }

    /**
     * Get repayMode 还款方式 01-等额本金 02-等额本息.
     *
     * @return the string
     */
    public String getRepayMode(){
        return repayMode;
    }

    /**
     * Set startDate 确认日期.
     */
    public void setStartDate(String startDate){
        this.startDate = startDate;
    }

    /**
     * Get startDate 确认日期.
     *
     * @return the string
     */
    public String getStartDate(){
        return startDate;
    }

    /**
     * Set loanStatus 贷款状态 1-放款中 2-已放款 3-已冲正 4-已撤销 5-已还款（借据已放款且客户已归还过一次款) 6-已结清.
     */
    public void setLoanStatus(String loanStatus){
        this.loanStatus = loanStatus;
    }

    /**
     * Get loanStatus 贷款状态 1-放款中 2-已放款 3-已冲正 4-已撤销 5-已还款（借据已放款且客户已归还过一次款) 6-已结清.
     *
     * @return the string
     */
    public String getLoanStatus(){
        return loanStatus;
    }

    /**
     * Set payoutDate 起息日期.
     */
    public void setPayoutDate(String payoutDate){
        this.payoutDate = payoutDate;
    }

    /**
     * Get payoutDate 起息日期.
     *
     * @return the string
     */
    public String getPayoutDate(){
        return payoutDate;
    }

    /**
     * Set repayCycle 还款周期.
     */
    public void setRepayCycle(String repayCycle){
        this.repayCycle = repayCycle;
    }

    /**
     * Get repayCycle 还款周期.
     *
     * @return the string
     */
    public String getRepayCycle(){
        return repayCycle;
    }

    /**
     * Set productName 产品名称.
     */
    public void setProductName(String productName){
        this.productName = productName;
    }

    /**
     * Get productName 产品名称.
     *
     * @return the string
     */
    public String getProductName(){
        return productName;
    }

    /**
     * Set accountState 对账状态 01-通过 02-未通过.
     */
    public void setAccountState(String accountState){
        this.accountState = accountState;
    }

    /**
     * Get accountState 对账状态 01-通过 02-未通过.
     *
     * @return the string
     */
    public String getAccountState(){
        return accountState;
    }

    /**
     * Set curTerm 当前期数.
     */
    public void setCurTerm(Integer curTerm){
        this.curTerm = curTerm;
    }

    /**
     * Get curTerm 当前期数.
     *
     * @return the string
     */
    public Integer getCurTerm(){
        return curTerm;
    }

    /**
     * Set totalTerms 总期数.
     */
    public void setTotalTerms(Integer totalTerms){
        this.totalTerms = totalTerms;
    }

    /**
     * Get totalTerms 总期数.
     *
     * @return the string
     */
    public Integer getTotalTerms(){
        return totalTerms;
    }

    /**
     * Set absSyncDate ABS数据日期.
     */
    public void setAbsSyncDate(Date absSyncDate){
        this.absSyncDate = absSyncDate;
    }

    /**
     * Get absSyncDate ABS数据日期.
     *
     * @return the string
     */
    public Date getAbsSyncDate(){
        return absSyncDate;
    }

    /**
     * Set intBal 应收应计利息余额.
     */
    public void setIntBal(BigDecimal intBal){
        this.intBal = intBal;
    }

    /**
     * Get intBal 应收应计利息余额.
     *
     * @return the string
     */
    public BigDecimal getIntBal(){
        return intBal;
    }

    /**
     * Set intRate 利率.
     */
    public void setIntRate(BigDecimal intRate){
        this.intRate = intRate;
    }

    /**
     * Get intRate 利率.
     *
     * @return the string
     */
    public BigDecimal getIntRate(){
        return intRate;
    }

    /**
     * Set prinBal 正常本金余额.
     */
    public void setPrinBal(BigDecimal prinBal){
        this.prinBal = prinBal;
    }

    /**
     * Get prinBal 正常本金余额.
     *
     * @return the string
     */
    public BigDecimal getPrinBal(){
        return prinBal;
    }

    /**
     * Set intRepay 已还利息.
     */
    public void setIntRepay(BigDecimal intRepay){
        this.intRepay = intRepay;
    }

    /**
     * Get intRepay 已还利息.
     *
     * @return the string
     */
    public BigDecimal getIntRepay(){
        return intRepay;
    }

    /**
     * Set intTotal 应还利息.
     */
    public void setIntTotal(BigDecimal intTotal){
        this.intTotal = intTotal;
    }

    /**
     * Get intTotal 应还利息.
     *
     * @return the string
     */
    public BigDecimal getIntTotal(){
        return intTotal;
    }

    /**
     * Set encashAmt 借据金额.
     */
    public void setEncashAmt(BigDecimal encashAmt){
        this.encashAmt = encashAmt;
    }

    /**
     * Get encashAmt 借据金额.
     *
     * @return the string
     */
    public BigDecimal getEncashAmt(){
        return encashAmt;
    }

    /**
     * Set ovdIntBal 应收欠息余额.
     */
    public void setOvdIntBal(BigDecimal ovdIntBal){
        this.ovdIntBal = ovdIntBal;
    }

    /**
     * Get ovdIntBal 应收欠息余额.
     *
     * @return the string
     */
    public BigDecimal getOvdIntBal(){
        return ovdIntBal;
    }

    /**
     * Set prinRepay 已还本金.
     */
    public void setPrinRepay(BigDecimal prinRepay){
        this.prinRepay = prinRepay;
    }

    /**
     * Get prinRepay 已还本金.
     *
     * @return the string
     */
    public BigDecimal getPrinRepay(){
        return prinRepay;
    }

    /**
     * Set prinTotal 应还本金.
     */
    public void setPrinTotal(BigDecimal prinTotal){
        this.prinTotal = prinTotal;
    }

    /**
     * Get prinTotal 应还本金.
     *
     * @return the string
     */
    public BigDecimal getPrinTotal(){
        return prinTotal;
    }

    /**
     * Set ovdPrinBal 逾期本金余额.
     */
    public void setOvdPrinBal(BigDecimal ovdPrinBal){
        this.ovdPrinBal = ovdPrinBal;
    }

    /**
     * Get ovdPrinBal 逾期本金余额.
     *
     * @return the string
     */
    public BigDecimal getOvdPrinBal(){
        return ovdPrinBal;
    }

    /**
     * Set pnltIntBal 应收应计罚息余额.
     */
    public void setPnltIntBal(BigDecimal pnltIntBal){
        this.pnltIntBal = pnltIntBal;
    }

    /**
     * Get pnltIntBal 应收应计罚息余额.
     *
     * @return the string
     */
    public BigDecimal getPnltIntBal(){
        return pnltIntBal;
    }

    /**
     * Set fundFeeRepay 已还借款服务费.
     */
    public void setFundFeeRepay(BigDecimal fundFeeRepay){
        this.fundFeeRepay = fundFeeRepay;
    }

    /**
     * Get fundFeeRepay 已还借款服务费.
     *
     * @return the string
     */
    public BigDecimal getFundFeeRepay(){
        return fundFeeRepay;
    }

    /**
     * Set fundFeeTotal 应还借款服务费.
     */
    public void setFundFeeTotal(BigDecimal fundFeeTotal){
        this.fundFeeTotal = fundFeeTotal;
    }

    /**
     * Get fundFeeTotal 应还借款服务费.
     *
     * @return the string
     */
    public BigDecimal getFundFeeTotal(){
        return fundFeeTotal;
    }

    /**
     * Set pnltIntRepay 已还罚息.
     */
    public void setPnltIntRepay(BigDecimal pnltIntRepay){
        this.pnltIntRepay = pnltIntRepay;
    }

    /**
     * Get pnltIntRepay 已还罚息.
     *
     * @return the string
     */
    public BigDecimal getPnltIntRepay(){
        return pnltIntRepay;
    }

    /**
     * Set pnltIntTotal 应还罚息.
     */
    public void setPnltIntTotal(BigDecimal pnltIntTotal){
        this.pnltIntTotal = pnltIntTotal;
    }

    /**
     * Get pnltIntTotal 应还罚息.
     *
     * @return the string
     */
    public BigDecimal getPnltIntTotal(){
        return pnltIntTotal;
    }
}
