package com.abssqr.plat.common.dal.sync.auto.dataobject;

import java.util.Date;
import java.math.BigDecimal;

/**
 * The table 合同信息
 */
public class WkMfsLnPactDO{

    /**
     * payDay 扣款日期.
     */
    private Long payDay;
    /**
     * termDay 期限天.
     */
    private Long termDay;
    /**
     * termMon 期限月.
     */
    private Long termMon;
    /**
     * graceDay 宽限期限（天）.
     */
    private Long graceDay;
    /**
     * brNo 合作机构号.
     */
    private String brNo;
    /**
     * appId 申请ID.
     */
    private String appId;
    /**
     * cifNo 客户号码.
     */
    private String cifNo;
    /**
     * curNo 币种[01人民币].
     */
    private String curNo;
    /**
     * lnUse 贷款用途.
     */
    private String lnUse;
    /**
     * repDt 债转日期.
     */
    private String repDt;
    /**
     * dataId 主键.
     */
    private String dataId;
    /**
     * fundNo 资金编号.
     */
    private String fundNo;
    /**
     * lnType 贷款类型.
     */
    private String lnType;
    /**
     * pactId 合同ID.
     */
    private String pactId;
    /**
     * pactNo 合同编号.
     */
    private String pactNo;
    /**
     * payChn 支付渠道.
     */
    private String payChn;
    /**
     * projNo 项目编号.
     */
    private String projNo;
    /**
     * txDate 入库日期.
     */
    private String txDate;
    /**
     * upTime 更新时间.
     */
    private String upTime;
    /**
     * appArea 申请地点.
     */
    private String appArea;
    /**
     * begDate 起始日期.
     */
    private String begDate;
    /**
     * cifName 客户名称.
     */
    private String cifName;
    /**
     * curDate .
     */
    private String curDate;
    /**
     * dataSts 数据标志（01-新增 02-历史）.
     */
    private String dataSts;
    /**
     * endDate 到期日期.
     */
    private String endDate;
    /**
     * pactSts 合同状态.
     */
    private String pactSts;
    /**
     * payKind 扣款日类别.
     */
    private String payKind;
    /**
     * payMent 支付方式[01自助02受托].
     */
    private String payMent;
    /**
     * payType 扣款日类型.
     */
    private String payType;
    /**
     * vouType 担保方式.
     */
    private String vouType;
    /**
     * brAccType 机构核算类型[A/B].
     */
    private String brAccType;
    /**
     * productId 产品编号.
     */
    private String productId;
    /**
     * repayType 还款方式[01--等额本息 02--等额本金].
     */
    private String repayType;
    /**
     * factPactNo 实际贷款合同号.
     */
    private String factPactNo;
    /**
     * productName 产品名称.
     */
    private String productName;
    /**
     * absSyncDate ABS数据日期.
     */
    private Date absSyncDate;
    /**
     * lnRate 月利率.
     */
    private BigDecimal lnRate;
    /**
     * putAmt 发放金额.
     */
    private BigDecimal putAmt;
    /**
     * pactAmt 合同金额.
     */
    private BigDecimal pactAmt;
    /**
     * overRate 罚息利率.
     */
    private BigDecimal overRate;

    /**
     * Set payDay 扣款日期.
     */
    public void setPayDay(Long payDay){
        this.payDay = payDay;
    }

    /**
     * Get payDay 扣款日期.
     *
     * @return the string
     */
    public Long getPayDay(){
        return payDay;
    }

    /**
     * Set termDay 期限天.
     */
    public void setTermDay(Long termDay){
        this.termDay = termDay;
    }

    /**
     * Get termDay 期限天.
     *
     * @return the string
     */
    public Long getTermDay(){
        return termDay;
    }

    /**
     * Set termMon 期限月.
     */
    public void setTermMon(Long termMon){
        this.termMon = termMon;
    }

    /**
     * Get termMon 期限月.
     *
     * @return the string
     */
    public Long getTermMon(){
        return termMon;
    }

    /**
     * Set graceDay 宽限期限（天）.
     */
    public void setGraceDay(Long graceDay){
        this.graceDay = graceDay;
    }

    /**
     * Get graceDay 宽限期限（天）.
     *
     * @return the string
     */
    public Long getGraceDay(){
        return graceDay;
    }

    /**
     * Set brNo 合作机构号.
     */
    public void setBrNo(String brNo){
        this.brNo = brNo;
    }

    /**
     * Get brNo 合作机构号.
     *
     * @return the string
     */
    public String getBrNo(){
        return brNo;
    }

    /**
     * Set appId 申请ID.
     */
    public void setAppId(String appId){
        this.appId = appId;
    }

    /**
     * Get appId 申请ID.
     *
     * @return the string
     */
    public String getAppId(){
        return appId;
    }

    /**
     * Set cifNo 客户号码.
     */
    public void setCifNo(String cifNo){
        this.cifNo = cifNo;
    }

    /**
     * Get cifNo 客户号码.
     *
     * @return the string
     */
    public String getCifNo(){
        return cifNo;
    }

    /**
     * Set curNo 币种[01人民币].
     */
    public void setCurNo(String curNo){
        this.curNo = curNo;
    }

    /**
     * Get curNo 币种[01人民币].
     *
     * @return the string
     */
    public String getCurNo(){
        return curNo;
    }

    /**
     * Set lnUse 贷款用途.
     */
    public void setLnUse(String lnUse){
        this.lnUse = lnUse;
    }

    /**
     * Get lnUse 贷款用途.
     *
     * @return the string
     */
    public String getLnUse(){
        return lnUse;
    }

    /**
     * Set repDt 债转日期.
     */
    public void setRepDt(String repDt){
        this.repDt = repDt;
    }

    /**
     * Get repDt 债转日期.
     *
     * @return the string
     */
    public String getRepDt(){
        return repDt;
    }

    /**
     * Set dataId 主键.
     */
    public void setDataId(String dataId){
        this.dataId = dataId;
    }

    /**
     * Get dataId 主键.
     *
     * @return the string
     */
    public String getDataId(){
        return dataId;
    }

    /**
     * Set fundNo 资金编号.
     */
    public void setFundNo(String fundNo){
        this.fundNo = fundNo;
    }

    /**
     * Get fundNo 资金编号.
     *
     * @return the string
     */
    public String getFundNo(){
        return fundNo;
    }

    /**
     * Set lnType 贷款类型.
     */
    public void setLnType(String lnType){
        this.lnType = lnType;
    }

    /**
     * Get lnType 贷款类型.
     *
     * @return the string
     */
    public String getLnType(){
        return lnType;
    }

    /**
     * Set pactId 合同ID.
     */
    public void setPactId(String pactId){
        this.pactId = pactId;
    }

    /**
     * Get pactId 合同ID.
     *
     * @return the string
     */
    public String getPactId(){
        return pactId;
    }

    /**
     * Set pactNo 合同编号.
     */
    public void setPactNo(String pactNo){
        this.pactNo = pactNo;
    }

    /**
     * Get pactNo 合同编号.
     *
     * @return the string
     */
    public String getPactNo(){
        return pactNo;
    }

    /**
     * Set payChn 支付渠道.
     */
    public void setPayChn(String payChn){
        this.payChn = payChn;
    }

    /**
     * Get payChn 支付渠道.
     *
     * @return the string
     */
    public String getPayChn(){
        return payChn;
    }

    /**
     * Set projNo 项目编号.
     */
    public void setProjNo(String projNo){
        this.projNo = projNo;
    }

    /**
     * Get projNo 项目编号.
     *
     * @return the string
     */
    public String getProjNo(){
        return projNo;
    }

    /**
     * Set txDate 入库日期.
     */
    public void setTxDate(String txDate){
        this.txDate = txDate;
    }

    /**
     * Get txDate 入库日期.
     *
     * @return the string
     */
    public String getTxDate(){
        return txDate;
    }

    /**
     * Set upTime 更新时间.
     */
    public void setUpTime(String upTime){
        this.upTime = upTime;
    }

    /**
     * Get upTime 更新时间.
     *
     * @return the string
     */
    public String getUpTime(){
        return upTime;
    }

    /**
     * Set appArea 申请地点.
     */
    public void setAppArea(String appArea){
        this.appArea = appArea;
    }

    /**
     * Get appArea 申请地点.
     *
     * @return the string
     */
    public String getAppArea(){
        return appArea;
    }

    /**
     * Set begDate 起始日期.
     */
    public void setBegDate(String begDate){
        this.begDate = begDate;
    }

    /**
     * Get begDate 起始日期.
     *
     * @return the string
     */
    public String getBegDate(){
        return begDate;
    }

    /**
     * Set cifName 客户名称.
     */
    public void setCifName(String cifName){
        this.cifName = cifName;
    }

    /**
     * Get cifName 客户名称.
     *
     * @return the string
     */
    public String getCifName(){
        return cifName;
    }

    /**
     * Set curDate .
     */
    public void setCurDate(String curDate){
        this.curDate = curDate;
    }

    /**
     * Get curDate .
     *
     * @return the string
     */
    public String getCurDate(){
        return curDate;
    }

    /**
     * Set dataSts 数据标志（01-新增 02-历史）.
     */
    public void setDataSts(String dataSts){
        this.dataSts = dataSts;
    }

    /**
     * Get dataSts 数据标志（01-新增 02-历史）.
     *
     * @return the string
     */
    public String getDataSts(){
        return dataSts;
    }

    /**
     * Set endDate 到期日期.
     */
    public void setEndDate(String endDate){
        this.endDate = endDate;
    }

    /**
     * Get endDate 到期日期.
     *
     * @return the string
     */
    public String getEndDate(){
        return endDate;
    }

    /**
     * Set pactSts 合同状态.
     */
    public void setPactSts(String pactSts){
        this.pactSts = pactSts;
    }

    /**
     * Get pactSts 合同状态.
     *
     * @return the string
     */
    public String getPactSts(){
        return pactSts;
    }

    /**
     * Set payKind 扣款日类别.
     */
    public void setPayKind(String payKind){
        this.payKind = payKind;
    }

    /**
     * Get payKind 扣款日类别.
     *
     * @return the string
     */
    public String getPayKind(){
        return payKind;
    }

    /**
     * Set payMent 支付方式[01自助02受托].
     */
    public void setPayMent(String payMent){
        this.payMent = payMent;
    }

    /**
     * Get payMent 支付方式[01自助02受托].
     *
     * @return the string
     */
    public String getPayMent(){
        return payMent;
    }

    /**
     * Set payType 扣款日类型.
     */
    public void setPayType(String payType){
        this.payType = payType;
    }

    /**
     * Get payType 扣款日类型.
     *
     * @return the string
     */
    public String getPayType(){
        return payType;
    }

    /**
     * Set vouType 担保方式.
     */
    public void setVouType(String vouType){
        this.vouType = vouType;
    }

    /**
     * Get vouType 担保方式.
     *
     * @return the string
     */
    public String getVouType(){
        return vouType;
    }

    /**
     * Set brAccType 机构核算类型[A/B].
     */
    public void setBrAccType(String brAccType){
        this.brAccType = brAccType;
    }

    /**
     * Get brAccType 机构核算类型[A/B].
     *
     * @return the string
     */
    public String getBrAccType(){
        return brAccType;
    }

    /**
     * Set productId 产品编号.
     */
    public void setProductId(String productId){
        this.productId = productId;
    }

    /**
     * Get productId 产品编号.
     *
     * @return the string
     */
    public String getProductId(){
        return productId;
    }

    /**
     * Set repayType 还款方式[01--等额本息 02--等额本金].
     */
    public void setRepayType(String repayType){
        this.repayType = repayType;
    }

    /**
     * Get repayType 还款方式[01--等额本息 02--等额本金].
     *
     * @return the string
     */
    public String getRepayType(){
        return repayType;
    }

    /**
     * Set factPactNo 实际贷款合同号.
     */
    public void setFactPactNo(String factPactNo){
        this.factPactNo = factPactNo;
    }

    /**
     * Get factPactNo 实际贷款合同号.
     *
     * @return the string
     */
    public String getFactPactNo(){
        return factPactNo;
    }

    /**
     * Set productName 产品名称.
     */
    public void setProductName(String productName){
        this.productName = productName;
    }

    /**
     * Get productName 产品名称.
     *
     * @return the string
     */
    public String getProductName(){
        return productName;
    }

    /**
     * Set absSyncDate ABS数据日期.
     */
    public void setAbsSyncDate(Date absSyncDate){
        this.absSyncDate = absSyncDate;
    }

    /**
     * Get absSyncDate ABS数据日期.
     *
     * @return the string
     */
    public Date getAbsSyncDate(){
        return absSyncDate;
    }

    /**
     * Set lnRate 月利率.
     */
    public void setLnRate(BigDecimal lnRate){
        this.lnRate = lnRate;
    }

    /**
     * Get lnRate 月利率.
     *
     * @return the string
     */
    public BigDecimal getLnRate(){
        return lnRate;
    }

    /**
     * Set putAmt 发放金额.
     */
    public void setPutAmt(BigDecimal putAmt){
        this.putAmt = putAmt;
    }

    /**
     * Get putAmt 发放金额.
     *
     * @return the string
     */
    public BigDecimal getPutAmt(){
        return putAmt;
    }

    /**
     * Set pactAmt 合同金额.
     */
    public void setPactAmt(BigDecimal pactAmt){
        this.pactAmt = pactAmt;
    }

    /**
     * Get pactAmt 合同金额.
     *
     * @return the string
     */
    public BigDecimal getPactAmt(){
        return pactAmt;
    }

    /**
     * Set overRate 罚息利率.
     */
    public void setOverRate(BigDecimal overRate){
        this.overRate = overRate;
    }

    /**
     * Get overRate 罚息利率.
     *
     * @return the string
     */
    public BigDecimal getOverRate(){
        return overRate;
    }
}
