package com.abssqr.plat.common.dal.sync.auto.dataobject;

import java.util.Date;
import java.math.BigDecimal;

/**
 * The table 放款信息表表
 */
public class WkMfsOpenRepayDO{

    /**
     * graceDay 宽限期.
     */
    private Long graceDay;
    /**
     * orgNo 机构码.
     */
    private String orgNo;
    /**
     * seqNo 机构放款交易流水.
     */
    private String seqNo;
    /**
     * certNo 证件号.
     */
    private String certNo;
    /**
     * dataId 主键.
     */
    private String dataId;
    /**
     * leader 牵头方[例如：BAIDU;QUDIAN].
     */
    private String leader;
    /**
     * loanId 借据号.
     */
    private String loanId;
    /**
     * parter 合作方.
     */
    private String parter;
    /**
     * projNo 项目编号.
     */
    private String projNo;
    /**
     * txDate 入库日期.
     */
    private String txDate;
    /**
     * curDate 账务日期.
     */
    private String curDate;
    /**
     * dataSts 数据标志（01-新增 02-历史）.
     */
    private String dataSts;
    /**
     * endDate 到期日期.
     */
    private String endDate;
    /**
     * borwType 借款人类型[01-法定代表人 02-自然人股东 04-个体工商户 05-合伙企业合伙人 06-个人独资企业出资人 07-自然人 99-其他 默认07-自然人].
     */
    private String borwType;
    /**
     * certType 证件类型[0-身份证 1-户口簿 2-护照 3-军官证 4-士兵证 5-港澳居民来往内地通行证 6-台湾同胞来往内地通行证 7-临时身份证 8-外国人居留证 9-警官证 A-香港身份证 B-澳门身份证 C-台湾身份证 X-其他证件 默认为身份证0].
     */
    private String certType;
    /**
     * currency 币种[默认01	人民币].
     */
    private String currency;
    /**
     * custName 客户姓名.
     */
    private String custName;
    /**
     * failType 放款失败类型.
     */
    private String failType;
    /**
     * loanType 贷款类型[01-房贷 02-车贷 03-消费贷 04-经营贷 99-其他 默认03-消费贷].
     */
    private String loanType;
    /**
     * rateType 利率类型[10-年利率 20-月利率 30-日利率 注：此字段做为”第39项利率” 的补充说明。 默认10-年利率].
     */
    private String rateType;
    /**
     * applyDate 申请日期.
     */
    private String applyDate;
    /**
     * deducData 扣款日期.
     */
    private String deducData;
    /**
     * deducType 扣款日类型[01-放款日为扣款日 02-固定扣款日].
     */
    private String deducType;
    /**
     * productId 产品编号.
     */
    private String productId;
    /**
     * repayMode 还款方式[01--等额本息 02--等额本金].
     */
    private String repayMode;
    /**
     * startDate 确认日期.
     */
    private String startDate;
    /**
     * changeDate .
     */
    private String changeDate;
    /**
     * deducClass 扣款日类别[01-对月 05-对周  默认01-对月].
     */
    private String deducClass;
    /**
     * fundStatus 放款状态[1-放款中 2-已放款 3-已冲正 4-已撤销].
     */
    private String fundStatus;
    /**
     * repayCycle 还款周期[M-月].
     */
    private String repayCycle;
    /**
     * accountDesc 对账描述.
     */
    private String accountDesc;
    /**
     * productName 产品名称.
     */
    private String productName;
    /**
     * accountState 对账状态[00-未处理 01-对账成功 02-与预授信对账失败 03-与银行流水对账失败 04-与授信对账成功 05-对账失败 默认值 00].
     */
    private String accountState;
    /**
     * openBankName 放款银行名.
     */
    private String openBankName;
    /**
     * openAccountname 放款账户名.
     */
    private String openAccountname;
    /**
     * openBankaccount 放款账户卡号.
     */
    private String openBankaccount;
    /**
     * totalTerms 总期数.
     */
    private Integer totalTerms;
    /**
     * absSyncDate ABS数据日期.
     */
    private Date absSyncDate;
    /**
     * intRate 利率.
     */
    private BigDecimal intRate;
    /**
     * chargeAmt 手续费.
     */
    private BigDecimal chargeAmt;
    /**
     * encashAmt 借据金额.
     */
    private BigDecimal encashAmt;
    /**
     * chargeRate 手续费率.
     */
    private BigDecimal chargeRate;

    /**
     * Set graceDay 宽限期.
     */
    public void setGraceDay(Long graceDay){
        this.graceDay = graceDay;
    }

    /**
     * Get graceDay 宽限期.
     *
     * @return the string
     */
    public Long getGraceDay(){
        return graceDay;
    }

    /**
     * Set orgNo 机构码.
     */
    public void setOrgNo(String orgNo){
        this.orgNo = orgNo;
    }

    /**
     * Get orgNo 机构码.
     *
     * @return the string
     */
    public String getOrgNo(){
        return orgNo;
    }

    /**
     * Set seqNo 机构放款交易流水.
     */
    public void setSeqNo(String seqNo){
        this.seqNo = seqNo;
    }

    /**
     * Get seqNo 机构放款交易流水.
     *
     * @return the string
     */
    public String getSeqNo(){
        return seqNo;
    }

    /**
     * Set certNo 证件号.
     */
    public void setCertNo(String certNo){
        this.certNo = certNo;
    }

    /**
     * Get certNo 证件号.
     *
     * @return the string
     */
    public String getCertNo(){
        return certNo;
    }

    /**
     * Set dataId 主键.
     */
    public void setDataId(String dataId){
        this.dataId = dataId;
    }

    /**
     * Get dataId 主键.
     *
     * @return the string
     */
    public String getDataId(){
        return dataId;
    }

    /**
     * Set leader 牵头方[例如：BAIDU;QUDIAN].
     */
    public void setLeader(String leader){
        this.leader = leader;
    }

    /**
     * Get leader 牵头方[例如：BAIDU;QUDIAN].
     *
     * @return the string
     */
    public String getLeader(){
        return leader;
    }

    /**
     * Set loanId 借据号.
     */
    public void setLoanId(String loanId){
        this.loanId = loanId;
    }

    /**
     * Get loanId 借据号.
     *
     * @return the string
     */
    public String getLoanId(){
        return loanId;
    }

    /**
     * Set parter 合作方.
     */
    public void setParter(String parter){
        this.parter = parter;
    }

    /**
     * Get parter 合作方.
     *
     * @return the string
     */
    public String getParter(){
        return parter;
    }

    /**
     * Set projNo 项目编号.
     */
    public void setProjNo(String projNo){
        this.projNo = projNo;
    }

    /**
     * Get projNo 项目编号.
     *
     * @return the string
     */
    public String getProjNo(){
        return projNo;
    }

    /**
     * Set txDate 入库日期.
     */
    public void setTxDate(String txDate){
        this.txDate = txDate;
    }

    /**
     * Get txDate 入库日期.
     *
     * @return the string
     */
    public String getTxDate(){
        return txDate;
    }

    /**
     * Set curDate 账务日期.
     */
    public void setCurDate(String curDate){
        this.curDate = curDate;
    }

    /**
     * Get curDate 账务日期.
     *
     * @return the string
     */
    public String getCurDate(){
        return curDate;
    }

    /**
     * Set dataSts 数据标志（01-新增 02-历史）.
     */
    public void setDataSts(String dataSts){
        this.dataSts = dataSts;
    }

    /**
     * Get dataSts 数据标志（01-新增 02-历史）.
     *
     * @return the string
     */
    public String getDataSts(){
        return dataSts;
    }

    /**
     * Set endDate 到期日期.
     */
    public void setEndDate(String endDate){
        this.endDate = endDate;
    }

    /**
     * Get endDate 到期日期.
     *
     * @return the string
     */
    public String getEndDate(){
        return endDate;
    }

    /**
     * Set borwType 借款人类型[01-法定代表人 02-自然人股东 04-个体工商户 05-合伙企业合伙人 06-个人独资企业出资人 07-自然人 99-其他 默认07-自然人].
     */
    public void setBorwType(String borwType){
        this.borwType = borwType;
    }

    /**
     * Get borwType 借款人类型[01-法定代表人 02-自然人股东 04-个体工商户 05-合伙企业合伙人 06-个人独资企业出资人 07-自然人 99-其他 默认07-自然人].
     *
     * @return the string
     */
    public String getBorwType(){
        return borwType;
    }

    /**
     * Set certType 证件类型[0-身份证 1-户口簿 2-护照 3-军官证 4-士兵证 5-港澳居民来往内地通行证 6-台湾同胞来往内地通行证 7-临时身份证 8-外国人居留证 9-警官证 A-香港身份证 B-澳门身份证 C-台湾身份证 X-其他证件 默认为身份证0].
     */
    public void setCertType(String certType){
        this.certType = certType;
    }

    /**
     * Get certType 证件类型[0-身份证 1-户口簿 2-护照 3-军官证 4-士兵证 5-港澳居民来往内地通行证 6-台湾同胞来往内地通行证 7-临时身份证 8-外国人居留证 9-警官证 A-香港身份证 B-澳门身份证 C-台湾身份证 X-其他证件 默认为身份证0].
     *
     * @return the string
     */
    public String getCertType(){
        return certType;
    }

    /**
     * Set currency 币种[默认01	人民币].
     */
    public void setCurrency(String currency){
        this.currency = currency;
    }

    /**
     * Get currency 币种[默认01	人民币].
     *
     * @return the string
     */
    public String getCurrency(){
        return currency;
    }

    /**
     * Set custName 客户姓名.
     */
    public void setCustName(String custName){
        this.custName = custName;
    }

    /**
     * Get custName 客户姓名.
     *
     * @return the string
     */
    public String getCustName(){
        return custName;
    }

    /**
     * Set failType 放款失败类型.
     */
    public void setFailType(String failType){
        this.failType = failType;
    }

    /**
     * Get failType 放款失败类型.
     *
     * @return the string
     */
    public String getFailType(){
        return failType;
    }

    /**
     * Set loanType 贷款类型[01-房贷 02-车贷 03-消费贷 04-经营贷 99-其他 默认03-消费贷].
     */
    public void setLoanType(String loanType){
        this.loanType = loanType;
    }

    /**
     * Get loanType 贷款类型[01-房贷 02-车贷 03-消费贷 04-经营贷 99-其他 默认03-消费贷].
     *
     * @return the string
     */
    public String getLoanType(){
        return loanType;
    }

    /**
     * Set rateType 利率类型[10-年利率 20-月利率 30-日利率 注：此字段做为”第39项利率” 的补充说明。 默认10-年利率].
     */
    public void setRateType(String rateType){
        this.rateType = rateType;
    }

    /**
     * Get rateType 利率类型[10-年利率 20-月利率 30-日利率 注：此字段做为”第39项利率” 的补充说明。 默认10-年利率].
     *
     * @return the string
     */
    public String getRateType(){
        return rateType;
    }

    /**
     * Set applyDate 申请日期.
     */
    public void setApplyDate(String applyDate){
        this.applyDate = applyDate;
    }

    /**
     * Get applyDate 申请日期.
     *
     * @return the string
     */
    public String getApplyDate(){
        return applyDate;
    }

    /**
     * Set deducData 扣款日期.
     */
    public void setDeducData(String deducData){
        this.deducData = deducData;
    }

    /**
     * Get deducData 扣款日期.
     *
     * @return the string
     */
    public String getDeducData(){
        return deducData;
    }

    /**
     * Set deducType 扣款日类型[01-放款日为扣款日 02-固定扣款日].
     */
    public void setDeducType(String deducType){
        this.deducType = deducType;
    }

    /**
     * Get deducType 扣款日类型[01-放款日为扣款日 02-固定扣款日].
     *
     * @return the string
     */
    public String getDeducType(){
        return deducType;
    }

    /**
     * Set productId 产品编号.
     */
    public void setProductId(String productId){
        this.productId = productId;
    }

    /**
     * Get productId 产品编号.
     *
     * @return the string
     */
    public String getProductId(){
        return productId;
    }

    /**
     * Set repayMode 还款方式[01--等额本息 02--等额本金].
     */
    public void setRepayMode(String repayMode){
        this.repayMode = repayMode;
    }

    /**
     * Get repayMode 还款方式[01--等额本息 02--等额本金].
     *
     * @return the string
     */
    public String getRepayMode(){
        return repayMode;
    }

    /**
     * Set startDate 确认日期.
     */
    public void setStartDate(String startDate){
        this.startDate = startDate;
    }

    /**
     * Get startDate 确认日期.
     *
     * @return the string
     */
    public String getStartDate(){
        return startDate;
    }

    /**
     * Set changeDate .
     */
    public void setChangeDate(String changeDate){
        this.changeDate = changeDate;
    }

    /**
     * Get changeDate .
     *
     * @return the string
     */
    public String getChangeDate(){
        return changeDate;
    }

    /**
     * Set deducClass 扣款日类别[01-对月 05-对周  默认01-对月].
     */
    public void setDeducClass(String deducClass){
        this.deducClass = deducClass;
    }

    /**
     * Get deducClass 扣款日类别[01-对月 05-对周  默认01-对月].
     *
     * @return the string
     */
    public String getDeducClass(){
        return deducClass;
    }

    /**
     * Set fundStatus 放款状态[1-放款中 2-已放款 3-已冲正 4-已撤销].
     */
    public void setFundStatus(String fundStatus){
        this.fundStatus = fundStatus;
    }

    /**
     * Get fundStatus 放款状态[1-放款中 2-已放款 3-已冲正 4-已撤销].
     *
     * @return the string
     */
    public String getFundStatus(){
        return fundStatus;
    }

    /**
     * Set repayCycle 还款周期[M-月].
     */
    public void setRepayCycle(String repayCycle){
        this.repayCycle = repayCycle;
    }

    /**
     * Get repayCycle 还款周期[M-月].
     *
     * @return the string
     */
    public String getRepayCycle(){
        return repayCycle;
    }

    /**
     * Set accountDesc 对账描述.
     */
    public void setAccountDesc(String accountDesc){
        this.accountDesc = accountDesc;
    }

    /**
     * Get accountDesc 对账描述.
     *
     * @return the string
     */
    public String getAccountDesc(){
        return accountDesc;
    }

    /**
     * Set productName 产品名称.
     */
    public void setProductName(String productName){
        this.productName = productName;
    }

    /**
     * Get productName 产品名称.
     *
     * @return the string
     */
    public String getProductName(){
        return productName;
    }

    /**
     * Set accountState 对账状态[00-未处理 01-对账成功 02-与预授信对账失败 03-与银行流水对账失败 04-与授信对账成功 05-对账失败 默认值 00].
     */
    public void setAccountState(String accountState){
        this.accountState = accountState;
    }

    /**
     * Get accountState 对账状态[00-未处理 01-对账成功 02-与预授信对账失败 03-与银行流水对账失败 04-与授信对账成功 05-对账失败 默认值 00].
     *
     * @return the string
     */
    public String getAccountState(){
        return accountState;
    }

    /**
     * Set openBankName 放款银行名.
     */
    public void setOpenBankName(String openBankName){
        this.openBankName = openBankName;
    }

    /**
     * Get openBankName 放款银行名.
     *
     * @return the string
     */
    public String getOpenBankName(){
        return openBankName;
    }

    /**
     * Set openAccountname 放款账户名.
     */
    public void setOpenAccountname(String openAccountname){
        this.openAccountname = openAccountname;
    }

    /**
     * Get openAccountname 放款账户名.
     *
     * @return the string
     */
    public String getOpenAccountname(){
        return openAccountname;
    }

    /**
     * Set openBankaccount 放款账户卡号.
     */
    public void setOpenBankaccount(String openBankaccount){
        this.openBankaccount = openBankaccount;
    }

    /**
     * Get openBankaccount 放款账户卡号.
     *
     * @return the string
     */
    public String getOpenBankaccount(){
        return openBankaccount;
    }

    /**
     * Set totalTerms 总期数.
     */
    public void setTotalTerms(Integer totalTerms){
        this.totalTerms = totalTerms;
    }

    /**
     * Get totalTerms 总期数.
     *
     * @return the string
     */
    public Integer getTotalTerms(){
        return totalTerms;
    }

    /**
     * Set absSyncDate ABS数据日期.
     */
    public void setAbsSyncDate(Date absSyncDate){
        this.absSyncDate = absSyncDate;
    }

    /**
     * Get absSyncDate ABS数据日期.
     *
     * @return the string
     */
    public Date getAbsSyncDate(){
        return absSyncDate;
    }

    /**
     * Set intRate 利率.
     */
    public void setIntRate(BigDecimal intRate){
        this.intRate = intRate;
    }

    /**
     * Get intRate 利率.
     *
     * @return the string
     */
    public BigDecimal getIntRate(){
        return intRate;
    }

    /**
     * Set chargeAmt 手续费.
     */
    public void setChargeAmt(BigDecimal chargeAmt){
        this.chargeAmt = chargeAmt;
    }

    /**
     * Get chargeAmt 手续费.
     *
     * @return the string
     */
    public BigDecimal getChargeAmt(){
        return chargeAmt;
    }

    /**
     * Set encashAmt 借据金额.
     */
    public void setEncashAmt(BigDecimal encashAmt){
        this.encashAmt = encashAmt;
    }

    /**
     * Get encashAmt 借据金额.
     *
     * @return the string
     */
    public BigDecimal getEncashAmt(){
        return encashAmt;
    }

    /**
     * Set chargeRate 手续费率.
     */
    public void setChargeRate(BigDecimal chargeRate){
        this.chargeRate = chargeRate;
    }

    /**
     * Get chargeRate 手续费率.
     *
     * @return the string
     */
    public BigDecimal getChargeRate(){
        return chargeRate;
    }
}
