package com.abssqr.plat.common.dal.sync.auto.dataobject;

import java.util.Date;
import java.math.BigDecimal;

/**
 * The table 还款计划表
 */
public class WkMfsRepayPlanDO{

    /**
     * orgNo 机构码.
     */
    private String orgNo;
    /**
     * dataId 主键.
     */
    private String dataId;
    /**
     * fundNo 资金编号.
     */
    private String fundNo;
    /**
     * loanId 借据号.
     */
    private String loanId;
    /**
     * projNo 项目编号.
     */
    private String projNo;
    /**
     * txDate 入库日期.
     */
    private String txDate;
    /**
     * curDate 账务日期.
     */
    private String curDate;
    /**
     * dataSts 数据标志（01-新增 02-历史）.
     */
    private String dataSts;
    /**
     * endDate 到期日期.
     */
    private String endDate;
    /**
     * clearDate 结清日期.
     */
    private String clearDate;
    /**
     * startDate 开始日期.
     */
    private String startDate;
    /**
     * changeDate 变更时间.
     */
    private String changeDate;
    /**
     * termStatus 本期状态[1-正常 2-逾期 3-已冲正 4-已撤销 5-已结清].
     */
    private String termStatus;
    /**
     * accountState 对账状态[00-未对账 01--通过 02-未通过].
     */
    private String accountState;
    /**
     * termNo 期序.
     */
    private Integer termNo;
    /**
     * absSyncDate ABS数据日期.
     */
    private Date absSyncDate;
    /**
     * intBal 利息余额.
     */
    private BigDecimal intBal;
    /**
     * remPrin 剩余本金.
     */
    private BigDecimal remPrin;
    /**
     * expCount 一次性结清应还金额.
     */
    private BigDecimal expCount;
    /**
     * intRepay 已还利息.
     */
    private BigDecimal intRepay;
    /**
     * intTotal 应还利息.
     */
    private BigDecimal intTotal;
    /**
     * prinRepay 已还本金.
     */
    private BigDecimal prinRepay;
    /**
     * prinTotal 应还本金.
     */
    private BigDecimal prinTotal;
    /**
     * chargesRepay 已还分期手续费.
     */
    private BigDecimal chargesRepay;
    /**
     * chargesTotal 应还分期手续费.
     */
    private BigDecimal chargesTotal;
    /**
     * fundFeeRepay 已还借款服务费.
     */
    private BigDecimal fundFeeRepay;
    /**
     * fundFeeTotal 应还借款服务费.
     */
    private BigDecimal fundFeeTotal;
    /**
     * overdueRepay 已还逾期费.
     */
    private BigDecimal overdueRepay;
    /**
     * overdueTotal 应还逾期费.
     */
    private BigDecimal overdueTotal;
    /**
     * pnltIntRepay 已还罚息.
     */
    private BigDecimal pnltIntRepay;
    /**
     * pnltIntTotal 应还罚息.
     */
    private BigDecimal pnltIntTotal;
    /**
     * serviceRepay 已还展期服务费.
     */
    private BigDecimal serviceRepay;
    /**
     * serviceTotal 应还展期服务费.
     */
    private BigDecimal serviceTotal;
    /**
     * intReducedAmt 减免利息.
     */
    private BigDecimal intReducedAmt;
    /**
     * serviceFeeAmt 机构方分润服务费.
     */
    private BigDecimal serviceFeeAmt;
    /**
     * pnltReducedAmt 减免罚息.
     */
    private BigDecimal pnltReducedAmt;
    /**
     * trustBrtAmtAcc 信托方分润违约金.
     */
    private BigDecimal trustBrtAmtAcc;
    /**
     * trustIntAmtAcc 信托方分润利息.
     */
    private BigDecimal trustIntAmtAcc;
    /**
     * fundFeeReducedAmt 减免借款服务费.
     */
    private BigDecimal fundFeeReducedAmt;
    /**
     * repayViolateRepay 已还提前还款违约金.
     */
    private BigDecimal repayViolateRepay;
    /**
     * repayViolateTotal 应还提前还款违约金.
     */
    private BigDecimal repayViolateTotal;
    /**
     * refundViolateRepay 已还退款违约金.
     */
    private BigDecimal refundViolateRepay;
    /**
     * refundViolateTotal 应还退款违约金.
     */
    private BigDecimal refundViolateTotal;
    /**
     * trustPnltIntAmtAcc 信托方分润罚息.
     */
    private BigDecimal trustPnltIntAmtAcc;

    /**
     * Set orgNo 机构码.
     */
    public void setOrgNo(String orgNo){
        this.orgNo = orgNo;
    }

    /**
     * Get orgNo 机构码.
     *
     * @return the string
     */
    public String getOrgNo(){
        return orgNo;
    }

    /**
     * Set dataId 主键.
     */
    public void setDataId(String dataId){
        this.dataId = dataId;
    }

    /**
     * Get dataId 主键.
     *
     * @return the string
     */
    public String getDataId(){
        return dataId;
    }

    /**
     * Set fundNo 资金编号.
     */
    public void setFundNo(String fundNo){
        this.fundNo = fundNo;
    }

    /**
     * Get fundNo 资金编号.
     *
     * @return the string
     */
    public String getFundNo(){
        return fundNo;
    }

    /**
     * Set loanId 借据号.
     */
    public void setLoanId(String loanId){
        this.loanId = loanId;
    }

    /**
     * Get loanId 借据号.
     *
     * @return the string
     */
    public String getLoanId(){
        return loanId;
    }

    /**
     * Set projNo 项目编号.
     */
    public void setProjNo(String projNo){
        this.projNo = projNo;
    }

    /**
     * Get projNo 项目编号.
     *
     * @return the string
     */
    public String getProjNo(){
        return projNo;
    }

    /**
     * Set txDate 入库日期.
     */
    public void setTxDate(String txDate){
        this.txDate = txDate;
    }

    /**
     * Get txDate 入库日期.
     *
     * @return the string
     */
    public String getTxDate(){
        return txDate;
    }

    /**
     * Set curDate 账务日期.
     */
    public void setCurDate(String curDate){
        this.curDate = curDate;
    }

    /**
     * Get curDate 账务日期.
     *
     * @return the string
     */
    public String getCurDate(){
        return curDate;
    }

    /**
     * Set dataSts 数据标志（01-新增 02-历史）.
     */
    public void setDataSts(String dataSts){
        this.dataSts = dataSts;
    }

    /**
     * Get dataSts 数据标志（01-新增 02-历史）.
     *
     * @return the string
     */
    public String getDataSts(){
        return dataSts;
    }

    /**
     * Set endDate 到期日期.
     */
    public void setEndDate(String endDate){
        this.endDate = endDate;
    }

    /**
     * Get endDate 到期日期.
     *
     * @return the string
     */
    public String getEndDate(){
        return endDate;
    }

    /**
     * Set clearDate 结清日期.
     */
    public void setClearDate(String clearDate){
        this.clearDate = clearDate;
    }

    /**
     * Get clearDate 结清日期.
     *
     * @return the string
     */
    public String getClearDate(){
        return clearDate;
    }

    /**
     * Set startDate 开始日期.
     */
    public void setStartDate(String startDate){
        this.startDate = startDate;
    }

    /**
     * Get startDate 开始日期.
     *
     * @return the string
     */
    public String getStartDate(){
        return startDate;
    }

    /**
     * Set changeDate 变更时间.
     */
    public void setChangeDate(String changeDate){
        this.changeDate = changeDate;
    }

    /**
     * Get changeDate 变更时间.
     *
     * @return the string
     */
    public String getChangeDate(){
        return changeDate;
    }

    /**
     * Set termStatus 本期状态[1-正常 2-逾期 3-已冲正 4-已撤销 5-已结清].
     */
    public void setTermStatus(String termStatus){
        this.termStatus = termStatus;
    }

    /**
     * Get termStatus 本期状态[1-正常 2-逾期 3-已冲正 4-已撤销 5-已结清].
     *
     * @return the string
     */
    public String getTermStatus(){
        return termStatus;
    }

    /**
     * Set accountState 对账状态[00-未对账 01--通过 02-未通过].
     */
    public void setAccountState(String accountState){
        this.accountState = accountState;
    }

    /**
     * Get accountState 对账状态[00-未对账 01--通过 02-未通过].
     *
     * @return the string
     */
    public String getAccountState(){
        return accountState;
    }

    /**
     * Set termNo 期序.
     */
    public void setTermNo(Integer termNo){
        this.termNo = termNo;
    }

    /**
     * Get termNo 期序.
     *
     * @return the string
     */
    public Integer getTermNo(){
        return termNo;
    }

    /**
     * Set absSyncDate ABS数据日期.
     */
    public void setAbsSyncDate(Date absSyncDate){
        this.absSyncDate = absSyncDate;
    }

    /**
     * Get absSyncDate ABS数据日期.
     *
     * @return the string
     */
    public Date getAbsSyncDate(){
        return absSyncDate;
    }

    /**
     * Set intBal 利息余额.
     */
    public void setIntBal(BigDecimal intBal){
        this.intBal = intBal;
    }

    /**
     * Get intBal 利息余额.
     *
     * @return the string
     */
    public BigDecimal getIntBal(){
        return intBal;
    }

    /**
     * Set remPrin 剩余本金.
     */
    public void setRemPrin(BigDecimal remPrin){
        this.remPrin = remPrin;
    }

    /**
     * Get remPrin 剩余本金.
     *
     * @return the string
     */
    public BigDecimal getRemPrin(){
        return remPrin;
    }

    /**
     * Set expCount 一次性结清应还金额.
     */
    public void setExpCount(BigDecimal expCount){
        this.expCount = expCount;
    }

    /**
     * Get expCount 一次性结清应还金额.
     *
     * @return the string
     */
    public BigDecimal getExpCount(){
        return expCount;
    }

    /**
     * Set intRepay 已还利息.
     */
    public void setIntRepay(BigDecimal intRepay){
        this.intRepay = intRepay;
    }

    /**
     * Get intRepay 已还利息.
     *
     * @return the string
     */
    public BigDecimal getIntRepay(){
        return intRepay;
    }

    /**
     * Set intTotal 应还利息.
     */
    public void setIntTotal(BigDecimal intTotal){
        this.intTotal = intTotal;
    }

    /**
     * Get intTotal 应还利息.
     *
     * @return the string
     */
    public BigDecimal getIntTotal(){
        return intTotal;
    }

    /**
     * Set prinRepay 已还本金.
     */
    public void setPrinRepay(BigDecimal prinRepay){
        this.prinRepay = prinRepay;
    }

    /**
     * Get prinRepay 已还本金.
     *
     * @return the string
     */
    public BigDecimal getPrinRepay(){
        return prinRepay;
    }

    /**
     * Set prinTotal 应还本金.
     */
    public void setPrinTotal(BigDecimal prinTotal){
        this.prinTotal = prinTotal;
    }

    /**
     * Get prinTotal 应还本金.
     *
     * @return the string
     */
    public BigDecimal getPrinTotal(){
        return prinTotal;
    }

    /**
     * Set chargesRepay 已还分期手续费.
     */
    public void setChargesRepay(BigDecimal chargesRepay){
        this.chargesRepay = chargesRepay;
    }

    /**
     * Get chargesRepay 已还分期手续费.
     *
     * @return the string
     */
    public BigDecimal getChargesRepay(){
        return chargesRepay;
    }

    /**
     * Set chargesTotal 应还分期手续费.
     */
    public void setChargesTotal(BigDecimal chargesTotal){
        this.chargesTotal = chargesTotal;
    }

    /**
     * Get chargesTotal 应还分期手续费.
     *
     * @return the string
     */
    public BigDecimal getChargesTotal(){
        return chargesTotal;
    }

    /**
     * Set fundFeeRepay 已还借款服务费.
     */
    public void setFundFeeRepay(BigDecimal fundFeeRepay){
        this.fundFeeRepay = fundFeeRepay;
    }

    /**
     * Get fundFeeRepay 已还借款服务费.
     *
     * @return the string
     */
    public BigDecimal getFundFeeRepay(){
        return fundFeeRepay;
    }

    /**
     * Set fundFeeTotal 应还借款服务费.
     */
    public void setFundFeeTotal(BigDecimal fundFeeTotal){
        this.fundFeeTotal = fundFeeTotal;
    }

    /**
     * Get fundFeeTotal 应还借款服务费.
     *
     * @return the string
     */
    public BigDecimal getFundFeeTotal(){
        return fundFeeTotal;
    }

    /**
     * Set overdueRepay 已还逾期费.
     */
    public void setOverdueRepay(BigDecimal overdueRepay){
        this.overdueRepay = overdueRepay;
    }

    /**
     * Get overdueRepay 已还逾期费.
     *
     * @return the string
     */
    public BigDecimal getOverdueRepay(){
        return overdueRepay;
    }

    /**
     * Set overdueTotal 应还逾期费.
     */
    public void setOverdueTotal(BigDecimal overdueTotal){
        this.overdueTotal = overdueTotal;
    }

    /**
     * Get overdueTotal 应还逾期费.
     *
     * @return the string
     */
    public BigDecimal getOverdueTotal(){
        return overdueTotal;
    }

    /**
     * Set pnltIntRepay 已还罚息.
     */
    public void setPnltIntRepay(BigDecimal pnltIntRepay){
        this.pnltIntRepay = pnltIntRepay;
    }

    /**
     * Get pnltIntRepay 已还罚息.
     *
     * @return the string
     */
    public BigDecimal getPnltIntRepay(){
        return pnltIntRepay;
    }

    /**
     * Set pnltIntTotal 应还罚息.
     */
    public void setPnltIntTotal(BigDecimal pnltIntTotal){
        this.pnltIntTotal = pnltIntTotal;
    }

    /**
     * Get pnltIntTotal 应还罚息.
     *
     * @return the string
     */
    public BigDecimal getPnltIntTotal(){
        return pnltIntTotal;
    }

    /**
     * Set serviceRepay 已还展期服务费.
     */
    public void setServiceRepay(BigDecimal serviceRepay){
        this.serviceRepay = serviceRepay;
    }

    /**
     * Get serviceRepay 已还展期服务费.
     *
     * @return the string
     */
    public BigDecimal getServiceRepay(){
        return serviceRepay;
    }

    /**
     * Set serviceTotal 应还展期服务费.
     */
    public void setServiceTotal(BigDecimal serviceTotal){
        this.serviceTotal = serviceTotal;
    }

    /**
     * Get serviceTotal 应还展期服务费.
     *
     * @return the string
     */
    public BigDecimal getServiceTotal(){
        return serviceTotal;
    }

    /**
     * Set intReducedAmt 减免利息.
     */
    public void setIntReducedAmt(BigDecimal intReducedAmt){
        this.intReducedAmt = intReducedAmt;
    }

    /**
     * Get intReducedAmt 减免利息.
     *
     * @return the string
     */
    public BigDecimal getIntReducedAmt(){
        return intReducedAmt;
    }

    /**
     * Set serviceFeeAmt 机构方分润服务费.
     */
    public void setServiceFeeAmt(BigDecimal serviceFeeAmt){
        this.serviceFeeAmt = serviceFeeAmt;
    }

    /**
     * Get serviceFeeAmt 机构方分润服务费.
     *
     * @return the string
     */
    public BigDecimal getServiceFeeAmt(){
        return serviceFeeAmt;
    }

    /**
     * Set pnltReducedAmt 减免罚息.
     */
    public void setPnltReducedAmt(BigDecimal pnltReducedAmt){
        this.pnltReducedAmt = pnltReducedAmt;
    }

    /**
     * Get pnltReducedAmt 减免罚息.
     *
     * @return the string
     */
    public BigDecimal getPnltReducedAmt(){
        return pnltReducedAmt;
    }

    /**
     * Set trustBrtAmtAcc 信托方分润违约金.
     */
    public void setTrustBrtAmtAcc(BigDecimal trustBrtAmtAcc){
        this.trustBrtAmtAcc = trustBrtAmtAcc;
    }

    /**
     * Get trustBrtAmtAcc 信托方分润违约金.
     *
     * @return the string
     */
    public BigDecimal getTrustBrtAmtAcc(){
        return trustBrtAmtAcc;
    }

    /**
     * Set trustIntAmtAcc 信托方分润利息.
     */
    public void setTrustIntAmtAcc(BigDecimal trustIntAmtAcc){
        this.trustIntAmtAcc = trustIntAmtAcc;
    }

    /**
     * Get trustIntAmtAcc 信托方分润利息.
     *
     * @return the string
     */
    public BigDecimal getTrustIntAmtAcc(){
        return trustIntAmtAcc;
    }

    /**
     * Set fundFeeReducedAmt 减免借款服务费.
     */
    public void setFundFeeReducedAmt(BigDecimal fundFeeReducedAmt){
        this.fundFeeReducedAmt = fundFeeReducedAmt;
    }

    /**
     * Get fundFeeReducedAmt 减免借款服务费.
     *
     * @return the string
     */
    public BigDecimal getFundFeeReducedAmt(){
        return fundFeeReducedAmt;
    }

    /**
     * Set repayViolateRepay 已还提前还款违约金.
     */
    public void setRepayViolateRepay(BigDecimal repayViolateRepay){
        this.repayViolateRepay = repayViolateRepay;
    }

    /**
     * Get repayViolateRepay 已还提前还款违约金.
     *
     * @return the string
     */
    public BigDecimal getRepayViolateRepay(){
        return repayViolateRepay;
    }

    /**
     * Set repayViolateTotal 应还提前还款违约金.
     */
    public void setRepayViolateTotal(BigDecimal repayViolateTotal){
        this.repayViolateTotal = repayViolateTotal;
    }

    /**
     * Get repayViolateTotal 应还提前还款违约金.
     *
     * @return the string
     */
    public BigDecimal getRepayViolateTotal(){
        return repayViolateTotal;
    }

    /**
     * Set refundViolateRepay 已还退款违约金.
     */
    public void setRefundViolateRepay(BigDecimal refundViolateRepay){
        this.refundViolateRepay = refundViolateRepay;
    }

    /**
     * Get refundViolateRepay 已还退款违约金.
     *
     * @return the string
     */
    public BigDecimal getRefundViolateRepay(){
        return refundViolateRepay;
    }

    /**
     * Set refundViolateTotal 应还退款违约金.
     */
    public void setRefundViolateTotal(BigDecimal refundViolateTotal){
        this.refundViolateTotal = refundViolateTotal;
    }

    /**
     * Get refundViolateTotal 应还退款违约金.
     *
     * @return the string
     */
    public BigDecimal getRefundViolateTotal(){
        return refundViolateTotal;
    }

    /**
     * Set trustPnltIntAmtAcc 信托方分润罚息.
     */
    public void setTrustPnltIntAmtAcc(BigDecimal trustPnltIntAmtAcc){
        this.trustPnltIntAmtAcc = trustPnltIntAmtAcc;
    }

    /**
     * Get trustPnltIntAmtAcc 信托方分润罚息.
     *
     * @return the string
     */
    public BigDecimal getTrustPnltIntAmtAcc(){
        return trustPnltIntAmtAcc;
    }
}
