package com.abssqr.plat.common.dal.sync.auto.mapper;

import com.abssqr.plat.common.dal.sync.auto.dataobject.WkMfsDueBillDO;
import java.util.Date;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table wk_mfs_due_bill.
 * 借据信息表_中间表
 */
public interface WkMfsDueBillDOMapper{

    /**
     * desc:插入表:wk_mfs_due_bill.<br/>
     * @param entity entity
     * @return int
     */
    int insert(WkMfsDueBillDO entity);
    /**
     * desc:updateData.<br/>
     * @return int
     */
    int updateData();
    /**
     * desc:获取全量为结清的借据.<br/>
     * @param syncDate syncDate
     * @param dbLink dbLink
     * @param loanId loanId
     * @param wkxwDbName wkxwDbName
     * @param wkxwSynonymAft wkxwSynonymAft
     * @param wkxwSynonymPre wkxwSynonymPre
     * @return int
     */
    int insertSyncOne(@Param("syncDate")Date syncDate,@Param("dbLink")String dbLink,@Param("loanId")String loanId,@Param("wkxwDbName")String wkxwDbName,@Param("wkxwSynonymAft")String wkxwSynonymAft,@Param("wkxwSynonymPre")String wkxwSynonymPre);
    /**
     * desc:获取全量为结清的借据.<br/>
     * @param syncDate syncDate
     * @param orgNo orgNo
     * @param dbLink dbLink
     * @param wkxwDbName wkxwDbName
     * @param wkxwSynonymAft wkxwSynonymAft
     * @param wkxwSynonymPre wkxwSynonymPre
     * @param lists lists
     * @return int
     */
    int insertSyncAll(@Param("syncDate")Date syncDate,@Param("orgNo")String orgNo,@Param("dbLink")String dbLink,@Param("wkxwDbName")String wkxwDbName,@Param("wkxwSynonymAft")String wkxwSynonymAft,@Param("wkxwSynonymPre")String wkxwSynonymPre,@Param("lists")List<String> lists);
    /**
     * desc:查询待执行的任务.<br/>
     * @param syncDate syncDate
     * @param dbLink dbLink
     * @param loanId loanId
     * @param wkxwDbName wkxwDbName
     * @param wkxwSynonymAft wkxwSynonymAft
     * @param wkxwSynonymPre wkxwSynonymPre
     * @return WkMfsDueBillDO
     */
    WkMfsDueBillDO getByLoanId(@Param("syncDate")Date syncDate,@Param("dbLink")String dbLink,@Param("loanId")String loanId,@Param("wkxwDbName")String wkxwDbName,@Param("wkxwSynonymAft")String wkxwSynonymAft,@Param("wkxwSynonymPre")String wkxwSynonymPre);
    /**
     * desc:查询待执行的任务.<br/>
     * @param syncDate syncDate
     * @param orgNo orgNo
     * @param loanId loanId
     * @return WkMfsDueBillDO
     */
    WkMfsDueBillDO getSelfByLoanId(@Param("syncDate")Date syncDate,@Param("orgNo")String orgNo,@Param("loanId")String loanId);
}
