package com.abssqr.plat.common.dal.sync.auto.mapper;

import com.abssqr.plat.common.dal.sync.auto.dataobject.WkMfsLnPactDO;
import java.util.Date;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table wk_mfs_ln_pact.
 * 合同信息
 */
public interface WkMfsLnPactDOMapper{

    /**
     * desc:插入表:wk_mfs_ln_pact.<br/>
     * @param entity entity
     * @return int
     */
    int insert(WkMfsLnPactDO entity);
    /**
     * desc:updateData.<br/>
     * @return int
     */
    int updateData();
    /**
     * desc:根据入库日期增量同步合同.<br/>
     * @param syncDate syncDate
     * @param dbLink dbLink
     * @param loanId loanId
     * @param wkxwDbName wkxwDbName
     * @param wkxwSynonymAft wkxwSynonymAft
     * @param wkxwSynonymPre wkxwSynonymPre
     * @return int
     */
    int insertSyncOne(@Param("syncDate")Date syncDate,@Param("dbLink")String dbLink,@Param("loanId")String loanId,@Param("wkxwDbName")String wkxwDbName,@Param("wkxwSynonymAft")String wkxwSynonymAft,@Param("wkxwSynonymPre")String wkxwSynonymPre);
    /**
     * desc:同步全量合同表.<br/>
     * @param syncDate syncDate
     * @param orgNo orgNo
     * @param dbLink dbLink
     * @param wkxwDbName wkxwDbName
     * @param wkxwSynonymAft wkxwSynonymAft
     * @param wkxwSynonymPre wkxwSynonymPre
     * @param lists lists
     * @return int
     */
    int insertSyncAll(@Param("syncDate")Date syncDate,@Param("orgNo")String orgNo,@Param("dbLink")String dbLink,@Param("wkxwDbName")String wkxwDbName,@Param("wkxwSynonymAft")String wkxwSynonymAft,@Param("wkxwSynonymPre")String wkxwSynonymPre,@Param("lists")List<String> lists);
    /**
     * desc:查询待执行的任务.<br/>
     * @param syncDate syncDate
     * @param dbLink dbLink
     * @param loanId loanId
     * @param wkxwDbName wkxwDbName
     * @param wkxwSynonymAft wkxwSynonymAft
     * @param wkxwSynonymPre wkxwSynonymPre
     * @return WkMfsLnPactDO
     */
    WkMfsLnPactDO getByLoanId(@Param("syncDate")Date syncDate,@Param("dbLink")String dbLink,@Param("loanId")String loanId,@Param("wkxwDbName")String wkxwDbName,@Param("wkxwSynonymAft")String wkxwSynonymAft,@Param("wkxwSynonymPre")String wkxwSynonymPre);
    /**
     * desc:查询待执行的任务.<br/>
     * @param syncDate syncDate
     * @param brNo brNo
     * @param loanId loanId
     * @return WkMfsLnPactDO
     */
    WkMfsLnPactDO getSelfByLoanId(@Param("syncDate")Date syncDate,@Param("brNo")String brNo,@Param("loanId")String loanId);
}
