package com.abssqr.plat.common.dal.sync.auto.mapper;

import com.abssqr.plat.common.dal.sync.auto.dataobject.WkMfsRepayInfoDO;
import java.util.Date;
import java.util.List;
import java.math.BigDecimal;
import java.util.Map;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table wk_mfs_repay_info.
 * 还款明细
 */
public interface WkMfsRepayInfoDOMapper{

    /**
     * desc:插入表:wk_mfs_repay_info.<br/>
     * @param entity entity
     * @return int
     */
    int insert(WkMfsRepayInfoDO entity);
    /**
     * desc:updateData.<br/>
     * @return int
     */
    int updateData();
    /**
     * desc:根据会计时间同步还款明细表.<br/>
     * @param syncDate syncDate
     * @param dbLink dbLink
     * @param loanId loanId
     * @param wkxwDbName wkxwDbName
     * @param wkxwSynonymAft wkxwSynonymAft
     * @param wkxwSynonymPre wkxwSynonymPre
     * @return int
     */
    int insertSyncOne(@Param("syncDate")Date syncDate,@Param("dbLink")String dbLink,@Param("loanId")String loanId,@Param("wkxwDbName")String wkxwDbName,@Param("wkxwSynonymAft")String wkxwSynonymAft,@Param("wkxwSynonymPre")String wkxwSynonymPre);
    /**
     * desc:同步全量还款明细表.<br/>
     * @param syncDate syncDate
     * @param orgNo orgNo
     * @param dbLink dbLink
     * @param wkxwDbName wkxwDbName
     * @param wkxwSynonymAft wkxwSynonymAft
     * @param wkxwSynonymPre wkxwSynonymPre
     * @param lists lists
     * @return int
     */
    int insertSyncAll(@Param("syncDate")Date syncDate,@Param("orgNo")String orgNo,@Param("dbLink")String dbLink,@Param("wkxwDbName")String wkxwDbName,@Param("wkxwSynonymAft")String wkxwSynonymAft,@Param("wkxwSynonymPre")String wkxwSynonymPre,@Param("lists")List<String> lists);
    /**
     * desc:查询待执行的任务.<br/>
     * @param syncDate syncDate
     * @param orgNo orgNo
     * @param dbLink dbLink
     * @param loanId loanId
     * @param wkxwDbName wkxwDbName
     * @param wkxwSynonymAft wkxwSynonymAft
     * @param wkxwSynonymPre wkxwSynonymPre
     * @return List<WkMfsRepayInfoDO>
     */
    List<WkMfsRepayInfoDO> getByLoanId(@Param("syncDate")Date syncDate,@Param("orgNo")String orgNo,@Param("dbLink")String dbLink,@Param("loanId")String loanId,@Param("wkxwDbName")String wkxwDbName,@Param("wkxwSynonymAft")String wkxwSynonymAft,@Param("wkxwSynonymPre")String wkxwSynonymPre);
    /**
     * desc:查询待执行的任务.<br/>
     * @param syncDate syncDate
     * @param orgNo orgNo
     * @param loanId loanId
     * @return List<WkMfsRepayInfoDO>
     */
    List<WkMfsRepayInfoDO> getSelfByLoanId(@Param("syncDate")Date syncDate,@Param("orgNo")String orgNo,@Param("loanId")String loanId);
    /**
     * desc:根据机构编号统计项目还款额合计.<br/>
     * @param orgNo orgNo
     * @param dbLink dbLink
     * @param curDate curDate
     * @param wkxwDbName wkxwDbName
     * @param wkxwSynonymAft wkxwSynonymAft
     * @param wkxwSynonymPre wkxwSynonymPre
     * @return List<WkMfsRepayInfoDO>
     */
    List<WkMfsRepayInfoDO> queryStatRepayInfoForOrg(@Param("orgNo")String orgNo,@Param("dbLink")String dbLink,@Param("curDate")String curDate,@Param("wkxwDbName")String wkxwDbName,@Param("wkxwSynonymAft")String wkxwSynonymAft,@Param("wkxwSynonymPre")String wkxwSynonymPre);
}
