/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * 统计类型
 * @author hanfei
 * @version $Id: AnalyseTypeEnum.java, v 0.1 2019-09-18 11:17 PM hanfei Exp $ 
 */
public enum AnalyseTypeEnum implements IEnum {
    
    CNT_RATE("CRATE", "数量占比", "%"),
    
    CNT("CNT", "数量", "笔"),
    
    AMT_RATE("ARATE", "金额占比", "%"),
    
    AMT("AMT", "金额", "元"),
    //
    ;
    
    private static final Map<String, AnalyseTypeEnum> codeMap = new HashMap<>();
    
    static {
        for (AnalyseTypeEnum item : AnalyseTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }
    
    private String code;
    private String desc;
    
    private String unit;
    
    AnalyseTypeEnum(String code, String desc, String unit) {
        this.code = code;
        this.desc = desc;
        this.unit = unit;
    }
    
    public static AnalyseTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }
    
    @Override
    public String getCode() {
        return code;
    }
    
    @Override
    public String getDesc() {
        return desc;
    }
    
    public String getUnit() {
        return unit;
    }
}
