/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * 计费时间
 *
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.model.enums: FundTypeEnum.java, v 0.1 2018-01-03 21:57 hongwei.wang Exp $
 */
public enum CalcTypeEnum implements IEnum {
    FIX_AMT("FCT001", "固定金额"),
    FIX_RATE("FCT002", "固定费率"),
    ANNU_RATE("FCT003", "年化费率"),
    NOTICKET("FCT004", "无票面利率"),

    //金融服务费
    FIN_SER_FEE("FCT005","金融服务费"),

    //
    ;

    private static final Map<String, CalcTypeEnum> codeMap = new HashMap<String, CalcTypeEnum>();

    static {
        for (CalcTypeEnum item : CalcTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }

    private String code;
    private String desc;

    CalcTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static CalcTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getDesc() {
        return desc;
    }

}