/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * 计费时间
 *
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.model.enums: FundTypeEnum.java, v 0.1 2018-01-03 21:57 hongwei.wang Exp $
 */
public enum FeeScaleTypeEnum implements IEnum {
    START("START", "信托初始规模", TitleTypeEnum.INVESTED),
    REMAIN("REMAIN", "信托剩余规模", TitleTypeEnum.INVESTED),
    PRISTART("PRISTART", "优先级信托初始规模", TitleTypeEnum.PRIOR_INVESTED),
    PRIREMAIN("PRIREMAIN", "优先级信托剩余规模", TitleTypeEnum.PRIOR_INVESTED),
    //
    ;
    
    private static final Map<String, FeeScaleTypeEnum> codeMap = new HashMap<String, FeeScaleTypeEnum>();
    
    static {
        for (FeeScaleTypeEnum item : FeeScaleTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }
    
    private String        code;
    private String        desc;
    private TitleTypeEnum titleType;
    
    FeeScaleTypeEnum(String code, String desc, TitleTypeEnum titleType) {
        this.code = code;
        this.desc = desc;
        this.titleType = titleType;
    }
    
    public static FeeScaleTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }
    
    @Override
    public String getCode() {
        return code;
    }
    
    @Override
    public String getDesc() {
        return desc;
    }
    
    public TitleTypeEnum getTitleType() {
        return titleType;
    }
}