/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 *
 * @author zhangliwei
 * @version com.abssqr.common.model.enums: ReportTypeEnum.java, v 0.1 2018-01-08 下午2:52 zhangliwei Exp $ 
 */
public enum ReportTypeEnum implements IEnum {
    
    RPT001("RPT001", "资产报表(日报)"),
    RPT002("RPT002", "计划报表(月报)"),
    
    ;

    private static final Map<String, ReportTypeEnum> codeMap = new HashMap<String, ReportTypeEnum>();

    static {
        for (ReportTypeEnum item : ReportTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }

    private String code;
    private String desc;

    private ReportTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static ReportTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }

    @Override
    public String getCode() {
        return this.code;
    }

    @Override
    public String getDesc() {
        return this.desc;
    }
}
