package com.abssqr.plat.common.facade.model.org;

import com.abssqr.plat.common.facade.enums.YNEnum;
import com.abssqr.plat.common.facade.model.plan.PlanBase;
import com.google.common.collect.Lists;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author bangis.wangdf
 * @description 机构参与实体
 */

public class OrganizationEntity extends PlanBase implements Serializable {

    private static final long         serialVersionUID = 757622260997877443L;
    /**
     * 产品编码列表
     */
    private              List<String> prodCodeList     = Lists.newArrayList();
    /**
     * 是否需清算
     */
    private              YNEnum       needAlloc        = YNEnum.N;
    /**
     * 放款终止日
     */
    private              Date         stopPayDate;
    /**
     * managerOrgCode 服务机构.
     */
    private              String       managerOrgCode;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public List<String> getProdCodeList() {
        return prodCodeList;
    }

    public void setProdCodeList(List<String> prodCodeList) {
        this.prodCodeList = prodCodeList;
    }

    public YNEnum getNeedAlloc() {
        return needAlloc;
    }

    public void setNeedAlloc(YNEnum needAlloc) {
        this.needAlloc = needAlloc;
    }

    public Date getStopPayDate() {
        return stopPayDate;
    }

    public void setStopPayDate(Date stopPayDate) {
        this.stopPayDate = stopPayDate;
    }

    public String getManagerOrgCode() {
        return managerOrgCode;
    }

    public void setManagerOrgCode(String managerOrgCode) {
        this.managerOrgCode = managerOrgCode;
    }

}
