/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.model.report.wk;

import com.abssqr.plat.common.facade.model.report.ReportField;

import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.biz.shared.report.wk: WkAstReportFields.java, v 0.1 2019-06-28 15:27 zhenxuan.luo Exp $ 
 */
public interface WkAstReportFields {
    
    /**
     * 资金分析
     */
    ReportField WK000 = new ReportField("WK000", "预冻结资金");
    ReportField WK001 = new ReportField("WK001", "闲置资金余额");
    ReportField WK002 = new ReportField("WK002", "实际闲置率");
    ReportField WK003 = new ReportField("WK003", "当日交易贷款资金发生额");
    ReportField WK004 = new ReportField("WK004", "当日还款资金发生额");
    ReportField WK005 = new ReportField("WK005", "兑付流出资金发生额");
    ReportField WK135 = new ReportField("WK135", "累计兑付流出资金发生额");
    ReportField WK006 = new ReportField("WK006", "其他流出资金发生额");
    ReportField WK007 = new ReportField("WK007", "其他流入资金发生额");
    ReportField WK008 = new ReportField("WK008", "总流出资金发生额");
    ReportField WK009 = new ReportField("WK009", "总流入资金发生额");
    ReportField WK100 = new ReportField("WK100", "应计利息");
    ReportField WK101 = new ReportField("WK101", "放款冲正金额");
    ReportField WK110 = new ReportField("WK110", "回转付金额");
    /** = WK115 */
    ReportField WK111 = new ReportField("WK111", "新增贷款发生额");
    ReportField WK112 = new ReportField("WK112", "转让贷款资金发生额");
    ReportField WK130 = new ReportField("WK130", "已实现收益额");
    ReportField WK131 = new ReportField("WK131", "已实现收益率(年化)");
    // 已弃用
    ReportField WK132 = new ReportField("WK132", "转让当日应计挂帐利息");
    
    /**
     * 资产分析
     */
    ReportField WK010 = new ReportField("WK010", "正常贷款本金余额");
    ReportField WK011 = new ReportField("WK011", "正常贷款利息余额");
    ReportField WK012 = new ReportField("WK012", "逾期贷款本金余额");
    ReportField WK013 = new ReportField("WK013", "逾期贷款利息余额");
    ReportField WK014 = new ReportField("WK014", "逾期贷款罚息余额");
    ReportField WK015 = new ReportField("WK015", "核销贷款本金余额");
    ReportField WK016 = new ReportField("WK016", "核销贷款利息余额（含罚息）");
    ReportField WK017 = new ReportField("WK017", "总贷款本金余额");
    ReportField WK018 = new ReportField("WK018", "总贷款利息余额");
    ReportField WK019 = new ReportField("WK019", "总贷款罚息余额");
    ReportField WK020 = new ReportField("WK020", "整体逾期率（含宽限期）");
    ReportField WK021 = new ReportField("WK021", "逾期1天-3天(含)本金余额");
    ReportField WK022 = new ReportField("WK022", "逾期1天-30天(含)本金余额");
    ReportField WK023 = new ReportField("WK023", "逾期31天-60天(含)本金余额");
    ReportField WK024 = new ReportField("WK024", "逾期61天-90天(含)本金余额");
    ReportField WK025 = new ReportField("WK025", "逾期91天及以上本金余额");
    ReportField WK118 = new ReportField("WK118", "逾期180天及以上本金余额");
    
    ReportField WK026 = new ReportField("WK026", "M3+以上逾期率");
    ReportField WK120 = new ReportField("WK120", "整体逾期率（不含宽限期）");
    ReportField WK121 = new ReportField("WK121", "M0逾期率");
    ReportField WK122 = new ReportField("WK122", "M1逾期率");
    ReportField WK123 = new ReportField("WK123", "M1+逾期率");
    ReportField WK124 = new ReportField("WK124", "M2逾期率");
    ReportField WK125 = new ReportField("WK125", "M3逾期率");
    ReportField WK126 = new ReportField("WK126", "M6+逾期率");
    ReportField WK127 = new ReportField("WK127", "不良率");
    
    ReportField WK128 = new ReportField("WK128", "累计资产应计年化收益");
    ReportField WK129 = new ReportField("WK129", "加权资产利率");
    
    /**
     * 交易贷款分析
     */
    ReportField WK027 = new ReportField("WK027", "累计交易贷款发生额");
    ReportField WK028 = new ReportField("WK028", "当日交易贷款发生额");
    ReportField WK102 = new ReportField("WK102", "累计交易贷款本金");
    ReportField WK103 = new ReportField("WK103", "当日交易贷款本金");
    
    ReportField WK115 = new ReportField("WK115", "当日新增贷款发生额");
    ReportField WK116 = new ReportField("WK116", "累计新增贷款发生额");
    /**
     * 回购金额
     */
    ReportField WK142 = new ReportField("WK142", "累计回购贷款本金");
    ReportField WK143 = new ReportField("WK143", "当日回购贷款本金");
    ReportField WK144 = new ReportField("WK144", "累计回购贷款发生额");
    ReportField WK145 = new ReportField("WK145", "当日回购贷款发生额");
    ReportField WK146 = new ReportField("WK146", "回购流出资金发生额");
    ReportField WK147 = new ReportField("WK147", "回购流入资金发生额");
    /**
     * 还款分析
     */
    ReportField WK029 = new ReportField("WK029", "累计已还本金发生额");
    ReportField WK030 = new ReportField("WK030", "累计已还利息发生额");
    ReportField WK031 = new ReportField("WK031", "累计已还罚息发生额");
    ReportField WK032 = new ReportField("WK032", "累计提前还款本金发生额");
    ReportField WK033 = new ReportField("WK033", "累计提前还款利息发生额");
    ReportField WK034 = new ReportField("WK034", "累计逾期本金还款发生额");
    ReportField WK035 = new ReportField("WK035", "累计逾期利息还款发生额");
    ReportField WK036 = new ReportField("WK036", "累计逾期罚息还款发生额");
    ReportField WK037 = new ReportField("WK037", "累计核销本金还款发生额");
    ReportField WK038 = new ReportField("WK038", "累计核销利息还款发生额（含罚息）");
    
    ReportField WK039 = new ReportField("WK039", "当日已还本金发生额");
    ReportField WK040 = new ReportField("WK040", "当日已还利息发生额");
    ReportField WK041 = new ReportField("WK041", "当日已还罚息发生额");
    ReportField WK042 = new ReportField("WK042", "当日提前还款本金发生额");
    ReportField WK043 = new ReportField("WK043", "当日提前还款利息发生额");
    //    ReportField WK113 = new ReportField("WK113", "早偿率");
    ReportField WK044 = new ReportField("WK044", "当日逾期本金还款发生额");
    ReportField WK045 = new ReportField("WK045", "当日逾期利息还款发生额");
    ReportField WK046 = new ReportField("WK046", "当日逾期罚息还款发生额");
    ReportField WK047 = new ReportField("WK047", "当日核销本金还款发生额");
    ReportField WK048 = new ReportField("WK048", "当日核销利息还款发生额（含罚息）");
    ReportField WK104 = new ReportField("WK104", "当日计划应还本金");
    ReportField WK105 = new ReportField("WK105", "当日计划应还利息");
    ReportField WK106 = new ReportField("WK106", "当日应还已还本金发生额");
    ReportField WK107 = new ReportField("WK107", "当日应还已还利息发生额");
    
    
    /**
     * 逾期分析
     */
    ReportField WK049 = new ReportField("WK049", "当日逾期本金发生额");
    ReportField WK050 = new ReportField("WK050", "当日逾期利息发生额");
    
    /**
     * 核销分析
     */
    ReportField WK051 = new ReportField("WK051", "当日核销本金发生额");
    ReportField WK052 = new ReportField("WK052", "当日核销利息发生额（含罚息）");
    
    /**
     * 金融服务费、 还款服务费
     */
    ReportField WK108 = new ReportField("WK108", "当日金融服务费");
    ReportField WK109 = new ReportField("WK109", "累计金融服务费");
    ReportField WK136 = new ReportField("WK136", "当日结息还款服务费");
    ReportField WK137 = new ReportField("WK137", "累计结息还款服务费");
    ReportField WK138 = new ReportField("WK138", "当日实还还款服务费");
    ReportField WK139 = new ReportField("WK139", "累计实还还款服务费");
    /**
     * 提前还款违约金
     */
    ReportField WK140 = new ReportField("WK140", "当日提前还款违约金");
    ReportField WK141 = new ReportField("WK141", "累计提前还款违约金");

    /**
     * 五级分类
     */
    ReportField WK911 = new ReportField("WK911", "五级分类-正常-本金");
    ReportField WK912 = new ReportField("WK912", "五级分类-正常-利息");
    ReportField WK913 = new ReportField("WK913", "五级分类-正常-罚息");
    ReportField WK921 = new ReportField("WK921", "五级分类-关注-本金");
    ReportField WK922 = new ReportField("WK922", "五级分类-关注-利息");
    ReportField WK923 = new ReportField("WK923", "五级分类-关注-罚息");
    ReportField WK931 = new ReportField("WK931", "五级分类-次级-本金");
    ReportField WK932 = new ReportField("WK932", "五级分类-次级-利息");
    ReportField WK933 = new ReportField("WK933", "五级分类-次级-罚息");
    ReportField WK941 = new ReportField("WK941", "五级分类-可疑-本金");
    ReportField WK942 = new ReportField("WK942", "五级分类-可疑-利息");
    ReportField WK943 = new ReportField("WK943", "五级分类-可疑-罚息");
    ReportField WK951 = new ReportField("WK951", "五级分类-损失-本金");
    ReportField WK952 = new ReportField("WK952", "五级分类-损失-利息");
    ReportField WK953 = new ReportField("WK953", "五级分类-损失-罚息");
    
    ReportField WKExt001 = new ReportField("WKExt001", "逾期91天以上未核销本金");
    ReportField WKExt002 = new ReportField("WKExt002", "核销贷款利息余额");
    ReportField WKExt003 = new ReportField("WKExt003", "核销贷款罚息余额");
    ReportField WKExt004 = new ReportField("WKExt004", "当日到期还款本金发生额");
    ReportField WKExt005 = new ReportField("WKExt005", "当日到期还款利息发生额");
    ReportField WKExt006 = new ReportField("WKExt006", "当日核销利息还款发生额");
    ReportField WKExt007 = new ReportField("WKExt007", "当日核销罚息还款发生额");
    
    /**
     * 计划分析
     */
    ReportField WKPlan001 = new ReportField("WKPlan001", "计划当日兑付本金金额");
    ReportField WKPlan002 = new ReportField("WKPlan002", "计划累计兑付本金金额");
    
    /**
     * 资产结构
     * 放款池统计所有包含承接池
     * 承接池统计自身
     */
    ReportField WKAstT001 = new ReportField("WKAstT001", "1月期内");
    ReportField WKAstT002 = new ReportField("WKAstT002", "2-3月期");
    ReportField WKAstT003 = new ReportField("WKAstT003", "4-6月期");
    ReportField WKAstT004 = new ReportField("WKAstT004", "7-12月期");
    ReportField WKAstT005 = new ReportField("WKAstT005", "12月期以上");
    ReportField WKProdT001 = new ReportField("WKProdT001", "1月期内");
    ReportField WKProdT002 = new ReportField("WKProdT002", "2-3月期");
    ReportField WKProdT003 = new ReportField("WKProdT003", "4-6月期");
    ReportField WKProdT004 = new ReportField("WKProdT004", "7-12月期");
    ReportField WKProdT005 = new ReportField("WKProdT005", "12月期以上");
    
    
    
    /**
     * 获取所有统计项
     * @return
     */
    static List<ReportField> getFields(){
        Field[] fields = WkAstReportFields.class.getFields();
        List<ReportField> reportFields = new ArrayList<>(fields.length);
        try {
            for (Field f : fields) {
                Object obj = f.get(WkAstReportFields.class);
                if (obj instanceof ReportField){
                    reportFields.add((ReportField) obj);
                }
            }
        } catch (IllegalAccessException e) {
            e.printStackTrace();
        }
        return reportFields;
    }
}