/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.param.org;

import com.abssqr.plat.common.facade.base.BasePageQryParam;
import com.abssqr.plat.common.facade.enums.PlanTypeEnum;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.enums.HandleTypeEnum;
import com.abssqr.plat.common.facade.validation.VldEnums;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.param.org: OrgPageQryParam.java, v 0.1 2019-05-28 11:06 zhenxuan.luo Exp $
 */
public class OrgEntityPageQryParam extends BasePageQryParam {
    private static final long   serialVersionUID = -3063813611408842358L;
    /**
     * 项目名称
     */
    private              String entityName;
    
    /**
     * 项目编号
     */
    private              String entityCode;
    
    /**
     * 项目状态
     */
    private              String status;
    
    /**
     * 实体类型（SPV）
     */
    @VldEnums(enumClass = PlanTypeEnum.class)
    private              String entityType       = PlanTypeEnum.SPV.getCode();
    
    /**
     *操作 枚举：类型为 edit 和 select
     */
    @VldEnums(enumClass = HandleTypeEnum.class)
    private              String handleType;

    public String getEntityName() {
        return entityName;
    }

    public void setEntityName(String entityName) {
        this.entityName = entityName;
    }

    public String getEntityType() {
        return entityType;
    }

    public void setEntityType(String entityType) {
        this.entityType = entityType;
    }

    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_LIST_QRY;
    }
    
    public String getHandleType() {
        return handleType;
    }
    
    public void setHandleType(String handleType) {
        this.handleType = handleType;
    }
    
    public String getEntityCode() {
        return entityCode;
    }
    
    public void setEntityCode(String entityCode) {
        this.entityCode = entityCode;
    }
    
    public String getStatus() {
        return status;
    }
    
    public void setStatus(String status) {
        this.status = status;
    }
}