/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.param.plan.monitor;

import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.enums.PlanIndicatorEnum;
import com.abssqr.plat.common.facade.param.base.CommonPlanQryParam;
import com.abssqr.plat.common.facade.validation.VldEnums;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.facade.param.plan.monitor: PlanMonitorQryParam.java, v 0.1 2019-05-28 15:24 zhenxuan.luo Exp $
 */
public class PlanMonitorQryParam extends CommonPlanQryParam {
    
    private static final long serialVersionUID = 3828635159332087444L;
    
    @VldEnums(enumClass = PlanIndicatorEnum.class, message = "查询指标不能为空")
    private String indicator;
    
    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_DTL_QRY;
    }
    
    public String getIndicator() {
        return indicator;
    }
    
    public void setIndicator(String indicator) {
        this.indicator = indicator;
    }
}