/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.param.prod.item;

import com.abssqr.plat.common.facade.enums.AstRiskClassEnum;
import com.abssqr.plat.common.facade.validation.VldEnums;
import com.abssqr.plat.common.facade.validation.VldNotNull;

import java.math.BigDecimal;

/**
 *
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.param.prod.item: ProductRiskClParam.java, v 0.1 2019-06-03 18:13 bangis.wangdf Exp $
 */
public class ProductRiskClParam {
    /**
     * abs内部产品码
     */
    private String abssqrProdCode;

    /**
     * 五级分类
     */
    @VldEnums(message = "五级分类不能为空",enumClass = AstRiskClassEnum.class)
    private String riskCl;


    /**
     * 拨备比例
     */
    private BigDecimal prov = BigDecimal.ZERO;

    /**
     * 逾期天数
     */
    @VldNotNull(message = "逾期天数不能为空")
    private Integer ovdDays;

    public String getAbssqrProdCode() {
        return abssqrProdCode;
    }

    public void setAbssqrProdCode(String abssqrProdCode) {
        this.abssqrProdCode = abssqrProdCode;
    }

    public String getRiskCl() {
        return riskCl;
    }

    public void setRiskCl(String riskCl) {
        this.riskCl = riskCl;
    }

    public BigDecimal getProv() {
        return prov;
    }

    public void setProv(BigDecimal prov) {
        this.prov = prov;
    }

    public Integer getOvdDays() {
        return ovdDays;
    }

    public void setOvdDays(Integer ovdDays) {
        this.ovdDays = ovdDays;
    }
}
