/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.common.facade.service;

import com.abssqr.plat.common.facade.enums.DataChangeBizTypeEnum;
import com.abssqr.plat.common.facade.param.workOrder.WorkOrderPageParam;
import com.abssqr.plat.common.facade.param.workOrder.WorkOrderQprParam;
import com.abssqr.plat.common.facade.param.workOrder.WorkOrderQryParam;
import com.abssqr.plat.common.facade.result.BasePage;
import com.abssqr.plat.common.facade.result.workOrder.WorkOrderBtn;
import com.abssqr.plat.common.facade.result.workOrder.WorkOrderVo;
import com.general.system.bpm.domain.result.ProcessSelStartResult;

import java.util.List;

/**
 *
 * @author yangcheng
 * @version WorkOrderService.java, v0.12019-06-1009:59 yangchengExp$
 */
public interface WorkOrderService {
    
    
    /**
     * 查询我的待办
     * @param param
     * @return
     */
    BasePage<WorkOrderVo> myWorkOrder(WorkOrderPageParam param);
    
    /**
     * 查询我的申请
     * @param param
     * @return
     */
    BasePage<WorkOrderVo> applyWorkOrder(WorkOrderPageParam param);
    
    /**
     * 查询历史
     * @param param
     * @return
     */
    BasePage<WorkOrderVo> hisWorkOrder(WorkOrderPageParam param);
    
    /**
     * 获取页面按钮
     * @param param
     * @return
     */
    List<WorkOrderBtn> getBtns(WorkOrderQryParam param);
    
    /**
     * 查询办理轨迹
     * @param param
     * @return
     */
    List<WorkOrderVo> getWorkOrderTasks(WorkOrderQryParam param);
    
    /**
     * 统一操作入口
     * @param param
     * @return
     */
    void operate(WorkOrderQprParam param);
    
    /**
     * 查看已申请信息 包含 实例信息、历史记录及追踪图
     * @param param
     * @return
     */
    ProcessSelStartResult detail(WorkOrderQryParam param);
    /**
     * 获取工单业务的业务类型
     * @param param
     * @return
     */
    DataChangeBizTypeEnum getBizType(WorkOrderQryParam param);

    /**
     * 根据文件配置的流程数据进行初始化
     * 首先将数据导出insert语句放到tmpl/flow/flow_blob 文件上
     * 通过地址触发 读取代码下 tmpl/flow/flow_blob 的文件数据进行初始化
     */
    int init();


}
