/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.service.analyse;

import com.abssqr.plat.common.facade.model.analyse.PlanFundFile;
import com.abssqr.plat.common.facade.param.analyse.AnalyseBaseParam;
import com.abssqr.plat.common.facade.param.analyse.CalcFundParam;
import com.abssqr.plat.common.facade.param.analyse.FundPlanFileQprParam;
import com.abssqr.plat.common.facade.param.analyse.FundPlanFileQryParam;
import com.abssqr.plat.common.facade.param.plan.PlanPageQryParam;
import com.abssqr.plat.common.facade.result.BasePage;
import com.abssqr.plat.common.facade.result.analyse.CalcFundDefaultParam;
import com.abssqr.plat.common.facade.result.analyse.CalcFundResultVO;
import com.abssqr.plat.common.facade.result.analyse.PlanAnalyseVO;
import org.springframework.web.multipart.MultipartFile;

/**
 * 资金计划 管理
 * @author hanfei
 * @version $Id: AnalyseFundSpvService.java, v 0.1 2019-09-19 4:24 PM hanfei Exp $
 */
public interface AnalyseFundSpvService {
    
    /**
     * 获取资金计划文件
     * @param param
     * @return
     */
    PlanFundFile getFundPlanFile(FundPlanFileQryParam param);
    
    /**
     * 获取资金计划文件页面数据
     * @return
     */
    BasePage<PlanFundFile> queryFundFile(AnalyseBaseParam param);
    /**
     * 上传资金计划文件
     * @param param
     * @return
     */
    String uploadPlanFile(FundPlanFileQprParam param);
    
    /**
     * 获取短期资金需求计算器 默认显示数据
     * @param param
     * @return
     */
    CalcFundDefaultParam fundCalcView(AnalyseBaseParam param);
    
    /**
     * 短期资金需求计算器
     * @param param
     * @return
     */
    CalcFundResultVO fundCalc(CalcFundParam param);
    
    /**
     * 查询项目计划分析列表
     * @return
     */
    BasePage queryAnalyseSpvPlan(PlanPageQryParam param);
    
    /**
     * 查询计划概要信息
     * @param param
     * @return
     */
    PlanAnalyseVO getAnalyseSpvPlan(AnalyseBaseParam param);
}
