/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.service.analyse;

import com.abssqr.plat.common.facade.param.analyse.AnalyseBaseParam;
import com.abssqr.plat.common.facade.param.analyse.AnalyseTrendChartParam;
import com.abssqr.plat.common.facade.result.analyse.AnalyseChartResultVO;
import com.abssqr.plat.common.facade.result.analyse.AnalyseDayAmtInfoVO;
import com.abssqr.plat.common.facade.result.analyse.AnalyseDayAstInfoVO;
import com.abssqr.plat.common.facade.result.analyse.FormationAstItemVO;

import java.util.List;
import java.util.Map;

/**
 *
 * @author hanfei
 * @version $Id: AnalyseInfoChartService.java, v 0.1 2019-09-24 5:12 PM hanfei Exp $ 
 */
public interface AnalyseInfoChartService {
    
    /**
     * 资产情况概览
     * @param param
     * @return
     */
    AnalyseDayAstInfoVO getDayAstInfo(AnalyseBaseParam param);
    
    /**
     * 资金情况概览
     * @param param
     * @return
     */
    AnalyseDayAmtInfoVO getDayAmtInfo(AnalyseBaseParam param);
    
    /**
     * 资产结构
     * @param param
     * @return
     */
    Map<String, List<FormationAstItemVO>> getFormationAst(AnalyseBaseParam param);
    
    /**
     * 趋势数据统计
     * @param trendChartParam
     * @return
     */
    AnalyseChartResultVO trendChartService(AnalyseTrendChartParam trendChartParam);
}
