/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.validation;

import com.general.system.common.model.Money;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 判断{@link Money}的cent是否>0
 * 本注解可校验的类型是:{@link Money}<br/>
 * 
 * @author zhenxuan.luo
 * @version $Id: VldMoney.java, v 0.1 2015年5月18日 下午4:01:55 zhenxuan.luo Exp $
 */
@Documented
@Target({ ElementType.METHOD, ElementType.FIELD })
@Retention(RetentionPolicy.RUNTIME)
@Bind(/*validatedBy = MoneyValidator.class, */verifiableClass = { Money.class })
public @interface VldMoney {

    /**
     * 
     * @return 校验错误后信息
     */
    String message() default "{invalid check result for money}";

    /**
     * {@link Money#getCent()}是否可以等于0,默认是可以为0
     * @return true:{@link Money#getCent()}>=0;false:{@link Money#getCent()}>0
     */
    boolean zeroable() default true;

    /**
     * 是否允许为空(默认不允许为空,为空是要报错的)
     * @return true:允许为空;反之返回false
     */
    boolean nullable() default false;
}
