/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.convertor;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanAllocFrozenDO;
import com.abssqr.plat.common.model.domain.plan.PlanAllocFrozen;
import com.general.system.common.model.Money;
import com.general.system.tool.util.ToolUtil;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author hanfei
 * @version $Id: PlanAllocFrozenConvert.java, v 0.1 2019-07-06 6:47 PM hanfei Exp $ 
 */
public class PlanAllocFrozenConvert {
    
    public static PlanAllocFrozenDO convert2DO(PlanAllocFrozen param) {
        if (param == null) {
            return null;
        }
        PlanAllocFrozenDO frozenDO = new PlanAllocFrozenDO();
        frozenDO.setFrozenCash(param.getFrozenCash().getCent());
        frozenDO.setLastFrozenCash(param.getLastFrozenCash().getCent());
        frozenDO.setPlanNo(param.getPlanNo());
        frozenDO.setAllocNo(param.getAllocNo());
        frozenDO.setLastUpdateDate(param.getLastUpdateDate());
        return frozenDO;
    }
    
    public static PlanAllocFrozen convert2Domain(PlanAllocFrozenDO param) {
        if (param == null) {
            return null;
        }
        PlanAllocFrozen frozen = new PlanAllocFrozen();
        frozen.setFrozenCash(Money.createWithCent(param.getFrozenCash()));
        frozen.setLastFrozenCash(Money.createWithCent(param.getLastFrozenCash()));
        frozen.setPlanNo(param.getPlanNo());
        frozen.setAllocNo(param.getAllocNo());
        frozen.setLastUpdateDate(param.getLastUpdateDate());
        return frozen;
    }
    
    public static List<PlanAllocFrozenDO> convert2DOs(List<PlanAllocFrozen> list) {
        if (ToolUtil.isEmpty(list)){
            return null;
        }
        List<PlanAllocFrozenDO> dos = new ArrayList<>();
        list.forEach(one ->  dos.add(convert2DO(one)) );
        return dos;
    }
    
    public static List<PlanAllocFrozen> convert2Domains(List<PlanAllocFrozenDO> list) {
        if (ToolUtil.isEmpty(list)){
            return null;
        }
        List<PlanAllocFrozen> dos = new ArrayList<>();
        list.forEach(one ->  dos.add(convert2Domain(one)) );
        return dos;
    }
}
