/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

package com.abssqr.plat.common.model.domain.ast;

import com.abssqr.plat.common.facade.enums.AstPackStatusEnum;
import com.abssqr.plat.common.facade.enums.AstPackTradeTypeEnum;
import com.abssqr.plat.common.facade.enums.CalcIntrTypeEnum;
import com.abssqr.plat.common.facade.model.plan.PlanTransferRule;
import com.general.system.common.model.BaseEntity;
import com.general.system.common.model.Money;

import java.util.Date;

/**
 * @author guozhenhua
 * @version com.abssqr.plat.common.model.domain.pack: Pack.java, v 0.1 2018-02-26 下午4:21 guozhenhua Exp $
 */
public class Pack extends BaseEntity {
    
    private String            planNo;
    /**
     * packCode 资产包编码.
     */
    private String            packCode;
    /**
     * packName 资产包名称.
     */
    private String            packName;
    /**
     * avalAmt 预期规模.
     */
    private Money             avalAmt = new Money();
    /**
     * scenRuleNos 筛选规则列表.
     */
    private PlanTransferRule  transferRule;
    /**
     * dymRule 动态规则列表.
     */
    private String            dymRule;
    /**
     * packStatus 资产包状态.
     */
    private AstPackStatusEnum packStatus;
    /**
     * scenDate 刷选日期.
     */
    private Date              scenDate;
    /**
     * minEndDate 最小到期日.
     */
    private Date              minEndDate;
    /**
     * maxEndDate 最大到期日.
     */
    private Date              maxEndDate;
    /**
     * 计息方式
     * ACT/360
     * ACT/365
     */
    private CalcIntrTypeEnum  calcIntrType;
    /**
     * 服务机构
     */
    private String            managerOrgCode;

    /**
     * 资产包类型
     */
    private AstPackTradeTypeEnum packType = AstPackTradeTypeEnum.AST_TRF_BIZ;
    
    public String getPlanNo() {
        return planNo;
    }
    
    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
    
    public String getPackCode() {
        return packCode;
    }
    
    public void setPackCode(String packCode) {
        this.packCode = packCode;
    }
    
    public String getPackName() {
        return packName;
    }
    
    public void setPackName(String packName) {
        this.packName = packName;
    }
    
    public Money getAvalAmt() {
        return avalAmt;
    }
    
    public void setAvalAmt(Money avalAmt) {
        this.avalAmt = avalAmt;
    }
    
    public PlanTransferRule getTransferRule() {
        return transferRule;
    }
    
    public void setTransferRule(PlanTransferRule transferRule) {
        this.transferRule = transferRule;
    }
    
    public String getDymRule() {
        return dymRule;
    }
    
    public void setDymRule(String dymRule) {
        this.dymRule = dymRule;
    }
    
    public AstPackStatusEnum getPackStatus() {
        return packStatus;
    }
    
    public void setPackStatus(AstPackStatusEnum packStatus) {
        this.packStatus = packStatus;
    }
    
    public Date getScenDate() {
        return scenDate;
    }
    
    public void setScenDate(Date scenDate) {
        this.scenDate = scenDate;
    }
    
    public Date getMinEndDate() {
        return minEndDate;
    }
    
    public void setMinEndDate(Date minEndDate) {
        this.minEndDate = minEndDate;
    }
    
    public Date getMaxEndDate() {
        return maxEndDate;
    }
    
    public void setMaxEndDate(Date maxEndDate) {
        this.maxEndDate = maxEndDate;
    }
    
    public CalcIntrTypeEnum getCalcIntrType() {
        return calcIntrType;
    }
    
    public void setCalcIntrType(CalcIntrTypeEnum calcIntrType) {
        this.calcIntrType = calcIntrType;
    }
    
    public String getManagerOrgCode() {
        return managerOrgCode;
    }
    
    public void setManagerOrgCode(String managerOrgCode) {
        this.managerOrgCode = managerOrgCode;
    }

    public AstPackTradeTypeEnum getPackType() {
        return packType;
    }

    public void setPackType(AstPackTradeTypeEnum packType) {
        this.packType = packType;
    }
}
