/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.domain.clearing;

import com.abssqr.plat.common.facade.enums.TransCodeEnum;
import com.general.system.common.model.BaseEntity;
import com.general.system.common.model.Money;

import java.util.Date;

/**
 * 计划清算指令
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.domain.clearing: PlanClearingLog.java, v 0.1 2019-06-09 11:54 zhenxuan.luo Exp $
 */
public class PlanClearingLog extends BaseEntity {
    
    private Long id;
    
    /**
     * 计划编号
     */
    private String planNo;
    
    /**
     * 对手方机构编号
     */
    private String cntPtyCode;
    
    /**
     * 事件码
     */
    private TransCodeEnum transCode;
    
    /**
     * 会计日期
     */
    private Date accountDate;
    
    /**
     * 交易金额
     */
    private Money transAmt = new Money();
    
    /**
     * 流水号
     */
    private String seqNo;
    
    /**
     * 业务或者批次编号
     */
    private String bizNo;
    
    private String execTms;
    
    public Long getId() {
        return id;
    }
    
    public void setId(Long id) {
        this.id = id;
    }
    
    public String getSeqNo() {
        return seqNo;
    }
    
    public void setSeqNo(String seqNo) {
        this.seqNo = seqNo;
    }
    
    public String getBizNo() {
        return bizNo;
    }
    
    public void setBizNo(String bizNo) {
        this.bizNo = bizNo;
    }
    
    public String getExecTms() {
        return execTms;
    }
    
    public void setExecTms(String execTms) {
        this.execTms = execTms;
    }
    
    public String getPlanNo() {
        return planNo;
    }
    
    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
    
    public String getCntPtyCode() {
        return cntPtyCode;
    }
    
    public void setCntPtyCode(String cntPtyCode) {
        this.cntPtyCode = cntPtyCode;
    }
    
    public Date getAccountDate() {
        return accountDate;
    }
    
    public void setAccountDate(Date accountDate) {
        this.accountDate = accountDate;
    }
    
    public Money getTransAmt() {
        return transAmt;
    }
    
    public void setTransAmt(Money transAmt) {
        this.transAmt = transAmt;
    }
    
    public TransCodeEnum getTransCode() {
        return transCode;
    }
    
    public void setTransCode(TransCodeEnum transCode) {
        this.transCode = transCode;
    }
}