/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2017 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.domain.contract;

import com.abssqr.plat.common.facade.enums.AstContractTypeEnum;
import com.general.system.common.model.BaseEntity;

/**
 * 资产协议
 *
 * @author zhenxuan.luo
 * @version com.abssqr.common.model.domain.contract: AstContract.java, v 0.1 2017-12-05 下午21:06 zhenxuan.luo Exp $
 */
public abstract class BaseContract extends BaseEntity {
    
    /**
     * 合同ID
     */
    private String contNo;

    /**
     * 内部合同id
     */
    private String outContNo;
    
    /**
     * 内部产品码
     */
    private String prodNo;
    
    /**
     * 合同类型
     */
    private AstContractTypeEnum contractType;
    
    /**
     * 合同期限
     */
    final private ContractPeriod contractPeriod = new ContractPeriod();
    
    /**
     * 合同参与主体
     */
    final private ContractInst contractInst = new ContractInst();
    
    public String getContNo() {
        return contNo;
    }
    
    public void setContNo(String contNo) {
        this.contNo = contNo;
    }
    
    public String getOutContNo() {
        return outContNo;
    }
    
    public void setOutContNo(String outContNo) {
        this.outContNo = outContNo;
    }
    
    public String getProdNo() {
        return prodNo;
    }
    
    public void setProdNo(String prodNo) {
        this.prodNo = prodNo;
    }
    
    public AstContractTypeEnum getContractType() {
        return contractType;
    }
    
    public void setContractType(AstContractTypeEnum contractType) {
        this.contractType = contractType;
    }
    
    public ContractPeriod getContractPeriod() {
        return contractPeriod;
    }
    
    public ContractInst getContractInst() {
        return contractInst;
    }
}