/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.domain.plan;

import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.enums.TitleTypeEnum;
import com.general.system.common.model.BaseEntity;
import com.general.system.common.model.Money;

import java.util.Date;

/**
 * 科目流水
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.domain.plan: PlanAcctTitleLog.java, v 0.1 2019-06-30 01:05 zhenxuan.luo Exp $ 
 */
public class PlanAcctTitleLog extends BaseEntity {
    /**
     * 计划编号
     */
    private String           planNo;
    /**
     * 科目编号
     */
    private String           titleNo;
    /**
     * 对应金额类型编号
     */
    private String           refNo;
    /**
     * 科目名称
     */
    private String           titleName;
    /**
     * 科目类型
     */
    private TitleTypeEnum    titleType;
    /**
     * 操作前科目余额
     */
    private Money bfBal = new Money();
    /**
     * 发生额
     */
    private Money acctAmt = new Money();
    /**
     * 操作后科目余额
     */
    private Money afBal = new Money();
    /**
     * 增值税发生额
     */
    private Money vTaxAmt = new Money();
    /**
     *
     */
    private String bizNo;
    /**
     *
     */
    private String seqNo;
    /**
     * 会计日
     */
    private Date accountDate;
    /**
     * 发生事件码
     */
    private EventCodeEnum eventCode;
    
    public String getRefNo() {
        return refNo;
    }
    
    public void setRefNo(String refNo) {
        this.refNo = refNo;
    }
    
    public String getPlanNo() {
        return planNo;
    }
    
    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
    
    public String getTitleNo() {
        return titleNo;
    }
    
    public void setTitleNo(String titleNo) {
        this.titleNo = titleNo;
    }
    
    public TitleTypeEnum getTitleType() {
        return titleType;
    }
    
    public void setTitleType(TitleTypeEnum titleType) {
        this.titleType = titleType;
    }
    
    public Money getBfBal() {
        return bfBal;
    }
    
    public void setBfBal(Money bfBal) {
        this.bfBal = bfBal;
    }
    
    public Money getAcctAmt() {
        return acctAmt;
    }
    
    public void setAcctAmt(Money acctAmt) {
        this.acctAmt = acctAmt;
    }
    
    public Money getAfBal() {
        return afBal;
    }
    
    public void setAfBal(Money afBal) {
        this.afBal = afBal;
    }
    
    public Money getvTaxAmt() {
        return vTaxAmt;
    }
    
    public void setvTaxAmt(Money vTaxAmt) {
        this.vTaxAmt = vTaxAmt;
    }
    
    public String getBizNo() {
        return bizNo;
    }
    
    public void setBizNo(String bizNo) {
        this.bizNo = bizNo;
    }
    
    public String getSeqNo() {
        return seqNo;
    }
    
    public void setSeqNo(String seqNo) {
        this.seqNo = seqNo;
    }
    
    public Date getAccountDate() {
        return accountDate;
    }
    
    public void setAccountDate(Date accountDate) {
        this.accountDate = accountDate;
    }
    
    public EventCodeEnum getEventCode() {
        return eventCode;
    }
    
    public void setEventCode(EventCodeEnum eventCode) {
        this.eventCode = eventCode;
    }
    
    public String getTitleName() {
        return titleName;
    }
    
    public void setTitleName(String titleName) {
        this.titleName = titleName;
    }
    
//    public CalcTypeEnum getCalcType() {
//        return calcType;
//    }
//
//    public void setCalcType(CalcTypeEnum calcType) {
//        this.calcType = calcType;
//    }
}