/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */
package com.abssqr.plat.common.model.enums;

import com.general.system.common.model.IEnum;
import com.google.common.collect.Lists;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 消息级别枚举
 * @author hanfei
 * @version $Id: AcctUseEnum.java, v 0.1 2018-12-27 11:07 AM hanfei Exp $ 
 */
public enum NotifyLevelEnum implements IEnum<String> {

    DEFAULT("0","默认等级"),
    
    URGENT("3","紧急"),
    
    IMPORTANT("2","重要"),
    
    GENERAL("1","一般"),
    
    ;

    private static final Map<String, NotifyLevelEnum> codeMap  = new HashMap<String, NotifyLevelEnum>();
    public static final List<String>                   bizCodes = Lists.newArrayList();
    static {
        for (NotifyLevelEnum item : NotifyLevelEnum.values()) {
            codeMap.put(item.getCode(), item);
            bizCodes.add(item.getCode());
        }
    }

    private String code;
    private String desc;

    NotifyLevelEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static NotifyLevelEnum getByCode(String code) {
        return codeMap.get(code);
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getDesc() {
        return desc;
    }
}
