/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.common.model.exception;

import com.abssqr.plat.common.facade.enums.CommonErrorCodeEnum;

/**
 * 业务异常定义
 *
 * @author zhenxuan.luo
 * @version $Id: AbssqrBizException.java, v 0.1 2017-06-06 上午11:28 zhenxuan.luo Exp $
 */
public class AbssqrBizException extends AbssqrBaseException {
    
    private static final long serialVersionUID = -824836139504384894L;
    
    public AbssqrBizException(String message, Throwable e, boolean isCanRetry) {
        this(message, CommonErrorCodeEnum.UNDEFINE, e, isCanRetry);
    }
    
    public AbssqrBizException(String message, Throwable e) {
        this(message, CommonErrorCodeEnum.UNDEFINE, e, false);
    }
    
    public AbssqrBizException(String message, boolean isCanRetry) {
        this(message, CommonErrorCodeEnum.UNDEFINE, null, isCanRetry);
    }
    
    public AbssqrBizException(String message) {
        this(message, CommonErrorCodeEnum.UNDEFINE, null, false);
    }
    
    public AbssqrBizException(String message, CommonErrorCodeEnum CommonErrorCodeEnum,
                              boolean isCanRetry) {
        this(message, CommonErrorCodeEnum, null, isCanRetry);
    }
    
    public AbssqrBizException(String message, CommonErrorCodeEnum CommonErrorCodeEnum) {
        this(message, CommonErrorCodeEnum, null, false);
    }
    
    public AbssqrBizException(String message, CommonErrorCodeEnum CommonErrorCodeEnum, Throwable e) {
        this(message, CommonErrorCodeEnum, e, false);
    
    }
    
    public AbssqrBizException(String message, CommonErrorCodeEnum CommonErrorCodeEnum, Throwable e,
                              boolean isCanRetry) {
        super(message, e);
        this.errCode = CommonErrorCodeEnum;
        this.isCanRetry = isCanRetry;
    }
    
}