/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */

package com.abssqr.plat.common.model.repo.ast;

import com.abssqr.plat.common.dal.mysql.auto.resultmap.LoanInstalFormationItem;
import com.abssqr.plat.common.facade.enums.LoanStatusEnum;
import com.abssqr.plat.common.model.domain.ast.Loan;
import com.abssqr.plat.common.model.domain.ast.LoanInstal;
import com.abssqr.plat.common.model.domain.ast.LoanInstalDomain;
import com.general.system.common.model.Money;

import java.util.Date;
import java.util.List;

/**
 * 还款计划仓储
 *
 * @author guozhenhua
 * @version com.abssqr.plat.processor.core.service.loanTrans: LoanInstalRepository.java, v 0.1 2017-12-12 下午7:15 guozhenhua Exp $
 */
public interface LoanInstalRepository {
    
    int createOrUpdate(LoanInstal entity);
    
    List<LoanInstalDomain> getByAstNo(Loan loan);
    
    /**
     * 获取 对应资产笔数
     * @param ownOrg
     * @param status
     * @return
     */
    Long getPlanAstCountByStatus(String ownOrg, List<LoanStatusEnum> status);
    
    List<LoanInstalFormationItem> queryAstFormation(String ownOrg);
    
    List<LoanInstalFormationItem> queryProdFormation(String ownOrg);
    
    /**
     * 根据资产原始机构获取 当前资产总规模
     * @param lastOwnOrg
     * @return
     */
    Money getPlanAstScale(String lastOwnOrg);
    
    /**
     * 根据资产原始机构获取 时间区间内应还账单的总金额
     * @param startDate
     * @param endDate
     * @param lastOwnOrg
     * @return
     */
    Money getPlanAstShouldScaleByEndDate(Date startDate, Date endDate, String lastOwnOrg);
}
