/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

package com.abssqr.plat.common.model.repo.contract.impl;

import com.abssqr.plat.common.dal.mysql.auto.dao.LoanContractDAO;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.LoanContractDO;
import com.abssqr.plat.common.model.convertor.LoanContractConvert;
import com.abssqr.plat.common.model.domain.contract.LoanContract;
import com.abssqr.plat.common.model.repo.contract.LoanContractRepository;
import com.google.common.collect.Lists;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.util.CollectionUtils;

import java.util.List;

/**
 * @author guozhenhua
 * @version com.abssqr.plat.common.model.repo.contract: LoanContractRepositoryImpl.java, v 0.1 2018-01-06 上午3:05 guozhenhua Exp $
 */
@Component
public class LoanContractRepositoryImpl implements LoanContractRepository {
    
    @Autowired
    private LoanContractDAO loanContractDAO;
    
    @Override
    public int create(LoanContract loanContract) {
        if (null == loanContract) {
            return 0;
        }
        LoanContractDO loanContractDO = LoanContractConvert.convert2DO(loanContract);
        return loanContractDAO.insert(loanContractDO);
    }
    
    @Override
    public LoanContract getByAstNo(String astNo) {
        return LoanContractConvert.convert2Domain(loanContractDAO.getByAstNo(astNo));
    }
    
    @Override
    public List<LoanContract> getByAstNos(List<String> astNos) {
        
        List<LoanContract> res = Lists.newArrayList();
        if (CollectionUtils.isEmpty(astNos)) {
            return res;
        }
        
        List<LoanContractDO> contractDOS = loanContractDAO.getByAstNos(astNos);
        
        for (LoanContractDO contractDO : contractDOS) {
            res.add(LoanContractConvert.convert2Domain(contractDO));
        }
        return res;
    }
}
