/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.repo.plan;

import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.enums.TitleTypeEnum;
import com.abssqr.plat.common.model.domain.plan.PlanAcctTitleLog;

import java.util.Date;
import java.util.List;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.repo.plan: PlanAcctTitleLogRepo.java, v 0.1 2019-07-01 00:09 zhenxuan.luo Exp $
 */
public interface PlanAcctTitleLogRepo {
    
    /**
     * 创建科目流水
     * @return
     */
    int insertBatch(List<PlanAcctTitleLog> logList);
    
    /**
     *
     * @param planNo
     * @param startDate
     * @param endDate
     * @return
     */
    List<PlanAcctTitleLog> getByDate(String planNo, Date startDate, Date endDate);
    
    /**
     * 获取当日金融服务费
     * @param accountDate
     * @param planNo
     * @return
     */
    PlanAcctTitleLog getSettleFinFee(Date accountDate, String planNo);
    
    /**
     * 查询对应科目类型的流水
     * @param accountDate
     * @param planNo
     * @param titleTypes
     * @return
     */
    PlanAcctTitleLog getAcctTitleByType(Date accountDate, String planNo, EventCodeEnum eventCode, List<TitleTypeEnum> titleTypes);
    
    /**
     * 根据计划事件码科目编号获取科目流水
     * @param planNo
     * @param titleNo
     * @param accountDate
     * @param eventCode
     * @return
     */
    List<PlanAcctTitleLog> getByEventAndTitleNo(String planNo, String titleNo, Date accountDate, EventCodeEnum eventCode);
    
    /**
     * 根据计划与事件码获取科目流水
     * @param accountDate  null时 查询所有时间下的科目流水
     * @param planNo
     * @param eventCode
     * @return
     */
    List<PlanAcctTitleLog> getByPlanAndEvent(Date accountDate, String planNo, EventCodeEnum eventCode, List<TitleTypeEnum> titleTypes);
}