/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.repo.plan;

import com.abssqr.plat.common.facade.enums.TitleTypeEnum;
import com.abssqr.plat.common.facade.model.plan.PlanAcctTitle;

import java.util.List;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.repo.plan: PlanAccountTitleRepo.java, v 0.1 2019-05-31 17:45 zhenxuan.luo Exp $
 */
public interface PlanAcctTitleRepo {
    
    /**
     * 创建
     * @param entity
     * @return
     */
    int insert(PlanAcctTitle entity);
    
    /**
     * 批量创建
     * @param list
     * @return
     */
    int insertBatch(List<PlanAcctTitle> list);
    
    /**
     * 更新金额
     * @param entity
     * @return
     */
    int updateAmt(PlanAcctTitle entity);
    
    /**
     * 根据计划查询列表
     * @param planNo
     * @return
     */
    List<PlanAcctTitle> getByEntityNo(String planNo);
    
    /**
     * 根据科目编号查询
     * @param planNo
     * @param titleNo
     * @return
     */
    PlanAcctTitle getByTitleNo(String planNo, String titleNo);


    /**
     * 根据计划查询列表
     * @param planNo
     * @return
     */
    List<PlanAcctTitle>  getTitleNames(String planNo, List<TitleTypeEnum> titleTypeEnums);

    /**
     * 获取金融服务费对应的科目
     * @param planNos
     * @return
     */
    List<PlanAcctTitle> getAcctFinFeeTitles(List<String> planNos);

    /**
     * 根据计划编号删除分配信息
     * @param planNo planNo
     * @return int
     */
    int cleanByPlanNo(String planNo);
}