/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

package com.abssqr.plat.common.model.repo.plan.impl;

import com.abssqr.plat.common.dal.mysql.auto.dao.PlanInvestStructureDAO;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanInvestStructureDO;
import com.abssqr.plat.common.facade.model.plan.InvestStructure;
import com.abssqr.plat.common.model.convertor.PlanInvestStructureConvert;
import com.abssqr.plat.common.model.repo.plan.PlanInvestStructureRepo;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author yaphet
 * @version com.abssqr.admin.common.model.repo.plan.impl: InvestStructureRepoImpl.java, v 0.1 2018-01-20 下午6:31
 * yaphet Exp $
 */
@Repository
public class PlanInvestStructureRepoImpl implements PlanInvestStructureRepo {

    @Autowired
    private PlanInvestStructureDAO planInvestStructureDAO;

    /**
     * 获取投资结构
     *
     * @param planNo
     * @return
     */
    @Override
    public List<InvestStructure> selectByPlanNo(String planNo) {
        List<PlanInvestStructureDO> planInvestStructureDOS = planInvestStructureDAO.selectByPlanNo(planNo);
        return (PlanInvestStructureConvert.convert2InvestStructureDomainList(planInvestStructureDOS));
    }

    /**
     * 根据计划清理投资结构
     *
     * @param planNo
     */
    @Override
    public void cleanByPlanNo(String planNo) {
        planInvestStructureDAO.deleteByPlanNo(planNo);
    }

    /**
     * 增加投资结构
     *
     * @param planNo
     * @param investStructures
     */
    @Override
    public void add(String planNo, List<InvestStructure> investStructures) {
        List<PlanInvestStructureDO> planInvestStructureDOS = PlanInvestStructureConvert.convert2Dos(
            planNo, investStructures);
        if (CollectionUtils.isNotEmpty(planInvestStructureDOS)) {
            planInvestStructureDAO.insertBatch(planInvestStructureDOS);
        }
    }
}
