/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.model.repo.task;

import java.util.List;

import com.abssqr.plat.common.dal.mysql.auto.resultmap.HostTaskGroupCnt;
import com.abssqr.plat.common.facade.enums.TaskStatusEnum;
import com.abssqr.plat.common.model.domain.task.TaskGroup;

/**
 *
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.model.repo.task: TaskGroupRepo.java, v 0.1 2019-12-10 11:48 bangis.wangdf Exp $ 
 */
public interface TaskGroupRepo {

    void saveTaskGroups(List<TaskGroup> taskGroups);

    List<TaskGroup> getTaskGroup(String jobName, String hostName);

    void updateTaskStatus(Long id, TaskStatusEnum status, TaskStatusEnum oldStatus);

    List<TaskGroup> getUnFinishedTaskGroups(String jobName);


    void markTaskGroupInit(Long id);

    void markTaskGroupDisable(Long id);
    void markTaskGroupEnable(Long id);

    void markTaskGroupFinish(Long id);

    void distributeTaskGroup(Long id,String hostName);

    public List<HostTaskGroupCnt> getHostTaskGroupCnt(String jobName);


}
