/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.model.wk.repo;

import com.abssqr.plat.common.dal.sync.auto.resultmap.DhccBatch;
import com.abssqr.plat.common.util.base.Day;

/**
 *
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.model.wkrepo: WkDhccBatchRepo.java, v 0.1 2019-06-12 21:49 bangis.wangdf Exp $
 */
public interface WkDhccBatchRepo {
    /**
     * 数据是否准备完成
     * @param brType
     * @param orgDay 机构会计账务日期，例如 今天跑11号的数据，则存20190611
     * @return
     */
    boolean checkDataReady(String brType, Day orgDay);
    
    /**
     * 对账是否准备完成
     * @param brType
     * @param orgDay
     * @return
     */
    @Deprecated
    boolean checkFundReady(String brType, Day orgDay);
    
    /**
     * 获取数据状态
     * @param brType
     * @param orgDay 机构会计账务日期，例如 今天跑11号的数据，则存20190611
     * @return
     */
    DhccBatch getDataReadyStatus(String brType, Day orgDay);
}
