/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */
package com.abssqr.plat.core.service.action.impl;

import com.abssqr.plat.common.facade.enums.TransCodeEnum;
import com.abssqr.plat.common.model.domain.ast.Loan;
import com.abssqr.plat.common.model.domain.astSync.BaseTsfRes;
import com.abssqr.plat.common.model.domain.astSync.LoanAstSyncTrans;
import com.abssqr.plat.common.util.loggers.CommonLoggers;
import com.abssqr.plat.core.service.action.BaseSyncAction;
import com.abssqr.plat.core.service.ast.LoanAstRepoManager;
import com.general.system.common.util.LogUtil;
import org.slf4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 还款处理action
 * @author zhenxuan.luo
 * @version com.abssqr.plat.core.service.action.impl: RepaySyncAction.java, v 0.1 2018-01-06 下午21:14 zhenxuan.luo Exp $
 */
@Component
public class RepoSyncAction extends BaseSyncAction {
    
    private final static Logger LOGGER = CommonLoggers.COMMON_AST;
    
    @Autowired
    private LoanAstRepoManager loanAstRepoManager;
    
    @Override
    protected Loan doExecute(BaseTsfRes baseTsfRes, LoanAstSyncTrans loanAstSyncTrans, Loan loan) {
        LogUtil.info(LOGGER, "资产回收开始,outAstId:{0}", baseTsfRes.getLoanAstSyncBill().getLoanNo());
        
        loan = loanAstRepoManager.process(baseTsfRes, loanAstSyncTrans, loan);
    
        LogUtil.info(LOGGER, "资产回收结束,outAstId:{0},AstIds:{1}", loan.getOutAstNo(), loan.getAstNo());
        return loan;
    }
    
    @Override
    public TransCodeEnum getEventSceneCode() {
        return TransCodeEnum.REPO;
    }
}