/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.core.service.change;

import java.util.List;

import com.abssqr.plat.common.facade.enums.DataChangeBizTypeEnum;
import com.abssqr.plat.common.facade.model.BizDataChange;
import com.general.system.bpm.enums.ApproveStatusEnum;
import com.google.common.collect.Lists;

/**
 *
 * @author yangcheng
 * @version ApproveCallBack.java, v0.12019-06-1415:13 yangchengExp$
 */
public interface ApproveCallBack<T> {
    /**
     * 审批结果回调
     * @param dataChange
     * @param approveStatus
     */
    void approveCallBack(BizDataChange<T> dataChange, ApproveStatusEnum approveStatus);

    /**
     * 数据变更类型
     * @return
     */
    DataChangeBizTypeEnum getChangeType();
    default List<DataChangeBizTypeEnum> getChangeTypes(){
        List<DataChangeBizTypeEnum> result = Lists.newArrayList();
        result.add(getChangeType());
        return result;
    }
}
