/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.core.service.debugdata.model;

import java.util.List;
import java.util.Map;
import java.util.function.Consumer;

import com.abssqr.plat.core.service.debugdata.manager.PublicParamDelService;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.core.service.debugdata.model: QueryModel.java, v 0.1 2019-12-02 12:00 bangis.wangdf Exp $
 */
public class QueryModel {
    private String                                     tableName;
    private String                                     colums;
    private List<String>                               whereColums;
    private List<String>                               orderColums;
    private List<Map<String, Object>>                  result;
    private Consumer<Map<String, String>>              consumer;
    private PublicParamDelService<Map<String, Object>> paramDelService;

    public QueryModel(String tableName, String colums) {
        this.tableName = tableName;
        this.colums = colums;
    }

    public QueryModel(String tableName, String colums, List<String> whereColums) {
        this.tableName = tableName;
        this.colums = colums;
        this.whereColums = whereColums;
    }

    public QueryModel(String tableName, String colums, List<String> whereColums,
                      List<String> orderColums) {
        this.tableName = tableName;
        this.colums = colums;
        this.whereColums = whereColums;
        this.orderColums = orderColums;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public String getColums() {
        return colums;
    }

    public void setColums(String colums) {
        this.colums = colums;
    }

    public List<String> getWhereColums() {
        return whereColums;
    }

    public void setWhereColums(List<String> whereColums) {
        this.whereColums = whereColums;
    }

    public List<String> getOrderColums() {
        return orderColums;
    }

    public void setOrderColums(List<String> orderColums) {
        this.orderColums = orderColums;
    }

    public PublicParamDelService<Map<String, Object>> getParamDelService() {
        return paramDelService;
    }

    public QueryModel setParamDelService(
        PublicParamDelService<Map<String, Object>> paramDelService) {
        this.paramDelService = paramDelService;
        return this;
    }

    public List<Map<String, Object>> getResult() {
        return result;
    }

    public void setResult(List<Map<String, Object>> result) {
        this.result = result;
    }

    public Consumer<Map<String, String>> getConsumer() {
        return consumer;
    }

    public QueryModel setConsumer(Consumer<Map<String, String>> consumer) {
        this.consumer = consumer;
        return this;
    }
}
