/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.test.controllertest.plan;

import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import org.springframework.http.MediaType;
import org.springframework.test.web.servlet.RequestBuilder;
import org.springframework.util.LinkedMultiValueMap;
import org.springframework.util.MultiValueMap;
import org.testng.annotations.Test;

import static org.springframework.test.web.servlet.request.MockMvcRequestBuilders.get;
import static org.springframework.test.web.servlet.result.MockMvcResultHandlers.print;
import static org.springframework.test.web.servlet.result.MockMvcResultMatchers.status;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.test.controllertest.plan: PlanAllocControllerTest.java, v 0.1 2019-07-03 18:04 zhenxuan.luo Exp $
 */
public class PlanAllocControllerTest extends BaseAutoTests {
    
    @Test(dataProvider = "YamlDataProvider", description = "no desc", priority = 0)
    @XTest(relatePath = "controllertest/plan/PlanAllocController/get")
    public void allocGet(ICase iCase, String planNo) throws Exception {
        RequestBuilder request = get("/plan/alloc/get.json").contentType(MediaType.APPLICATION_FORM_URLENCODED)
                                         .param("planNo", planNo);
        
        mvc.perform(request).andDo(print()).andExpect(status().isOk())
                .andReturn().getResponse().getContentAsString();
        
    }
    
    @Test(dataProvider = "YamlDataProvider", description = "no desc", priority = 0)
    @XTest(relatePath = "controllertest/plan/PlanAllocController/getDtl")
    public void getDtl(ICase iCase, String allocNo) throws Exception {
        RequestBuilder request = get("/plan/allocDetail/get.json").contentType(MediaType.APPLICATION_FORM_URLENCODED)
                                         .param("allocNo", allocNo);
        
        mvc.perform(request).andDo(print()).andExpect(status().isOk())
                .andReturn().getResponse().getContentAsString();
        
    }
    
    @Test(dataProvider = "YamlDataProvider", description = "no desc", priority = 0)
    @XTest(relatePath = "controllertest/plan/PlanAllocController/getDtl")
    public void calcCfrm(ICase iCase, String allocNo) throws Exception {
    
    
        MultiValueMap<String, String> params = new LinkedMultiValueMap<>();
        params.add("planNo", "trustPlan_9023873");
        params.add("allocAmtDesc", "10000.12");
        params.add("allocNo", "ALD2019070815291700026323");
        
        RequestBuilder request = get("/plan/allocDetail/calcCfrm.json").contentType(MediaType.APPLICATION_FORM_URLENCODED)
                                         .params(params);
        
        mvc.perform(request).andDo(print()).andExpect(status().isOk())
                .andReturn().getResponse().getContentAsString();
        
    }
}