package com.abssqr.plat.test.testlink.ast;

import com.abssqr.plat.biz.shared.scheduler.job.sync.ast.ZLOriginalAstSyncJob;
import com.abssqr.plat.common.model.enums.OrgCodeEnum;
import com.abssqr.plat.common.util.base.autoconfig.AbsConfig;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;

//@ActiveProfiles("dev")
public class ZLAstSyncNormalTest extends BaseAutoTests {

    @Autowired
    ZLOriginalAstSyncJob zlOriginalAstSyncJob;
    @Autowired
    AbsConfig            config;

    @XTest(relatePath = "testlink/pdData/" )
    @Test(dataProvider = "YamlDataProvider", description = "同步招联数据")
    public void syncZlData(ICase iCase, String orgDate, String absDate) {

        // 更新会计日期
        try {
            super.updateDate(orgDate, OrgCodeEnum.WK1009.getCode());
            super.updateDate(absDate, OrgCodeEnum.ABS.getCode());
           // config.setDbLink("WKXW_MFSBAID");
            config.setWkxwDbName("MFSBAID");
            config.setWkxwSynonymPre(".");
            //config.setWkxwRepayPlanSelf(true);

            // ----同步五矿数据----
            zlOriginalAstSyncJob.doExecute();

        } finally {
            // 校验数据
            super.checkDB(iCase);
            // super.clearDB(iCase);
        }

    }

}
