/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.test.unittest.astScreenRule;

import com.abssqr.plat.common.facade.param.ast.AstScreenRuleEditParam;
import com.abssqr.plat.common.facade.service.ast.AstScreenRuleService;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import com.general.system.common.model.exception.BaseCommonException;
import com.general.system.core.common.constant.factory.ConstantFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.Assert;
import org.testng.annotations.Test;

/**
 *
 * @author yangcheng
 * @version AstScreenRuleEditUnitTest.java, v0.12019-06-1000:09 yangchengExp$
 */
public class AstScreenRuleEditFuncUnitTest extends BaseAutoTests {
    @Autowired
    private AstScreenRuleService astScreenRuleService;

    @XTest(relatePath = "unittest/astScreenRule/edit/function")
    @Test(dataProvider = "YamlDataProvider", description = "筛选规则新增测试")
    public void initPlanAcctTitles(ICase iCase, AstScreenRuleEditParam param, Boolean flag){

        try {
            ConstantFactory.me().securityLogin("administrator");

            astScreenRuleService.addOrUpdate(param);

        }catch (BaseCommonException e){
            if(flag){
                throw new BaseCommonException("===期望结果为成功，但实际结果为失败===");
            }else {
                Assert.assertEquals(e.getMessage(), iCase.getContext().get("exp"));
            }

        } finally {
            // 校验数据
            super.checkDB(iCase);
            super.clearDB(iCase);
        }
    }
}
