/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2020 All Rights Reserved.
 */

package com.abssqr.plat.test.unittest.capitalAstMatch;

import com.abssqr.plat.biz.shared.handler.CapitalAstMatchHandler;
import com.abssqr.plat.biz.shared.scheduler.job.capitalAssertMatch.CapitalAssertMatchJob;
import com.abssqr.plat.common.model.enums.OrgCodeEnum;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import com.general.system.common.util.DateTimeUtil;
import com.general.system.common.util.VarChecker;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;

import java.util.Date;

/**
 * 资金资产匹配测试
 * @author xiachenxiang
 * @version com.abssqr.plat.test.unittest.capitalAstMatch: CapitalAstMatchUnitTest.java, v 0.1 2020-02-04 6:21 PM xiachenxiang Exp $ 
 */
public class CapitalAstMatchUnitTest extends BaseAutoTests {

    @Autowired
    private CapitalAssertMatchJob capitalAssertMatchJob;
    @Autowired
    private CapitalAstMatchHandler capitalAstMatchHandler;

    @XTest(relatePath = "unittest/capitalAstMatch/astMatch")
    @Test(dataProvider = "YamlDataProvider", description = "资金资产匹配")
    public void exec(ICase iCase,String planNo,String execDateString,String acctDay,boolean expectResult,boolean expectExp) {
        super.validJobCtr(capitalAssertMatchJob.getJobName());
        try {
            Date execDate =DateTimeUtil.parseFromYMD(execDateString);
            super.updateDate(acctDay, OrgCodeEnum.ABS.getCode());
            boolean result = capitalAstMatchHandler.execute(planNo, execDate);
            VarChecker.checkEquals(result,expectResult,"实际结果与期望不符");
        }catch (Exception e){
            if (!expectExp){
                e.printStackTrace();
                throw e;
            }
        }finally {
            // 校验数据
            super.checkDB(iCase);
            super.clearDB(iCase);
        }
    }
}
