package com.abssqr.plat.test.unittest.job;

import com.abssqr.plat.biz.shared.scheduler.job.capitalAssertMatch.CapitalAssertMatchJob;
import com.abssqr.plat.common.facade.enums.YNEnum;
import com.abssqr.plat.common.model.domain.job.JobControl;
import com.abssqr.plat.common.model.enums.OrgCodeEnum;
import com.abssqr.plat.common.model.repo.job.JobControlRepository;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;

import java.text.ParseException;
/*
前置条件: 不存在Init或者exec的任务
        情况一,存在为Ignore的解绑匹配任务

        情况二,存在已审批通过未解绑兑付计划

        情况三,今日模型转换已完成且未生成同步匹配任务

*/

public class CapitalAssertMatchJobTest extends BaseAutoTests {
    @Autowired
    private CapitalAssertMatchJob capitalAssertMatchJob;
    @Autowired
    private JobControlRepository jobControlRepository;

    @XTest(relatePath = "unittest/job/capitalAssetMatch")
    @Test(dataProvider = "YamlDataProvider", description = "生成资产解绑和资产资金匹配的任务")
    public void jobTest(ICase iCase, String strDate) throws ParseException {
        try {
            //开启CapitalAssertMatchJob任务
            JobControl jobControl = jobControlRepository.selectByJobName(capitalAssertMatchJob.getJobName());
            jobControl.setIsEff(YNEnum.Y);
            jobControlRepository.update(jobControl);
            // 更新会计日期
            super.updateDate(strDate, OrgCodeEnum.ABS.getCode());
            capitalAssertMatchJob.doExecute();

        }catch (Exception e){
            e.printStackTrace();
            throw e;
        }finally {
            // 校验数据
            super.checkDB(iCase);
            super.clearDB(iCase);
        }
    }
}
