package com.abssqr.plat.test.unittest.job.keeper;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

import com.abssqr.plat.biz.shared.dispatcher.wkAstSync.mfs.WkMfsAstSyncDispatcherStarter;
import com.abssqr.plat.biz.shared.scheduler.job.keeper.node.AstModCompleteCheckKeeper;
import com.abssqr.plat.common.model.enums.OrgCodeEnum;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;

public class AstModCompleteCheckKeeperTest extends BaseAutoTests {
    @Autowired
    private AstModCompleteCheckKeeper     astModCompleteCheckKeeper;
    @Autowired
    private WkMfsAstSyncDispatcherStarter wkMfsAstSyncDispatcherStarter;
    @XTest(relatePath = "unittest/job/AstModCompleteCheckKeeper")
    @Test(dataProvider = "YamlDataProvider", description = "模型转换监控任务")
    public void jobTest(ICase iCase, String strDate) {

        try {
            // 更新会计日期
            SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
            SimpleDateFormat sdf2 = new SimpleDateFormat("yyyy-MM-dd");
            Date date = sdf.parse(strDate);
            super.updateDate(sdf2.parse(strDate), OrgCodeEnum.ABS.getCode());
            validJobCtr("Wk1009AstSyncDispatcher");
            astModCompleteCheckKeeper.execute(date);
            invalidJobCtr(wkMfsAstSyncDispatcherStarter.getName());
        } catch (ParseException e) {
            throw new RuntimeException(e.getMessage());
        } finally {
            // 校验数据
            super.checkDB(iCase);
            super.clearDB(iCase);
        }
    }
}
