/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */

package com.abssqr.plat.test.unittest.job.keeper;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

import com.abssqr.plat.biz.shared.dispatcher.wkAstSync.mfs.WkMfsAstSyncDispatcherStarter;
import com.abssqr.plat.biz.shared.scheduler.job.keeper.node.AstModTransformKeeper;
import com.abssqr.plat.common.model.enums.OrgCodeEnum;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;

/**
 * @author xiachenxiang
 * @version com.abssqr.plat.test.unittest.job: AstModTransformKeeperTest.java, v 0.1 2019-09-29 10:32 AM xiachenxiang Exp $
 */
public class AstModTransformKeeperTest extends BaseAutoTests {

    @Autowired
    private AstModTransformKeeper         astModTransformKeeper;
    @Autowired
    private WkMfsAstSyncDispatcherStarter wkMfsAstSyncDispatcherStarter;

    @XTest(relatePath = "unittest/job/astModTransformKeeper")
    @Test(dataProvider = "YamlDataProvider", description = "模型转换监控任务")
    public void jobTest(ICase iCase, String strDate) {

        try {
            // 更新会计日期
            SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
            Date date = sdf.parse(strDate);
            updateDate(date, OrgCodeEnum.ABS.getCode());
            validJobCtr(wkMfsAstSyncDispatcherStarter.getName());

            astModTransformKeeper.execute(date);

            invalidJobCtr(wkMfsAstSyncDispatcherStarter.getName());
        } catch (ParseException e) {
            e.getMessage();
            e.printStackTrace();
        } finally {
            // 校验数据
            super.checkDB(iCase);
            super.clearDB(iCase);
        }
    }
}
