/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */

package com.abssqr.plat.test.unittest.job.keeper;

import com.abssqr.plat.biz.shared.scheduler.job.keeper.node.AstSyncJobKeeper;
import com.abssqr.plat.biz.shared.scheduler.job.sync.ast.ZLOriginalAstSyncJob;
import com.abssqr.plat.common.model.enums.OrgCodeEnum;
import com.abssqr.plat.common.util.base.autoconfig.AbsConfig;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * @author xiachenxiang
 * @version com.abssqr.plat.test.unittest.job: AstSyncKeeperTest.java, v 0.1 2019-09-18 2:12 PM xiachenxiang Exp $
 */
public class AstSyncKeeperTest extends BaseAutoTests {
    @Autowired
    private AstSyncJobKeeper astSyncJobKeeper;
    @Autowired
    private AbsConfig absConfig;
    @Autowired
    private ZLOriginalAstSyncJob zlOriginalAstSyncJob;

    @XTest(relatePath = "unittest/job/astSyncKeeper")
    @Test(dataProvider = "YamlDataProvider", description = "资产同步监控任务")
    public void jobTest(ICase iCase, String strDate) throws ParseException {

        absConfig.setWkxwDbName("mfsbaid");
        absConfig.setWkxwSynonymPre(".");
        // 更新会计日期
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        Date date = sdf.parse(strDate);
        super.updateDate(date, OrgCodeEnum.ABS.getCode());
        try {
            validJobCtr(zlOriginalAstSyncJob.getJobName());
            mockAstSyncJobKeeper(date);
            astSyncJobKeeper.execute(date);
            invalidJobCtr(zlOriginalAstSyncJob.getJobName());
        }catch (Exception e){
            e.printStackTrace();
        }finally {
            // 校验数据
            super.checkDB(iCase);
            super.clearDB(iCase);
        }
    }

}