package com.abssqr.plat.test.unittest.syncData;

import cn.hutool.core.date.DateUtil;
import com.abssqr.plat.common.model.domain.task.ctr.AstSyncTaskCtr;
import com.abssqr.plat.common.model.enums.OrgCodeEnum;
import com.abssqr.plat.common.model.repo.task.AstSyncTaskCtrRepo;
import com.abssqr.plat.common.util.base.Day;
import com.abssqr.plat.core.service.accounting.OrgAcctDayComponent;
import com.abssqr.plat.core.service.wk.ast.sync.ZLAstSyncTaskManager;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;

/**
 * 同步数据测试
 */
public class syncData extends BaseAutoTests {


    @Autowired
    private ZLAstSyncTaskManager zlAstSyncTaskManager;

    @Autowired
    private AstSyncTaskCtrRepo  astSyncTaskCtrRepo;
    @Autowired
    private OrgAcctDayComponent orgAcctDayComponent;

    @XTest(relatePath = "unittest/syncData",testOnly = {"ast_match_endDate_unittest_001"})
    @Test(dataProvider = "YamlDataProvider",description = "测试同步数据")
    public void testSynData(ICase iCase){
        AstSyncTaskCtr astSyncTaskCtr = astSyncTaskCtrRepo.getAstSyncTaskCtr("1009");
        astSyncTaskCtr.getExtData().setSyncAll(true);
        //ABS会计日
        Day absAcctDay = orgAcctDayComponent.getTrfAcctDay();
        //五矿会计日
        Day wkAcctDay = orgAcctDayComponent.getAstAcctDay(OrgCodeEnum.getByCode(astSyncTaskCtr.getOrgCode()));
        zlAstSyncTaskManager.syncData(astSyncTaskCtr, wkAcctDay, absAcctDay);
    }

    public static void main(String[] args) {
        System.out.println(DateUtil.offsetDay(DateUtil.parse("20200615"), -241));
    }
}
