/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.web.controller;

import com.abssqr.plat.core.service.notice.AbssqrNoticeManager;
import com.general.enhanced.controller.annotation.RestJsonController;
import com.general.system.common.dal.auto.paging.ReceiverNoticeListPage;
import com.general.system.common.model.BaseResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

/**
 *
 * @author hanfei
 * @version $Id: AbssqrNoticeController.java, v 0.1 2019-07-26 4:03 PM hanfei Exp $
 */
@RestJsonController
public class AbssqrNoticeController {
    
    @Autowired
    private AbssqrNoticeManager abssqrNoticeManager;
    
    /**
     * 收件人列表
     */
    @RequestMapping(value = "/notice/page.json", method = RequestMethod.GET)
    public Object receiver(ReceiverNoticeListPage page) {
        return abssqrNoticeManager.queryNoticeByReceiver(page);
    }
    
    
    /**
     * 告警通知外部消息重试
     *
     * @return
     * @description
     */
    @RequestMapping(path = "/notice/retry.json", method = RequestMethod.GET)
    public BaseResult<Boolean> noticeRetry(@RequestParam Long noticeId) {
        return BaseResult.success(abssqrNoticeManager.retrySend(noticeId));
    }
}
