/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */

package com.abssqr.plat.web.controller.org;

import javax.validation.Valid;

import com.abssqr.plat.common.facade.enums.PlanTypeEnum;
import com.abssqr.plat.common.facade.model.org.OrganizationEntity;
import com.abssqr.plat.common.facade.param.org.OrgEntityOprParam;
import com.abssqr.plat.common.facade.param.org.OrgEntityQryParam;
import com.abssqr.plat.common.facade.param.plan.PlanPageQryParam;
import com.abssqr.plat.common.facade.result.BasePage;
import com.abssqr.plat.common.facade.result.plan.PlanListVO;
import com.abssqr.plat.common.facade.result.plan.PlanVO;
import com.abssqr.plat.common.facade.service.plan.PlanService;
import com.general.enhanced.controller.annotation.RestJsonController;
import com.general.system.common.model.BaseResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * 机构管理实体
 *
 * @author bangis.wangdf
 */
@RestJsonController
public class OrgEntityController {
    @Autowired
    PlanService planService;

    /**
     * @param param
     * @return
     * @description 查询原始权益机构列表
     */
    @RequestMapping(path = "/org/entity/list.json", method = RequestMethod.GET)
    public BasePage<PlanListVO> getOrgList(PlanPageQryParam param) {
        param.setPlanType(PlanTypeEnum.SPV.getCode());
        return planService.getPlanList(param, false);
    }

    /**
     * @param param
     * @return
     * @description 新增原始权益机构
     */
    @RequestMapping(path = "/org/entity/edit.json", method = RequestMethod.POST)
    public BaseResult<String> edit(@RequestBody @Valid OrgEntityOprParam param) {
        param.setPlanType(PlanTypeEnum.SPV.getCode());
        return BaseResult.success(planService.edit(param));
    }

    /**
     * @param param
     * @return
     * @description 查询原始权益机构详情
     */
    @RequestMapping(path = "/org/entity/get.json", method = RequestMethod.GET)
    public PlanVO get(OrgEntityQryParam param) {
        return planService.getPlan(param);
    }

}
