/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */

package com.abssqr.plat.web.controller.plan;

import com.abssqr.plat.common.facade.param.plan.priceRule.PlanAstPriceRuleParam;
import com.abssqr.plat.common.facade.param.plan.priceRule.PriceQryParam;
import com.abssqr.plat.common.facade.result.plan.PlanAstPriceRuleVo;
import com.abssqr.plat.common.facade.service.plan.PlanAstPriceRuleService;
import com.general.enhanced.controller.annotation.RestJsonController;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * 资产定价规则
 * @author xiachenxiang
 * @version com.abssqr.plat.web.controller.plan: PlanAstPriceRuleController.java, v 0.1 2019-11-07 5:32 PM xiachenxiang Exp $ 
 */
@RestJsonController
public class PlanAstPriceRuleController {

    @Autowired
    private PlanAstPriceRuleService planAstPriceRuleService;

    /**
     * 查询详情
     * @param param
     * @return
     */
    @RequestMapping(path = "/plan/price/rule/get.json", method = RequestMethod.GET)
    public PlanAstPriceRuleVo getDtl(PriceQryParam param){
        return  planAstPriceRuleService.queryDtl(param);
    }

    /**
     * 修改
     * @param param
     * @return
     */
    @RequestMapping(path = "/plan/price/rule/edit.json", method = RequestMethod.POST)
    public Void edit(@RequestBody PlanAstPriceRuleParam param){
        return  planAstPriceRuleService.edit(param);
    }
}
