/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.web.controller.plan;

import com.abssqr.plat.common.facade.model.plan.PlanMonitor;
import com.abssqr.plat.common.facade.model.plan.PlanMonitorRecord;
import com.abssqr.plat.common.facade.param.base.CommonPlanQryParam;
import com.abssqr.plat.common.facade.param.plan.monitor.PlanEventMonitorQryParam;
import com.abssqr.plat.common.facade.param.plan.monitor.PlanMonitorDelParam;
import com.abssqr.plat.common.facade.param.plan.monitor.PlanMonitorOprParam;
import com.abssqr.plat.common.facade.param.plan.monitor.PlanMonitorQryParam;
import com.abssqr.plat.common.facade.result.BasePage;
import com.abssqr.plat.common.facade.service.plan.PlanMonitorService;
import com.general.enhanced.controller.annotation.RestJsonController;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import java.util.List;

/**
 * 监控指标
 * @author zhenxuan.luo
 * @version com.abssqr.plat.web.controller.plan: PlanMonitorController.java, v 0.1 2019-05-28 15:44 zhenxuan.luo Exp $
 */
@RestJsonController
@RequestMapping("/plan")
public class PlanMonitorController {

    @Autowired
    private PlanMonitorService planMonitorService;

    /**
     * @param param
     * @return
     * @description 编辑计划监控指标
     */
    @RequestMapping(path = "/monitor/edit.json", method = RequestMethod.POST)
    public PlanMonitor edit(@RequestBody PlanMonitorOprParam param) {
        return planMonitorService.editMonitor(param);
    }

    /**
     * 删除计划监控指标
     *
     * @param param
     * @return
     */
    @RequestMapping(path = "/monitor/del.json", method = RequestMethod.DELETE)
    public Void del(PlanMonitorDelParam param) {
        return planMonitorService.deletePlanMonitor(param);
    }

    /**
     * @param param
     * @return
     * @description 查询计划监控指标
     */
    @RequestMapping(path = "/monitor/get.json", method = RequestMethod.GET)
    public PlanMonitor getDtl(PlanMonitorQryParam param) {
        return planMonitorService.queryMonitorDtl(param);
    }

    /**
     * @param param
     * @return
     * @description 查询计划监控指标列表
     */
    @RequestMapping(path = "/monitor/getList.json", method = RequestMethod.GET)
    public List<PlanMonitor> getList(CommonPlanQryParam param) {
        return planMonitorService.queryMonitorList(param);
    }
    
    
    /**
     * @param param
     * @return
     * @description 查询计划监控事件列表
     */
    @RequestMapping(path = "/monitor/getEventList.json", method = RequestMethod.GET)
    public BasePage<PlanMonitorRecord>  getEventList(PlanEventMonitorQryParam param) {
        return planMonitorService.queryEventMonitorList(param);
    }
}