/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.web.fileExport;

import com.general.system.common.model.IEnum;
import com.google.common.collect.Maps;
import org.apache.commons.lang3.StringUtils;

import java.util.Map;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.web.fileExport: FileExportTypeEnum.java, v 0.1 2019-07-01 11:06 zhenxuan.luo Exp $ 
 */
public enum FileExportTypeEnum implements IEnum<String> {
    
    MANAGER_PLAN_RPT("MANAGER_RPT", "管理报表", "tmpl/export/tmpl_man_plan_rpt.xlsx", "管理报表-", ".xlsx"),
    
    MANAGER_SPV_RPT("MANAGER_RPT", "管理报表", "tmpl/export/tmpl_man_spv_rpt.xlsx", "管理报表-", ".xlsx"),
    
    AST_PLAN_RPT("AST_Plan_RPT", "资产报表", "tmpl/export/tmpl_ast_plan_rpt.xlsx", "资产报表-", ".xlsx"),
    
    AST_SPV_RPT("AST_SPV_RPT", "资产报表", "tmpl/export/tmpl_ast_spv_rpt.xlsx", "资产报表-", ".xlsx"),
    
    AST_ME_RPT("AST_ME_RPT", "资产月末报表", "tmpl/export/tmpl_ast_spv_rpt.xlsx", "资产月末报表-", ".xlsx"),
    
    ;
    
    private static Map<String, FileExportTypeEnum> enumValueMap = Maps.newHashMap();
    
    static {
        for (FileExportTypeEnum enumValue : FileExportTypeEnum.values()) {
            enumValueMap.put(enumValue.getCode(), enumValue);
        }
    }
    
    private String code;
    private String desc;
    private String tmplPath;
    private String filePrefix;
    private String filePostfix;
    
    private FileExportTypeEnum(String code, String desc, String tmplPath, String filePrefix, String filePostfix) {
        this.code = code;
        this.desc = desc;
        this.tmplPath = tmplPath;
        this.filePrefix = filePrefix;
        this.filePostfix = filePostfix;
    }
    
    public static FileExportTypeEnum getByCode(String code) {
        FileExportTypeEnum ret = null;
        if (!StringUtils.isBlank(code)) {
            ret = enumValueMap.get(code);
        }
        if (ret == null) {
            throw new IllegalArgumentException("FileExportTypeEnum枚举值不存在" + code);
        }
        return ret;
    }
    
    @Override
    public String getCode() {
        return code;
    }
    
    @Override
    public String getDesc() {
        return desc;
    }
    
    public String getTmplPath() {
        return tmplPath;
    }
    
    public String getFilePrefix() {
        return filePrefix;
    }
    
    public String getFilePostfix() {
        return filePostfix;
    }
}